<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

class CrBcCache{
    
    public static function _($query, $method){
        
        static $queries = null;
        $db = JFactory::getDbo();
        
        $numargs = func_num_args();
        $arg_list = func_get_args();
        
        // creating hash over all arguments to make them unique
        $arg_values = CrBcHelpers::bSixtyFourEncode(serialize($arg_list));
        
        $hash = md5($arg_values);
        $subject = null;
        
        $cache_file = JPATH_SITE.'/components/com_breezingcommerce/cache/'.$hash;
        
        if( (!is_array($queries[$hash]) || !@isset($queries[$hash]) ) && JFile::exists($cache_file)){
            
            $cached = @unserialize(file_get_contents($cache_file));
            
            if($cached !== false){
                
                $queries[$hash] = $subject;
                
            }
        }
        
        if(is_array($queries[$hash]) && isset($queries[$hash])){
            
            $subject = $queries[$hash];
        
        }else{
            
            switch($numargs){
                case 7:
                    $db->setQuery($query, $arg_list[2], $arg_list[3], $arg_list[4], $arg_list[5], $arg_list[6]);
                    break;
                case 6:
                    $db->setQuery($query, $arg_list[2], $arg_list[3], $arg_list[4], $arg_list[5]);
                    break;
                case 5:
                    $db->setQuery($query, $arg_list[2], $arg_list[3], $arg_list[4]);
                    break;
                case 4:
                    $db->setQuery($query, $arg_list[2], $arg_list[3]);
                    break;
                case 3:
                    $db->setQuery($query, $arg_list[2]);
                    break;
                default:
                    $db->setQuery($query);
            }
            $subject = $db->{$method}();
            $queries[$hash] = $subject;
            
            $cached = serialize($subject);
            
            JFile::write($cache_file, $cached);
        }
        
        return $subject;
    }
}

