<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');

class CrBcImage
{
    public static function renderProductImagesPlugins($product_id, $client = 'site'){
        $out = '';
        $db = JFactory::getDBO();
        $db->setQuery("Select * From #__breezingcommerce_plugins Where published = 1 And type = 'productimages' Order By `ordering`");
        $images_plugins = $db->loadAssocList();

        foreach($images_plugins As $plugin){
            $plugin_instance = CrBcPlugin::getPluginInstance($plugin['name'], $plugin['type'], $client);
            if ($plugin_instance instanceof CrBcProductImagesPlugin) {
                $plugin_instance->init($product_id);
                ob_start();
                echo $plugin_instance->getHtml();
                $c = ob_get_contents();
                ob_end_clean();
                $out .= $c;
            }
        }
        return $out;
    }
    
    public static function copyManufacturerImages($srcId, $destId)
    {
        $basePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS .  'manufacturers';
        $db = JFactory::getDBO();
        $db->setQuery("Select * From #__breezingcommerce_manufacturers Where id = " . $db->Quote( intval($srcId) ));
        $images = $db->loadObjectList();

        foreach($images As $image)
        {
            if($image->image_name == '' || $image->image_physical_name == '')
            {
                break;
            }

            $destExt = JFile::getExt($image->image_physical_name);

            $destNameNoExt = explode('.',$image->image_physical_name);
            unset($destNameNoExt[count($destNameNoExt)-1]);
            $destNameNoExt = implode('.', $destNameNoExt);

            $test = explode('-',$destNameNoExt);
            if(count($test) >= 2 && trim($test[0]) != ''){
                $destNameNoExt = trim($test[0]);
            }
            else if(count($test) >= 2 && trim($test[0]) == '')
            {
                $destNameNoExt = 'manufacturerimage';
            }

            $srcOrigPath = $basePath.DS.'original'.DS.$image->image_physical_name;
            $srcThumbPath = $basePath.DS.'thumb'.DS.$image->image_physical_name;
            $srcMediumPath = $basePath.DS.'medium'.DS.$image->image_physical_name;
            $srcLargePath = $basePath.DS.'large'.DS.$image->image_physical_name;

            mt_srand();
            $rand1 = mt_rand(0, mt_getrandmax());
            mt_srand();
            $rand2 = mt_rand(0, mt_getrandmax());
            mt_srand();
            $rand3 = mt_rand(0, mt_getrandmax());
            mt_srand();
            $rand4 = mt_rand(0, mt_getrandmax());

            if(JFile::exists($basePath . DS . 'original' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt)){
                return false;
            }

            $copy1 = JFile::copy( $srcOrigPath, $basePath . DS . 'original' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );
            $copy2 = JFile::copy( $srcThumbPath, $basePath . DS . 'thumb' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );
            $copy3 = JFile::copy( $srcMediumPath, $basePath . DS . 'medium' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );
            $copy4 = JFile::copy( $srcLargePath, $basePath . DS . 'large' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );

            if($copy1 && $copy2 && $copy3 && $copy4)
            {
                $db->setQuery(
                        "Update
                                #__breezingcommerce_manufacturers
                            Set
                                `image_name` = " . $db->Quote($image->image_name) . ",
                                `image_alt_name` = " . $db->Quote($image->image_alt_name) . ",
                                `image_description` = ". $db->Quote($image->image_description) .",
                                `image_background_color` = ". $db->Quote($image->image_background_color) .",
                                `image_physical_name` = ". $db->Quote($destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt) ."
                            Where
                                id = " . $db->Quote($destId) . "
                            "
                );
                $db->query();
            }
            else
            {
                return false;
            }
        }

        return true;
    }

    public static function copyCategoryImages($srcId, $destId)
    {
        $basePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS .  'categories';
        $db = JFactory::getDBO();
        $db->setQuery("Select * From #__breezingcommerce_categories Where id = " . $db->Quote( intval($srcId) ));
        $images = $db->loadObjectList();

        foreach($images As $image)
        {
            if($image->image_name == '' || $image->image_physical_name == '')
            {
                break;
            }

            $destExt = JFile::getExt($image->image_physical_name);

            $destNameNoExt = explode('.',$image->image_physical_name);
            unset($destNameNoExt[count($destNameNoExt)-1]);
            $destNameNoExt = implode('.', $destNameNoExt);

            $test = explode('-',$destNameNoExt);
            if(count($test) >= 2 && trim($test[0]) != ''){
                $destNameNoExt = trim($test[0]);
            }
            else if(count($test) >= 2 && trim($test[0]) == '')
            {
                $destNameNoExt = 'categoryimage';
            }

            $srcOrigPath = $basePath.DS.'original'.DS.$image->image_physical_name;
            $srcThumbPath = $basePath.DS.'thumb'.DS.$image->image_physical_name;
            $srcMediumPath = $basePath.DS.'medium'.DS.$image->image_physical_name;
            $srcLargePath = $basePath.DS.'large'.DS.$image->image_physical_name;

            mt_srand();
            $rand1 = mt_rand(0, mt_getrandmax());
            mt_srand();
            $rand2 = mt_rand(0, mt_getrandmax());
            mt_srand();
            $rand3 = mt_rand(0, mt_getrandmax());
            mt_srand();
            $rand4 = mt_rand(0, mt_getrandmax());

            if(JFile::exists($basePath . DS . 'original' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt)){
                return false;
            }

            $copy1 = JFile::copy( $srcOrigPath, $basePath . DS . 'original' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );
            $copy2 = JFile::copy( $srcThumbPath, $basePath . DS . 'thumb' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );
            $copy3 = JFile::copy( $srcMediumPath, $basePath . DS . 'medium' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );
            $copy4 = JFile::copy( $srcLargePath, $basePath . DS . 'large' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );

            if($copy1 && $copy2 && $copy3 && $copy4)
            {
                $db->setQuery(
                        "Update
                                #__breezingcommerce_categories
                            Set
                                `image_name` = " . $db->Quote($image->image_name) . ",
                                `image_alt_name` = " . $db->Quote($image->image_alt_name) . ",
                                `image_description` = ". $db->Quote($image->image_description) .",
                                `image_background_color` = ". $db->Quote($image->image_background_color) .",
                                `image_physical_name` = ". $db->Quote($destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt) ."
                            Where
                                id = " . $db->Quote($destId) . "
                            "
                );
                $db->query();
            }
            else
            {
                return false;
            }
        }

        return true;
    }

    public static function renameProductImage($newName, $product_id, $image_id)
    {
        $db = JFactory::getDBO();
        $db->setQuery("Select `physical_name` From #__breezingcommerce_images Where id = " . intval($image_id) . " And product_id = " . $db->Quote( intval($product_id) ));
        $image = $db->loadResult();

        $newName = self::renameImage($image, $newName, 'products');
        
        if($newName !== false){
            $db->setQuery("Update #__breezingcommerce_images Set `physical_name` = " . $db->Quote($newName) . " Where id = " . intval($image_id) . " And product_id = " . $db->Quote( intval($product_id) ));
            $db->query();
        }
    }

    public static function renameManufacturerImage($newName, $man_id)
    {
        $db = JFactory::getDBO();
        $db->setQuery("Select `image_physical_name` From #__breezingcommerce_manufacturers Where id = " . intval($man_id));
        $image = $db->loadResult();

        $newName = self::renameImage($image, $newName, 'manufacturers');

        if($newName !== false){
            $db->setQuery("Update #__breezingcommerce_manufacturers Set `image_physical_name` = " . $db->Quote($newName) . " Where id = " . intval($man_id));
            $db->query();
        }
    }

    public static function renameCategoryImage($newName, $category_id)
    {
        $db = JFactory::getDBO();
        $db->setQuery("Select `image_physical_name` From #__breezingcommerce_categories Where id = " . intval($category_id));
        $image = $db->loadResult();

        $newName = self::renameImage($image, $newName, 'categories');

        if($newName !== false){
            $db->setQuery("Update #__breezingcommerce_categories Set `image_physical_name` = " . $db->Quote($newName) . " Where id = " . intval($category_id));
            $db->query();
        }
    }

    public static function renameImage($oldName, $newName, $type){
        $plainOldName = explode('.',$oldName);
        unset($plainOldName[count($plainOldName)-1]);
        $plainOldName = implode('.', $plainOldName);

        $test = explode('-',$plainOldName);
        if(count($test) >= 2 && trim($test[0]) != ''){
            unset($test[0]);
            $test = array_merge($test);
            $newName = $newName . '-' . implode('-', $test);
        }
        
        $basePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS .  $type . DS . 'original';
        if(JFile::exists($basePath . DS . $oldName)){
              if(!JFile::move($basePath . DS . $oldName, $basePath . DS . $newName . '.' . JFile::getExt($oldName))){
                  return false;
              }
        }
        $basePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS .  $type . DS . 'thumb';
        if(JFile::exists($basePath . DS . $oldName)){
              if(!JFile::move($basePath . DS . $oldName, $basePath . DS . $newName . '.' . JFile::getExt($oldName))){
                  return false;
              }
        }
        $basePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS .  $type . DS . 'medium';
        if(JFile::exists($basePath . DS . $oldName)){
              if(!JFile::move($basePath . DS . $oldName, $basePath . DS . $newName . '.' . JFile::getExt($oldName))){
                  return false;
              }
        }
        $basePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS .  $type . DS . 'large';
        if(JFile::exists($basePath . DS . $oldName)){
              if(JFile::move($basePath . DS . $oldName, $basePath . DS . $newName . '.' . JFile::getExt($oldName))){
                  return $newName . '.' . JFile::getExt($oldName);
              }

              return false;
        }

        return false;
    }

    public static function copyProductImages($srcId, $destId)
    {
        $basePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS .  'products';
        $db = JFactory::getDBO();
        $db->setQuery("Select * From #__breezingcommerce_images Where product_id = " . $db->Quote( intval($srcId) ));
        $images = $db->loadObjectList();
        
        foreach($images As $image)
        {
            $destExt = JFile::getExt($image->physical_name);

            $destNameNoExt = explode('.',$image->physical_name);
            unset($destNameNoExt[count($destNameNoExt)-1]);
            $destNameNoExt = implode('.', $destNameNoExt);

            $test = explode('-',$destNameNoExt);
            if(count($test) >= 2 && trim($test[0]) != ''){
                $destNameNoExt = trim($test[0]);
            }
            else if(count($test) >= 2 && trim($test[0]) == '')
            {
                $destNameNoExt = 'productimage';
            }

            $srcOrigPath = $basePath.DS.'original'.DS.$image->physical_name;
            $srcThumbPath = $basePath.DS.'thumb'.DS.$image->physical_name;
            $srcMediumPath = $basePath.DS.'medium'.DS.$image->physical_name;
            $srcLargePath = $basePath.DS.'large'.DS.$image->physical_name;

            mt_srand();
            $rand1 = mt_rand(0, mt_getrandmax());
            mt_srand();
            $rand2 = mt_rand(0, mt_getrandmax());
            mt_srand();
            $rand3 = mt_rand(0, mt_getrandmax());
            mt_srand();
            $rand4 = mt_rand(0, mt_getrandmax());

            if(JFile::exists($basePath . DS . 'original' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt)){
                return false;
            }

            $copy1 = JFile::copy( $srcOrigPath, $basePath . DS . 'original' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );
            $copy2 = JFile::copy( $srcThumbPath, $basePath . DS . 'thumb' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );
            $copy3 = JFile::copy( $srcMediumPath, $basePath . DS . 'medium' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );
            $copy4 = JFile::copy( $srcLargePath, $basePath . DS . 'large' . DS . $destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt );

            if($copy1 && $copy2 && $copy3 && $copy4)
            {
                $db->setQuery(
                            "Insert
                                Into
                                    #__breezingcommerce_images
                                    (`product_id`, `name`, `alt_name`, `description`, `background_color`, `physical_name`, `ordering`)
                                values
                                    (
                                        " . $db->Quote($destId) . ", "
                                          . $db->Quote($image->name) . ", "
                                          . $db->Quote($image->alt_name) . ","
                                          . $db->Quote($image->description) . ","
                                          . $db->Quote($image->background_color) . ","
                                          . $db->Quote($destNameNoExt . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . $destExt) . ",
                                          999999999
                                    )
                                "
                );
                // ordering = 999999 and reorder later makes sure that the image is inserted at last element. better for usability.
                // reordering is a task of the model/table not here!
                $db->query();
                
                $insertId = $db->insertid();
                
                CrBcHelpers::copyTranslations($image->id, $insertId, 'product_image');
            }
            else
            {
                return false;
            }
        }

        return true;
    }

    public static function deleteManufacturerImages($man_id)
    {
        $basePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS .  'manufacturers';
        $db = JFactory::getDBO();

        $db->setQuery("Select image_physical_name From #__breezingcommerce_manufacturers Where id = " . $db->Quote( intval($man_id) ));
        $images = $db->loadObjectList();

        $db->setQuery( "Update #__breezingcommerce_manufacturers Set image_name = '', image_alt_name = '', image_description = '', image_background_color = '', image_physical_name = '' Where id = " . $db->Quote( $man_id ) );
        $db->query();

        foreach($images As $image)
        {
            if(JFile::exists($basePath.DS.'thumb'.DS.$image->image_physical_name))
            {
                if(!JFile::delete($basePath.DS.'thumb'.DS.$image->image_physical_name)) return false;
            } else return false;
            if(JFile::exists($basePath.DS.'medium'.DS.$image->image_physical_name))
            {
                if(!JFile::delete($basePath.DS.'medium'.DS.$image->image_physical_name)) return false;
            } else return false;
            if(JFile::exists($basePath.DS.'large'.DS.$image->image_physical_name))
            {
                if(!JFile::delete($basePath.DS.'large'.DS.$image->image_physical_name)) return false;
            } else return false;
            if(JFile::exists($basePath.DS.'original'.DS.$image->image_physical_name))
            {
                if(!JFile::delete($basePath.DS.'original'.DS.$image->image_physical_name)) return false;
            } else return false;
        }

        return true;
    }

    public static function deleteCategoryImages($category_id)
    {
        $basePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS .  'categories';
        $db = JFactory::getDBO();

        $db->setQuery("Select image_physical_name From #__breezingcommerce_categories Where id = " . $db->Quote( intval($category_id) ));
        $images = $db->loadObjectList();

        $db->setQuery( "Update #__breezingcommerce_categories Set image_name = '', image_alt_name = '', image_description = '', image_background_color = '', image_physical_name = '' Where id = " . $db->Quote( $category_id ) );
        $db->query();

        foreach($images As $image)
        {
            if(JFile::exists($basePath.DS.'thumb'.DS.$image->image_physical_name))
            {
                if(!JFile::delete($basePath.DS.'thumb'.DS.$image->image_physical_name)) return false;
            } else return false;
            if(JFile::exists($basePath.DS.'medium'.DS.$image->image_physical_name))
            {
                if(!JFile::delete($basePath.DS.'medium'.DS.$image->image_physical_name)) return false;
            } else return false;
            if(JFile::exists($basePath.DS.'large'.DS.$image->image_physical_name))
            {
                if(!JFile::delete($basePath.DS.'large'.DS.$image->image_physical_name)) return false;
            } else return false;
            if(JFile::exists($basePath.DS.'original'.DS.$image->image_physical_name))
            {
                if(!JFile::delete($basePath.DS.'original'.DS.$image->image_physical_name)) return false;
            } else return false;
        }

        return true;
    }

    public static function deleteProductImages($product_id, $only_id = 0)
    {
        $basePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS .  'products';
        $db = JFactory::getDBO();

        $onlyIdWhere = '';
        if(intval($only_id) > 0)
        {
            $onlyIdWhere = ' id = ' . intval($only_id) . ' And ';
        }

        $db->setQuery("Select physical_name, id From #__breezingcommerce_images Where ".$onlyIdWhere." product_id = " . $db->Quote( intval($product_id) ));
        $images = $db->loadObjectList();

        $db->setQuery( "Delete From #__breezingcommerce_images Where ".$onlyIdWhere." product_id = " . $db->Quote( $product_id ) );
        $db->query();
        
        foreach($images As $image)
        {
            if(JFile::exists($basePath.DS.'thumb'.DS.$image->physical_name))
            {
                if(!JFile::delete($basePath.DS.'thumb'.DS.$image->physical_name)) return false;
            } else return false;
            if(JFile::exists($basePath.DS.'medium'.DS.$image->physical_name))
            {
                if(!JFile::delete($basePath.DS.'medium'.DS.$image->physical_name)) return false;
            } else return false;
            if(JFile::exists($basePath.DS.'large'.DS.$image->physical_name))
            {
                if(!JFile::delete($basePath.DS.'large'.DS.$image->physical_name)) return false;
            } else return false;
            if(JFile::exists($basePath.DS.'original'.DS.$image->physical_name))
            {
                if(!JFile::delete($basePath.DS.'original'.DS.$image->physical_name)) return false;
            } else return false;
            
            $db->setQuery("Delete From #__breezingcommerce_translations Where type = 'product_image' And item_id = " . $image->id);
            $db->query(); 
        }
        
        return true;
    }

    public static function getManufacturerImageTag($filename, $type = 'thumb', $id = 0, $alt_name = '')
    {
        $path = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS . 'manufacturers' . DS  . $type . DS . $filename;
        if(JFile::exists($path))
        {
            $size = getimagesize($path);
            return '<img '.($id ? 'id="crbc-manufacturer-image'.$id.'" ' : '').'class="crbc-manufacturer-image" src="'.JURI::root(true).'/images/breezingcommerce/manufacturers/'.$type.'/'.$filename.'" width="'.$size[0].'" height="'.$size[1].'" alt="'.$alt_name.'" border="0" />';
        }

        return '';
    }

    public static function getCategoryImageTag($filename, $type = 'thumb', $id = 0, $alt_name = '')
    {
        $path = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS . 'categories' . DS  . $type . DS . $filename;
        if(JFile::exists($path))
        {
            $size = getimagesize($path);
            return '<img '.($id ? 'id="crbc-category-image'.$id.'" ' : '').'class="crbc-category-image" src="'.JURI::root(true).'/images/breezingcommerce/categories/'.$type.'/'.$filename.'" width="'.$size[0].'" height="'.$size[1].'" alt="'.$alt_name.'" border="0" />';
        }

        return '';
    }

    public static function getProductImageTag($filename, $type = 'thumb', $id = 0, $alt_name = '')
    {
        $path = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS . 'products' . DS  . $type . DS . $filename;
        if(JFile::exists($path))
        {
            $size = getimagesize($path);
            return '<img '.($id ? 'id="crbc-product-image'.$id.'" ' : '').'class="crbc-product-image" src="'.JURI::root(true).'/images/breezingcommerce/products/'.$type.'/'.$filename.'" width="'.$size[0].'" height="'.$size[1].'" alt="'.$alt_name.'" border="0" />';
        }

        return '';
    }

    public static function getManufacturerImageTagByManufacturerId($id, $type = 'thumb')
    {
        $db = JFactory::getDBO();
        $db->setQuery("Select * From #__breezingcommerce_manufacturers Where id = " . $db->Quote( intval($id) ) );
        $images = $db->loadObjectList();
        foreach($images As $image)
        {
            return self::getManufacturerImageTag($image->image_physical_name, $type, $image->id, $image->image_alt_name);
        }
    }

    public static function getCategoryImageTagByCategoryId($id, $type = 'thumb')
    {
        $db = JFactory::getDBO();
        $db->setQuery("Select * From #__breezingcommerce_categories Where id = " . $db->Quote( intval($id) ) );
        $images = $db->loadObjectList();
        foreach($images As $image)
        {
            return self::getCategoryImageTag($image->image_physical_name, $type, $image->id, $image->image_alt_name);
        }
    }

    public static function getProductImageTagByProductId($id, $type = 'thumb')
    {
        $db = JFactory::getDBO();
        $db->setQuery("Select * From #__breezingcommerce_images Where product_id = " . $db->Quote( intval($id) ) . " Order By `ordering` Limit 1");
        $images = $db->loadObjectList();
        foreach($images As $image)
        {
            return self::getProductImageTag($image->physical_name, $type, $image->id, $image->alt_name);
        }
    }

    public static function generateManufacturerImages($file, $data)
    {
        return self::generateImages($file, $data, $type = 'manufacturers');
    }

    public static function generateCategoryImages($file, $data)
    {
        return self::generateImages($file, $data, $type = 'categories');
    }

    public static function generateProductImages($file, $data)
    {
        return self::generateImages($file, $data, $type = 'products');
    }

    public static function generateImages($file, $data, $type)
    {
        if( !self::createDir( JPATH_ROOT . DS . 'images' ) ) return false;
        if( !self::createDir( JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' ) ) return false;

        $origPath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS . $type . DS . 'original';
        if( !self::createDir( $origPath ) ) return false;

        $thumbPath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS . $type . DS .  'thumb';
        if( !self::createDir( $thumbPath ) ) return false;

        $mediumPath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS . $type . DS .  'medium';
        if( !self::createDir( $mediumPath ) ) return false;

        $largePath = JPATH_ROOT . DS . 'images' . DS . 'breezingcommerce' . DS . $type. DS .  'large';
        if( !self::createDir( $largePath ) ) return false;
        
        $filename = JFile::makeSafe($file['name']);
        $src = $file['tmp_name'];
        $info = getimagesize($src);

        $ret = false;

        switch(strtolower($info['mime']))
        {
            case 'image/png':
            case 'image/jpg':
            case 'image/jpeg':
            case 'image/gif':

                mt_srand();
                $rand1 = mt_rand(0, mt_getrandmax());
                mt_srand();
                $rand2 = mt_rand(0, mt_getrandmax());
                mt_srand();
                $rand3 = mt_rand(0, mt_getrandmax());
                mt_srand();
                $rand4 = mt_rand(0, mt_getrandmax());

                $dest = $origPath.DS.$data['image_name'] . '.' . JFile::getExt(strtolower($file['name']));
                
                if(JFile::exists($dest))
                {
                    $dest = $origPath.DS.$data['image_name'] . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . JFile::getExt(strtolower($file['name']));
                }

                if(!JFile::upload($src, $dest, false, true))
                {
                    return false;
                }

                // THUMB

                $ret = self::writeImage(
                    $dest,
                    $thumbPath.DS.$data['image_name'] . '.' . JFile::getExt(strtolower($file['name'])),
                    $thumbPath.DS.$data['image_name'] . '-' . $rand1 . $rand2 . $rand3 . $rand4 . '.' . JFile::getExt(strtolower($file['name'])),
                    150
                );
                
                $thumbResultPath = $ret;
                $ret = $ret !== false ? basename($ret) : false; // needed for return

                if($ret !== false && JFile::exists($thumbResultPath)) {
                    $mediumAlt = $mediumPath.DS.$ret;
                    $largeAlt  = $largePath.DS.$ret;

                    // MEDIUM
                    self::writeImage(
                            $dest,
                            $mediumPath.DS.$data['image_name'] . '.' . JFile::getExt(strtolower($file['name'])),
                            $mediumAlt,
                            500
                    );

                    // LARGE
                    self::writeImage(
                            $dest,
                            $largePath.DS.$data['image_name'] . '.' . JFile::getExt(strtolower($file['name'])),
                            $largeAlt,
                            1024
                    );
                }
                
                break;
        }
        
        return $ret;
    }

    public static function writeImage($src, $dest, $alt_dest, $width)
    {
        ob_start();
        self::resizeImage($src, $width, 0, true, 'browser', false);
        $contents = ob_get_contents();
        ob_end_clean();

        if(JFile::exists($dest) && $alt_dest != '') {
            if(JFile::exists($alt_dest)) {
                return false;
            }
            $dest = $alt_dest;
        }

        if(!JFile::write($dest, $contents)) {
            return false;
        }

        return $dest;
    }

    public static function createDir($path)
    {
        if(!JFolder::exists( $path ))
        {
            if(!JFolder::create($path))
            {
                return false;
            }
        }

        return true;
    }

    // Copyright © 2008 Maxim Chernyak
    public static function resizeImage($file,
        $width = 0,
        $height = 0,
        $proportional = false,
        $output = 'file',
        $delete_original = true,
        $use_linux_commands = false ) {

        if ( $height <= 0 && $width <= 0 ) return false;

        # Setting defaults and meta
        $info = getimagesize($file);
        $image = '';
        $final_width = 0;
        $final_height = 0;
        list($width_old, $height_old) = $info;

        # Calculating proportionality
        if ($proportional) {
            if ($width == 0) $factor = $height/$height_old;
            elseif ($height == 0) $factor = $width/$width_old;
            else $factor = min( $width / $width_old, $height / $height_old );

            $final_width = round( $width_old * $factor );
            $final_height = round( $height_old * $factor );
        }
        else {
            $final_width = ( $width <= 0 ) ? $width_old : $width;
            $final_height = ( $height <= 0 ) ? $height_old : $height;
        }

        # Loading image to memory according to type
        switch ( $info[2] ) {
            case IMAGETYPE_GIF: $image = imagecreatefromgif($file);
                break;
            case IMAGETYPE_JPEG: $image = imagecreatefromjpeg($file);
                break;
            case IMAGETYPE_PNG: $image = imagecreatefrompng($file);
                break;
            default: return false;
        }


        # This is the resizing/resampling/transparency-preserving magic
        $image_resized = imagecreatetruecolor( $final_width, $final_height );
        if ( ($info[2] == IMAGETYPE_GIF) || ($info[2] == IMAGETYPE_PNG) ) {
            $transparency = imagecolortransparent($image);

            if ($transparency >= 0) {
                $transparent_color = imagecolorsforindex($image, $trnprt_indx);
                $transparency = imagecolorallocate($image_resized, $trnprt_color['red'], $trnprt_color['green'], $trnprt_color['blue']);
                imagefill($image_resized, 0, 0, $transparency);
                imagecolortransparent($image_resized, $transparency);
            }
            elseif ($info[2] == IMAGETYPE_PNG) {
                imagealphablending($image_resized, false);
                $color = imagecolorallocatealpha($image_resized, 0, 0, 0, 127);
                imagefill($image_resized, 0, 0, $color);
                imagesavealpha($image_resized, true);
            }
        }
        imagecopyresampled($image_resized, $image, 0, 0, 0, 0, $final_width, $final_height, $width_old, $height_old);

        # Taking care of original, if needed
        if ( $delete_original ) {
            if ( $use_linux_commands ) exec('rm '.$file);
            else @unlink($file);
        }

        # Preparing a method of providing result
        switch ( strtolower($output) ) {
            case 'browser':
                //$mime = image_type_to_mime_type($info[2]);
                //header("Content-type: $mime");
                $output = NULL;
                break;
            case 'file':
                $output = $destPath;
                break;
            case 'return':
                return $image_resized;
                break;
            default:
                break;
        }

        # Writing image according to type to the output destination
        switch ( $info[2] ) {
            case IMAGETYPE_GIF: imagegif($image_resized, $output);
                break;
            case IMAGETYPE_JPEG: imagejpeg($image_resized, $output);
                break;
            case IMAGETYPE_PNG: imagepng($image_resized, $output);
                break;
            default: 
                    @ImageDestroy($image_resized);
                    @ImageDestroy($image);
                    return false;
        }

        @ImageDestroy($image_resized);
        @ImageDestroy($image);
        return true;
    }

}