<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access
defined('_JEXEC') or die('Restricted access');

$libpath = JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce' . DS . 'classes' . DS . 'plugin' . DS;
require_once($libpath . 'CrBcSitePlugin.php');

abstract class CrBcAThemeSitePlugin extends CrBcSitePlugin{
     
    public function getPluginDisplayName() {
        return '';
    }
    
    public function getPluginDescription(){
        return '';
    }
    
    public function __call($name, $arguments){
        
        switch( $name ){
            
            case 'setGlobalCss':
                
                $global_path = JPATH_SITE . '/media/breezingcommerce/plugins/theme/'.$this->name.'/site/css/global.css';
                
                if( !JFile::exists( $global_path ) ){
                    
                    throw new Exception('BreezingCommerce Theme '.$this->name.': Global CSS has been requested but could not be found', 404);
                }
                
                CrBcHelpers::addCssFile(Juri::root(true).'/media/breezingcommerce/plugins/theme/'.$this->name.'/site/css/global.css');
                
                break;
                
            case 'setGlobalJs':
                
                $global_path = JPATH_SITE . '/media/breezingcommerce/plugins/theme/'.$this->name.'/site/js/global.js';
                
                if( !JFile::exists( $global_path ) ){
                    
                    throw new Exception('BreezingCommerce Theme '.$this->name.': Global JS has been requested but could not be found', 404);
                }
                
                JFactory::getDocument()->addScript(Juri::root(true).'/media/breezingcommerce/plugins/theme/'.$this->name.'/site/js/global.js');
                
                break;
                
            default:
                
                preg_match("/^set(.*)(Css|Js)$/",$name,$matches);
                
                if( isset($matches[2]) && ( $matches[2] == 'Css' || $matches[2] == 'Js' ) && isset($matches[1]) && $matches[1] != '' ){
                    
                    $type = strtolower($matches[2]);
                    $controller = strtolower($matches[1]);
                    
                    if( ( JRequest::getVar('controller', '') != '' && JRequest::getVar('controller', '') == $controller ) || JRequest::getVar('view', '') == $controller ){
                    
                        switch($type){

                            case 'css':
                                
                                $path = JPATH_SITE . '/media/breezingcommerce/plugins/theme/'.$this->name.'/site/css/'.$controller.'.css';
                                
                                if( JFile::exists( $path ) ){
                                    
                                    CrBcHelpers::addCssFile(Juri::root(true).'/media/breezingcommerce/plugins/theme/'.$this->name.'/site/css/'.$controller.'.css');
                
                                }

                                break;
                                
                            case 'js':
                                
                                $path = JPATH_SITE . '/media/breezingcommerce/plugins/theme/'.$this->name.'/site/js/'.$controller.'.js';
                                
                                if( JFile::exists( $path ) ){
                                    
                                    JFactory::getDocument()->addScript(Juri::root(true).'/media/breezingcommerce/plugins/theme/'.$this->name.'/site/js/'.$controller.'.js');
                
                                }

                                break;

                        }
                    }
                }
        }
    }
}