<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class BreezingcommerceControllerCustomers extends JControllerLegacy
{
    function __construct()
    {
        parent::__construct();

        $this->registerTask( 'add', 'edit' );
    }

    function editGroups(){
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=customergroups' );
    }

    function orderup() {
        $model = $this->getModel( 'customer' );
        $model->move(-1);
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=customers&limitstart='.JRequest::getInt('limitstart') );
    }

    function orderdown() {
        $model = $this->getModel( 'customer' );
        $model->move(1);
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=customers&limitstart='.JRequest::getInt('limitstart') );
    }

    function saveorder(){
        $model = $this->getModel( 'customer' );
        $model->saveOrder();
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=customers&limitstart='.JRequest::getInt('limitstart') );
    }

    function publish() {
        $cid = JRequest::getVar('cid', array(), '', 'array');

        if(count($cid) == 1)
        {
            $model = $this->getModel( 'customer' );
            $model->setPublished();
        }
        else if(count($cid) > 1)
        {
            $model = $this->getModel( 'customers' );
            $model->setPublished();
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=customers&limitstart='.JRequest::getInt('limitstart'), JText::_('Customer Published') );
    }

    function unpublish() {
        $cid = JRequest::getVar('cid', array(), '', 'array');

        if(count($cid) == 1)
        {
            $model = $this->getModel( 'customer' );
            $model->setUnpublished();
        }
        else if(count($cid) > 1)
        {
            $model = $this->getModel( 'customers' );
            $model->setUnpublished();
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=customers&limitstart='.JRequest::getInt('limitstart'), JText::_('Customer Unpublished') );
    }

    /**
     * display the edit form
     * @return void
     */
    function edit()
    {
        JRequest::setVar( 'view', 'customer' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );

        parent::display();
    }

    function apply()
    {
        $this->save(true);
    }

    function save($keep_task = false)
    {
        $model = $this->getModel('customer');
        $type = 'message';

        $store = $model->store();

        if ($store === false) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ERROR_SAVING_CUSTOMER' );
            $type = 'error';
        } else if ($store === 1) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_NO_CUSTOMER_GROUP_SELECTED' );
            $type = 'error';
        } else if ($store === 2) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_FIRSTNAME_OR_LASTNAME_MISSING' );
            $type = 'error';
        } else if ($store === 3) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_INVALID_EMAIL' );
            $type = 'error';
        } else if ($store === 4) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_INVALID_SHIPPING_EMAIL' );
            $type = 'error';
        } else if ($store === 5) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_USERID_GIVEN_BUT_USER_NOT_FOUND_IN_DATABASE' );
            $type = 'error';
        } else if ($store === 6) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_PASSWORD_TOO_SMALL' );
            $type = 'error';
        } else if ($store === 7) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_THERE_WAS_A_PROBLEM_WITH_THE_USER_REGISTRATION' );
            $type = 'error';
        } else if ($store === 8) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_USER_ALREADY_ASSOCIATED_CUSTOMER' );
            $type = 'error';
        } else {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_CUSTOMER_SAVED' );
        }

        $additionalParams = '';
        if($keep_task){
            $id = JRequest::getInt('id', 0);
            if($id){
                $additionalParams = '&task=edit&cid[]='.$id.'&return_order='.JRequest::getInt('return_order',0);
            }
        }

        $link = 'index.php?option=com_breezingcommerce&controller=customers&limitstart='.JRequest::getInt('limitstart').$additionalParams;
        $this->setRedirect($link, $msg, $type);
    }

    function remove()
    {
        $model = $this->getModel('customer');
        if(!$model->delete()) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_AT_LEAST_ONE_CUSTOMER_COULD_NOT_BE_DELETED' );
        } else {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_CUSTOMER_DELETED' );
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=customers&limitstart='.JRequest::getInt('limitstart'), $msg );
    }

    function cancel()
    {
        $msg = JText::_( 'Operation Cancelled' );
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=customers&limitstart='.JRequest::getInt('limitstart'), $msg );
    }

    function display($cachable = false, $urlparams = array())
    {
        JRequest::setVar('view', 'customers');
        
        parent::display();
    }
}
