<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class BreezingcommerceControllerManufacturers extends JControllerLegacy
{
    function __construct()
    {
        parent::__construct();
        JHtml::_('behavior.modal');
        // Register Extra tasks
        $this->registerTask( 'add', 'edit' );
    }

    function orderup() {
        $model = $this->getModel( 'manufacturer' );
        $model->move(-1);
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=manufacturers&limitstart='.JRequest::getInt('limitstart') );
    }

    function orderdown() {
        $model = $this->getModel( 'manufacturer' );
        $model->move(1);
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=manufacturers&limitstart='.JRequest::getInt('limitstart') );
    }

    function saveorder(){
        $model = $this->getModel( 'manufacturers' );
        $model->saveOrder();
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=manufacturers&limitstart='.JRequest::getInt('limitstart') );
    }

    function publish() {
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        if(count($cid) == 1)
        {
            $model = $this->getModel( 'manufacturer' );
            $model->setPublished();
        }
        else if(count($cid) > 1)
        {
            $model = $this->getModel( 'manufacturers' );
            $model->setPublished();
        }
        
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=manufacturers&limitstart='.JRequest::getInt('limitstart'), JText::_('Manufacturer Published') );
    }

    function unpublish() {
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        if(count($cid) == 1)
        {
            $model = $this->getModel( 'manufacturer' );
            $model->setUnpublished();
        }
        else if(count($cid) > 1)
        {
            $model = $this->getModel( 'manufacturers' );
            $model->setUnpublished();
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=manufacturers&limitstart='.JRequest::getInt('limitstart'), JText::_('Manufacturer Unpublished') );
    }

    /**
     * display the edit form
     * @return void
     */
    function edit()
    {
        jimport('joomla.html.pane');
        
        JRequest::setVar( 'view', 'manufacturer' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'filter_order', 'ordering' );
        JRequest::setVar( 'filter_order_Dir', 'asc' );
        parent::display();
    }

    function apply()
    {
        $this->save(true);
    }

    function save($keep_task = false)
    {
        $model = $this->getModel('manufacturer');

        if ($model->store()) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_MANUFACTURER_SAVED' );
        } else {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ERROR_SAVING_MANUFACTURER' );
        }

        $limit = 0;
        $additionalParams = '';
        if($keep_task){
            $id = JRequest::getInt('id', 0);
            if($id){
                $additionalParams = '&task=edit&cid[]='.$id;
                $limit = JRequest::getInt('limitstart');
            }
        }

        // Check the table in so it can be edited.... we are done with it anyway
        $link = 'index.php?option=com_breezingcommerce&controller=manufacturers&limitstart='.$limit.$additionalParams;
        $this->setRedirect($link, $msg);
    }

    function saveNew()
    {
        $model = $this->getModel('manufacturer');

        if ($model->store()) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_MANUFACTURER_SAVED' );
        } else {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ERROR_SAVING_MANUFACTURER' );
        }

        // Check the table in so it can be edited.... we are done with it anyway
        $link = 'index.php?option=com_breezingcommerce&controller=manufacturers&task=edit&limitstart='.JRequest::getInt('limitstart');
        $this->setRedirect($link, $msg);
    }

    function remove()
    {
        $model = $this->getModel('manufacturer');
        if(!$model->delete()) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_AT_LEAST_ONE_MANUFACTURER_COULD_NOT_BE_DELETED' );
        } else {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_MANUFACTURER_DELETED' );
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=manufacturers&limitstart='.JRequest::getInt('limitstart'), $msg );
    }

    function cancel()
    {
        $msg = JText::_( 'Operation Cancelled' );
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=manufacturers&limitstart=0', $msg );
    }

    function display($cachable = false, $urlparams = array())
    {
        JRequest::setVar('tmpl', JRequest::getWord('tmpl',null));
        JRequest::setVar('layout', JRequest::getWord('layout',null));
        JRequest::setVar('view', 'manufacturers');
        
        parent::display();
    }
}
