<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class BreezingcommerceControllerOrders extends JControllerLegacy
{
    function __construct()
    {
        parent::__construct();

        jimport('joomla.html.pane');

        // Register Extra tasks
        $this->registerTask( 'add', 'edit' );

        if(JRequest::getBool('clear_cart', false)){
            JFactory::getSession()->clear('crbc_cart');
        }
    }

    function status(){
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=status&limitstart='.JRequest::getInt('limitstart') );
    }

    function copy(){
        $msg = JText::_('Order copied successfully');
        $type = 'message';
        $model = $this->getModel( 'order' );
        $id = $model->copy();
        if(!$id){
            $id = JRequest::getInt('id', 0);
            $msg = JText::_('Error while copying order');
            $type = 'error';
        }
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=orders&limitstart='.JRequest::getInt('limitstart').'&task=edit&cid[]='.$id, $msg, $type );
    }

    function orderup() {
        $model = $this->getModel( 'order' );
        $model->move(-1);
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=orders&limitstart='.JRequest::getInt('limitstart') );
    }

    function listorderup() {
        $model = $this->getModel( 'order' );
        $model->listMove(-1);
        JRequest::setVar( 'view', 'order' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'filter_order', 'ordering' );
        JRequest::setVar( 'filter_order_Dir', 'asc' );
        JRequest::setVar( 'limitstart', JRequest::getInt('limitstart') );
        parent::display();
    }

    function orderdown() {
        $model = $this->getModel( 'order' );
        $model->move(1);
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=orders&limitstart='.JRequest::getInt('limitstart') );
    }

    function listorderdown() {
        $model = $this->getModel( 'order' );
        $model->listMove(1);
        JRequest::setVar( 'view', 'order' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'filter_order', 'ordering' );
        JRequest::setVar( 'filter_order_Dir', 'asc' );
        JRequest::setVar( 'limitstart', JRequest::getInt('limitstart') );
        parent::display();
    }

    function saveorder(){
        $model = $this->getModel( 'orders' );
        $model->saveOrder();
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=orders&limitstart='.JRequest::getInt('limitstart') );
    }

    function listsaveorder(){
        $model = $this->getModel( 'order' );
        $model->listSaveOrder();
        JRequest::setVar( 'view', 'order' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'filter_order', 'ordering' );
        JRequest::setVar( 'filter_order_Dir', 'asc' );
        JRequest::setVar( 'limitstart', JRequest::getInt('limitstart') );

        parent::display();
    }

    function publish() {
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        if(count($cid) == 1)
        {
            $model = $this->getModel( 'order' );
            $model->setPublished();
        }
        else if(count($cid) > 1)
        {
            $model = $this->getModel( 'order' );
            $model->setPublished();
        }
        
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=orders&limitstart='.JRequest::getInt('limitstart'), JText::_('Removed backorder status') );
    }

    function listverify() {
        $cid = JRequest::getVar('cid', array(), '', 'array');

        $model = $this->getModel( 'order' );
        $model->setListVerified();

        JRequest::setVar( 'view', 'order' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'filter_order', 'ordering' );
        JRequest::setVar( 'filter_order_Dir', 'asc' );
        JRequest::setVar( 'limitstart', JRequest::getInt('limitstart') );

        parent::display();
    }

    function listunverify() {
        $cid = JRequest::getVar('cid', array(), '', 'array');

        $model = $this->getModel( 'order' );
        $model->setListUnverified();

        JRequest::setVar( 'view', 'order' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'filter_order', 'ordering' );
        JRequest::setVar( 'filter_order_Dir', 'asc' );
        JRequest::setVar( 'limitstart', JRequest::getInt('limitstart') );

        parent::display();
    }

    function listpublish() {
        $cid = JRequest::getVar('cid', array(), '', 'array');

        $model = $this->getModel( 'order' );
        $model->setListPublished();

        JRequest::setVar( 'view', 'order' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'filter_order', 'ordering' );
        JRequest::setVar( 'filter_order_Dir', 'asc' );
        JRequest::setVar( 'limitstart', JRequest::getInt('limitstart') );

        parent::display();
        
    }

    function unpublish() {
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        if(count($cid) == 1)
        {
            $model = $this->getModel( 'order' );
            $model->setUnpublished();
        }
        else if(count($cid) > 1)
        {
            $model = $this->getModel( 'order' );
            $model->setUnpublished();
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=orders&limitstart='.JRequest::getInt('limitstart'), JText::_('Added backorder status') );
    }

    function listunpublish() {
        $cid = JRequest::getVar('cid', array(), '', 'array');

        $model = $this->getModel( 'order' );
        $model->setListUnpublished();

        JRequest::setVar( 'view', 'order' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'filter_order', 'ordering' );
        JRequest::setVar( 'filter_order_Dir', 'asc' );
        JRequest::setVar( 'limitstart', JRequest::getInt('limitstart') );

        parent::display();
    }

    /**
     * display the edit form
     * @return void
     */
    function edit()
    {
        
        
        JRequest::setVar( 'view', 'order' );
        JRequest::setVar( 'layout', JRequest::getWord('layout', 'form')  );
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'filter_order', 'ordering' );
        JRequest::setVar( 'filter_order_Dir', 'asc' );
        parent::display();
    }

    function apply()
    {
        $this->save(true);
    }

    function checkout()
    {
        $this->save(true);
    }

    function create_invoice()
    {
        $this->save(true);
    }

    function cancel_order()
    {
        $this->save(true);
    }

    function save($keep_task = false)
    {
        $model = $this->getModel('order');
        $type = 'message';
        $store = $model->store();
        
        if ($store === true) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ORDER_SAVED' );
        } else if($store === false) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ERROR_SAVING_ORDER' );
            $type = 'error';
        } else if($store === 1) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ORDER_NOT_SAVED_PLEASE_SELECT_A_SHIPPING_OPTION' );
            $type = 'error';
        } else if($store === 2) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_CANNOT_CREATE_INVOICE_MISSING_CUSTOMER_DATA' );
            $type = 'error';
        } else if($store === 3) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ORDER_NOT_SAVED_PLEASE_SELECT_A_PAYMENT_OPTION' );
            $type = 'error';
        } else if($store === 4) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_INVOICE_NOT_CREATED_CANNOT_CREATE_INVOICE_IF_THERE_ARE_NO_COSTS' );
            $type = 'error';
        } else if($store === 5) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_INVOICE_ADDRESS_NOT_COMPLETE' );
            $type = 'error';
        }

        $limit = 0;
        $additionalParams = '';
        if($keep_task){
            $id = JRequest::getInt('id', 0);
            if($id){
                $additionalParams = '&task=edit&cid[]='.$id;
                $limit = JRequest::getInt('limitstart');
            }
        }

        // Check the table in so it can be edited.... we are done with it anyway
        $link = 'index.php?option=com_breezingcommerce&controller=orders&limitstart='.$limit.$additionalParams;
        $this->setRedirect($link, $msg, $type);
    }

    function remove()
    {
        $model = $this->getModel('order');
        if(!$model->delete()) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_AT_LEAST_ONE_ORDER_COULD_NOT_BE_DELETED' );
        } else {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ORDER_DELETED' );
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=orders&limitstart='.JRequest::getInt('limitstart'), $msg );
    }

    function listremove()
    {
        $model = $this->getModel('order');
        if(!$model->listDelete()) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_AT_LEAST_ONE_ORDER_COULD_NOT_BE_DELETED' );
        } else {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ORDER_DELETED' );
        }

        JRequest::setVar( 'view', 'order' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'filter_order', 'ordering' );
        JRequest::setVar( 'filter_order_Dir', 'asc' );
        JRequest::setVar( 'limitstart', JRequest::getInt('limitstart', 0) );

        parent::display();
    }

    function cancel()
    {
        $msg = JText::_( 'Operation Cancelled' );
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=orders&limitstart=0', $msg );
    }

    function display($cachable = false, $urlparams = array())
    {
        JRequest::setVar('view', 'orders');
        
        parent::display();
    }
}
