<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class BreezingcommerceControllerProducts extends JControllerLegacy
{
    function __construct()
    {
        parent::__construct();
        JHtml::_('behavior.modal');
        require_once( JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcCategoriesHelper.php' );

        // necessary to allow editable prices in backend cart
        JFactory::getSession()->set('crbcAdminContext', true);

        // Register Extra tasks
        $this->registerTask( 'add', 'edit' );
    }

    function import_properties()
    {
        $model = $this->getModel( 'products' );
        $msg = $model->importProperties();
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart'), $msg );
    }

    function reorder_properties()
    {
        $model = $this->getModel( 'products' );
        $msg = $model->reorderProperties();
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart'), $msg );
    }

    function import_properties_publish()
    {
        $model = $this->getModel( 'products' );
        $msg = $model->importProperties(true);
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart'), $msg );
    }


    function moveToCategories()
    {
        jimport('joomla.html.pane');

        JRequest::setVar( 'view', 'productsmovetocategories' );
        JRequest::setVar( 'layout', 'default'  );
        JRequest::setVar( 'hidemainmenu', 1 );

        parent::display();
    }

    function removeFromCategories()
    {
        jimport('joomla.html.pane');

        JRequest::setVar( 'view', 'productsmovetocategories' );
        JRequest::setVar( 'layout', 'remove'  );
        JRequest::setVar( 'hidemainmenu', 1 );

        parent::display();
    }

    function moveProductsToCategories()
    {
        $cid = JRequest::getVar('cid', array(), '', 'array');

        if(count($cid) > 1)
        {
            $model = $this->getModel( 'productsmovetocategories' );
            $model->move();
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart'), JText::_('Products Moved') );
    }

    function removeProductsFromCategories()
    {
        $cid = JRequest::getVar('cid', array(), '', 'array');

        if(count($cid) > 1)
        {
            $model = $this->getModel( 'productsmovetocategories' );
            $model->remove();
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart'), JText::_('Products Removed') );
    }

    function copy()
    {
        $cid = JRequest::getVar('cid', array(), '', 'array');

        if(count($cid) > 0)
        {
            $model = $this->getModel( 'products' );
            $model->copy();
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart'), JText::_('Product Copied') );
    }

    function publish() {
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        if(count($cid) == 1)
        {
            $model = $this->getModel( 'product' );
            $model->setPublished();
        }
        else if(count($cid) > 1)
        {
            $model = $this->getModel( 'products' );
            $model->setPublished();
        }
        
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart'), JText::_('Product Published') );
    }

    function unpublish() {
        $cid = JRequest::getVar('cid', array(), '', 'array');
        
        if(count($cid) == 1)
        {
            $model = $this->getModel( 'product' );
            $model->setUnpublished();
        }
        else if(count($cid) > 1)
        {
            $model = $this->getModel( 'products' );
            $model->setUnpublished();
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart'), JText::_('Product Unpublished') );
    }

    /**
     * display the edit form
     * @return void
     */
    function edit()
    {
        jimport('joomla.html.pane');
        
        JRequest::setVar( 'view', 'product' );
        JRequest::setVar( 'layout', 'form'  );
        JRequest::setVar( 'hidemainmenu', 1 );

        parent::display();
    }

    function apply()
    {
        $this->save(true);
    }

    function save($keep_task = false)
    {
        $model = $this->getModel('product');
        $store = $model->store();
        $type = 'message';
        if ($store === 1) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_COULD_NOT_ADD_PRODUCT_TO_CART_BACKORDERS_ARE_NOT_ALLOWED_FOR_THIS_PRODUCT' );
            $type = 'error';
        }
        else if ($store) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_PRODUCT_SAVED' );
        } else {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ERROR_SAVING_PRODUCT' );
        }

        $additionalParams = '';
        if($keep_task){
            $id = JRequest::getInt('id', 0);
            if($id){
                $additionalParams = '&task=edit&cid[]='.$id;
            }
        }
        
        $link = 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart').$additionalParams;
        $this->setRedirect($link, $msg, $type);
    }

    function saveNew()
    {
        $model = $this->getModel('product');

        if ($model->store()) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_PRODUCT_SAVED' );
        } else {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_ERROR_SAVING_PRODUCT' );
        }

        $link = 'index.php?option=com_breezingcommerce&controller=products&task=edit&limitstart='.JRequest::getInt('limitstart');
        $this->setRedirect($link, $msg);
    }

    function remove()
    {
        $model = $this->getModel('product');
        if(!$model->delete()) {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_AT_LEAST_ONE_PRODUCT_COULD_NOT_BE_DELETED' );
        } else {
            $msg = JText::_( 'COM_BREEZINGCOMMERCE_PRODUCT_DELETED' );
        }

        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart'), $msg );
    }

    function cancel()
    {
        $msg = JText::_( 'Operation Cancelled' );
        $this->setRedirect( 'index.php?option=com_breezingcommerce&controller=products&limitstart='.JRequest::getInt('limitstart'), $msg );
    }

    function display($cachable = false, $urlparams = array())
    {
        JRequest::setVar('tmpl', JRequest::getWord('tmpl',null));
        JRequest::setVar('layout', JRequest::getWord('layout',null));
        JRequest::setVar('view', 'products');
        parent::display();
    }
}
