SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_attributes` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `tag` varchar(255) NOT NULL DEFAULT '',
  `display_as` varchar(255) NOT NULL DEFAULT 'select-list',
  `min_amount` int(11) NOT NULL DEFAULT '0',
  `allow_amount` tinyint(1) NOT NULL DEFAULT '1',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_attribute_items` (
  `id` int(11) NOT NULL,
  `attribute_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `plus_price` decimal(64,4) NOT NULL DEFAULT '0.0000',
  `product_id` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=38 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_categories` (
  `id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `description_fulltext` longtext NOT NULL,
  `image_name` varchar(255) NOT NULL DEFAULT '',
  `image_alt_name` varchar(255) NOT NULL DEFAULT '',
  `image_description` text NOT NULL,
  `image_background_color` varchar(6) NOT NULL DEFAULT '',
  `image_physical_name` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `modified_by_alias` varchar(255) NOT NULL DEFAULT '',
  `metadesc` varchar(1024) NOT NULL DEFAULT '',
  `metakey` varchar(1024) NOT NULL DEFAULT '',
  `metadata` varchar(2048) NOT NULL DEFAULT '',
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `catalog` tinyint(1) NOT NULL DEFAULT '0',
  `catalog_children` tinyint(1) NOT NULL DEFAULT '0',
  `catalog_strict` tinyint(1) NOT NULL DEFAULT '0',
  `level` int(11) NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=12343 DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_categories` (`id`, `title`, `alias`, `description`, `description_fulltext`, `image_name`, `image_alt_name`, `image_description`, `image_background_color`, `image_physical_name`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `modified_by_alias`, `metadesc`, `metakey`, `metadata`, `parent_id`, `level`, `lft`, `rgt`, `path`, `published`, `ordering`) VALUES(1, 'ROOT', 'root', '', '', '', '', '', '', '', '0000-00-00 00:00:00', 0, '', '0000-00-00 00:00:00', 0, '', '', '', '', 0, 0, 0, 1, '', 0, -1);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_configuration` (
  `id` int(11) NOT NULL,
  `attribs` longtext NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_configuration` (`id`, `attribs`) VALUES(1, '{"business_name":"McFly Ltd.","business_address":"John F. Kennedy Rd. 1985","business_address2":"","business_zip":"CA 91748","business_city":"Hill Valley","business_country":"USA","business_region":"CA","business_web":"https:\\/\\/mydomain","business_email":"info@mydomain.com","business_phone":"780-555-5555","business_mobile":"780-555-5556","business_fax":"780-555-5557","business_free_text_html":"<p>McFly Ltd.<br \\/>John F. Kennedy Rd. 1985<\\/p>\\r\\n<p>CA 91748<\\/p>","business_free_text":"Tannen Car Supplies\\r\\nJohn F. Kennedy Rd. 1985\\r\\nCA 91748","backorders":"DISALLOWED_HIDDEN","weight_type":"0","dimension_type":"0","location_based_tax_rules":"0","location_based_tax_rules_lax":"1","apply_taxes_on":"billing_address","allow_currency_selection":"1","decimal_places":"2","thousands_separator":",","decimal_point":".","price_display":"net,taxes,gross,rates","currency_display":"symbol,left,code,right","zeros":"7","invoice_prefix":"","invoice_suffix":"B","invoice_return_prefix":"","invoice_return_suffix":"R","invoice_attach_pdf":"1","invoice_html_email":"1","invoice_language":"backend","custom_invoice_numbers_algorithm":"","custom_order_numbers_algorithm":"","invoice_template_pdf":"","reset_invoice_template_pdf":"0","invoice_template_html":"","reset_invoice_template_html":"0","invoice_template_text":"","reset_invoice_template_text":"0","invoice_return_template_pdf":"","reset_invoice_return_template_pdf":"0","invoice_return_template_html":"","reset_invoice_return_template_html":"0","invoice_return_template_text":"","reset_invoice_return_template_text":"0","notifications_default_status":"1","cart_display_unit_net_column":"1","cart_display_unit_tax_column":"1","cart_display_unit_gross_column":"1","cart_display_total_net_column":"1","cart_display_total_tax_column":"1","cart_display_total_gross_column":"1","cart_display_subtotal_net_column":"1","cart_display_subtotal_gross_column":"1","cart_display_tax_position":"in_calculation","order_notification_emails":"","allow_guest_checkout":"1","checkout_limited_address_data":"1","thank_you_message":"","checkout_information1":"en-GB:1,de-DE:2","checkout_confirm_information1":"1","checkout_information2":"","checkout_confirm_information2":"0","checkout_information3":"","checkout_confirm_information3":"0","checkout_information4":"","checkout_confirm_information4":"0","enable_location_services":"0","default_cart_menu_item_id":"0","default_checkout_menu_item_id":"0","canonical_host":"","enable_alternate_tags":"1","session_keepalive":"breezingcommerce","hide_details":"0","cart_add_button_location":"bottom","display_image":"1","link_title":"1","display_text":"1","enable_category_description":"1","enable_simple_product_view":"1","enable_sortby":"1","enable_showperpage":"1","enable_blockview":"1","enable_listview":"1","enable_dynamic_price":"1","enable_ajax_cart_add":"1"}');

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_countries` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `code` varchar(255) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=282 DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(14, 'Afghanistan', 'AF', 1, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(15, 'Albania', 'AL', 2, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(16, 'Algeria', 'DZ', 3, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(17, 'Andorra', 'AD', 4, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(18, 'Angola', 'AO', 5, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(19, 'Antigua and Barbuda', 'AG', 6, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(20, 'Argentina', 'AR', 7, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(21, 'Armenia', 'AM', 8, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(22, 'Australia', 'AU', 9, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(23, 'Austria', 'AT', 10, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(24, 'Azerbaijan', 'AZ', 11, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(25, 'Bahamas, The', 'BS', 12, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(26, 'Bahrain', 'BH', 13, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(27, 'Bangladesh', 'BD', 14, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(28, 'Barbados', 'BB', 15, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(29, 'Belarus', 'BY', 16, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(30, 'Belgium', 'BE', 17, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(31, 'Belize', 'BZ', 18, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(32, 'Benin', 'BJ', 19, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(33, 'Bhutan', 'BT', 20, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(34, 'Bolivia', 'BO', 21, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(35, 'Bosnia and Herzegovina', 'BA', 22, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(36, 'Botswana', 'BW', 23, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(37, 'Brazil', 'BR', 24, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(38, 'Brunei', 'BN', 25, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(39, 'Bulgaria', 'BG', 26, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(40, 'Burkina Faso', 'BF', 27, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(41, 'Burundi', 'BI', 28, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(42, 'Cambodia', 'KH', 29, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(43, 'Cameroon', 'CM', 30, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(44, 'Canada', 'CA', 31, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(45, 'Cape Verde', 'CV', 32, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(46, 'Central African Republic', 'CF', 33, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(47, 'Chad', 'TD', 34, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(48, 'Chile', 'CL', 35, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(49, 'China, People''s Republic of', 'CN', 36, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(50, 'Colombia', 'CO', 37, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(51, 'Comoros', 'KM', 38, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(52, 'Congo, (Congo  Kinshasa)', 'CD', 39, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(53, 'Congo, (Congo  Brazzaville)', 'CG', 40, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(54, 'Costa Rica', 'CR', 41, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(55, 'Cote d''Ivoire (Ivory Coast)', 'CI', 42, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(56, 'Croatia', 'HR', 43, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(57, 'Cuba', 'CU', 44, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(58, 'Cyprus', 'CY', 45, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(59, 'Czech Republic', 'CZ', 46, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(60, 'Denmark', 'DK', 47, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(61, 'Djibouti', 'DJ', 48, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(62, 'Dominica', 'DM', 49, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(63, 'Dominican Republic', 'DO', 50, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(64, 'Ecuador', 'EC', 51, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(65, 'Egypt', 'EG', 52, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(66, 'El Salvador', 'SV', 53, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(67, 'Equatorial Guinea', 'GQ', 54, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(68, 'Eritrea', 'ER', 55, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(69, 'Estonia', 'EE', 56, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(70, 'Ethiopia', 'ET', 57, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(71, 'Fiji', 'FJ', 58, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(72, 'Finland', 'FI', 59, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(73, 'France', 'FR', 60, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(74, 'Gabon', 'GA', 61, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(75, 'Gambia, The', 'GM', 62, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(76, 'Georgia', 'GE', 63, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(77, 'Germany', 'DE', 64, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(78, 'Ghana', 'GH', 65, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(79, 'Greece', 'GR', 66, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(80, 'Grenada', 'GD', 67, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(81, 'Guatemala', 'GT', 68, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(82, 'Guinea', 'GN', 69, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(83, 'Guinea-Bissau', 'GW', 70, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(84, 'Guyana', 'GY', 71, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(85, 'Haiti', 'HT', 72, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(86, 'Honduras', 'HN', 73, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(87, 'Hungary', 'HU', 74, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(88, 'Iceland', 'IS', 75, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(89, 'India', 'IN', 76, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(90, 'Indonesia', 'ID', 77, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(91, 'Iran', 'IR', 78, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(92, 'Iraq', 'IQ', 79, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(93, 'Ireland', 'IE', 80, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(94, 'Israel', 'IL', 81, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(95, 'Italy', 'IT', 82, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(96, 'Jamaica', 'JM', 83, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(97, 'Japan', 'JP', 84, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(98, 'Jordan', 'JO', 85, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(99, 'Kazakhstan', 'KZ', 86, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(100, 'Kenya', 'KE', 87, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(101, 'Kiribati', 'KI', 88, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(102, 'Korea, North', 'KP', 89, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(103, 'Korea, South', 'KR', 90, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(104, 'Kuwait', 'KW', 91, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(105, 'Kyrgyzstan', 'KG', 92, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(106, 'Laos', 'LA', 93, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(107, 'Latvia', 'LV', 94, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(108, 'Lebanon', 'LB', 95, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(109, 'Lesotho', 'LS', 96, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(110, 'Liberia', 'LR', 97, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(111, 'Libya', 'LY', 98, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(112, 'Liechtenstein', 'LI', 99, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(113, 'Lithuania', 'LT', 100, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(114, 'Luxembourg', 'LU', 101, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(115, 'Macedonia', 'MK', 102, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(116, 'Madagascar', 'MG', 103, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(117, 'Malawi', 'MW', 104, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(118, 'Malaysia', 'MY', 105, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(119, 'Maldives', 'MV', 106, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(120, 'Mali', 'ML', 107, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(121, 'Malta', 'MT', 108, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(122, 'Marshall Islands', 'MH', 109, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(123, 'Mauritania', 'MR', 110, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(124, 'Mauritius', 'MU', 111, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(125, 'Mexico', 'MX', 112, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(126, 'Micronesia', 'FM', 113, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(127, 'Moldova', 'MD', 114, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(128, 'Monaco', 'MC', 115, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(129, 'Mongolia', 'MN', 116, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(130, 'Montenegro', 'ME', 117, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(131, 'Morocco', 'MA', 118, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(132, 'Mozambique', 'MZ', 119, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(133, 'Myanmar (Burma)', 'MM', 120, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(134, 'Namibia', 'NA', 121, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(135, 'Nauru', 'NR', 122, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(136, 'Nepal', 'NP', 123, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(137, 'Netherlands', 'NL', 124, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(138, 'New Zealand', 'NZ', 125, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(139, 'Nicaragua', 'NI', 126, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(140, 'Niger', 'NE', 127, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(141, 'Nigeria', 'NG', 128, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(142, 'Norway', 'NO', 129, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(143, 'Oman', 'OM', 130, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(144, 'Pakistan', 'PK', 131, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(145, 'Palau', 'PW', 132, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(146, 'Panama', 'PA', 133, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(147, 'Papua New Guinea', 'PG', 134, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(148, 'Paraguay', 'PY', 135, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(149, 'Peru', 'PE', 136, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(150, 'Philippines', 'PH', 137, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(151, 'Poland', 'PL', 138, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(152, 'Portugal', 'PT', 139, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(153, 'Qatar', 'QA', 140, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(154, 'Romania', 'RO', 141, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(155, 'Russia', 'RU', 142, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(156, 'Rwanda', 'RW', 143, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(157, 'Saint Kitts and Nevis', 'KN', 144, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(158, 'Saint Lucia', 'LC', 145, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(159, 'Saint Vincent and the Grenadines', 'VC', 146, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(160, 'Samoa', 'WS', 147, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(161, 'San Marino', 'SM', 148, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(162, 'Sao Tome and Principe', 'ST', 149, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(163, 'Saudi Arabia', 'SA', 150, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(164, 'Senegal', 'SN', 151, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(165, 'Serbia', 'RS', 152, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(166, 'Seychelles', 'SC', 153, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(167, 'Sierra Leone', 'SL', 154, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(168, 'Singapore', 'SG', 155, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(169, 'Slovakia', 'SK', 156, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(170, 'Slovenia', 'SI', 157, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(171, 'Solomon Islands', 'SB', 158, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(172, 'Somalia', 'SO', 159, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(173, 'South Africa', 'ZA', 160, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(174, 'Spain', 'ES', 161, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(175, 'Sri Lanka', 'LK', 162, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(176, 'Sudan', 'SD', 163, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(177, 'Suriname', 'SR', 164, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(178, 'Swaziland', 'SZ', 165, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(179, 'Sweden', 'SE', 166, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(180, 'Switzerland', 'CH', 167, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(181, 'Syria', 'SY', 168, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(182, 'Tajikistan', 'TJ', 169, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(183, 'Tanzania', 'TZ', 170, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(184, 'Thailand', 'TH', 171, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(185, 'Timor-Leste (East Timor)', 'TL', 172, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(186, 'Togo', 'TG', 173, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(187, 'Tonga', 'TO', 174, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(188, 'Trinidad and Tobago', 'TT', 175, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(189, 'Tunisia', 'TN', 176, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(190, 'Turkey', 'TR', 177, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(191, 'Turkmenistan', 'TM', 178, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(192, 'Tuvalu', 'TV', 179, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(193, 'Uganda', 'UG', 180, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(194, 'Ukraine', 'UA', 181, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(195, 'United Arab Emirates', 'AE', 182, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(196, 'United Kingdom', 'GB', 183, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(197, 'United States', 'US', 184, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(198, 'Uruguay', 'UY', 185, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(199, 'Uzbekistan', 'UZ', 186, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(200, 'Vanuatu', 'VU', 187, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(201, 'Vatican City', 'VA', 188, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(202, 'Venezuela', 'VE', 189, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(203, 'Vietnam', 'VN', 190, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(204, 'Yemen', 'YE', 191, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(205, 'Zambia', 'ZM', 192, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(206, 'Zimbabwe', 'ZW', 193, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(207, 'Abkhazia', 'GE', 194, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(208, 'China, Republic of (Taiwan)', 'TW', 195, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(209, 'Nagorno-Karabakh', 'AZ', 196, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(210, 'Northern Cyprus', 'CY', 197, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(211, 'Pridnestrovie (Transnistria)', 'MD', 198, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(212, 'Somaliland', 'SO', 199, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(213, 'South Ossetia', 'GE', 200, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(214, 'Ashmore and Cartier Islands', 'AU', 201, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(215, 'Christmas Island', 'CX', 202, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(216, 'Cocos (Keeling) Islands', 'CC', 203, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(217, 'Coral Sea Islands', 'AU', 204, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(218, 'Heard Island and McDonald Islands', 'HM', 205, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(219, 'Norfolk Island', 'NF', 206, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(220, 'New Caledonia', 'NC', 207, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(221, 'French Polynesia', 'PF', 208, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(222, 'Mayotte', 'YT', 209, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(223, 'Saint Barthelemy', 'GP', 210, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(224, 'Saint Martin', 'GP', 211, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(225, 'Saint Pierre and Miquelon', 'PM', 212, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(226, 'Wallis and Futuna', 'WF', 213, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(227, 'French Southern and Antarctic Lands', 'TF', 214, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(228, 'Clipperton Island', 'PF', 215, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(229, 'Bouvet Island', 'BV', 216, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(230, 'Cook Islands', 'CK', 217, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(231, 'Niue', 'NU', 218, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(232, 'Tokelau', 'TK', 219, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(233, 'Guernsey', 'GG', 220, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(234, 'Isle of Man', 'IM', 221, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(235, 'Jersey', 'JE', 222, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(236, 'Anguilla', 'AI', 223, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(237, 'Bermuda', 'BM', 224, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(238, 'British Indian Ocean Territory', 'IO', 225, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(239, 'British Sovereign Base Areas', '', 226, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(240, 'British Virgin Islands', 'VG', 227, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(241, 'Cayman Islands', 'KY', 228, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(242, 'Falkland Islands (Islas Malvinas)', 'FK', 229, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(243, 'Gibraltar', 'GI', 230, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(244, 'Montserrat', 'MS', 231, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(245, 'Pitcairn Islands', 'PN', 232, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(246, 'Saint Helena', 'SH', 233, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(247, 'South Georgia & South Sandwich Islands', 'GS', 234, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(248, 'Turks and Caicos Islands', 'TC', 235, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(249, 'Northern Mariana Islands', 'MP', 236, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(250, 'Puerto Rico', 'PR', 237, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(251, 'American Samoa', 'AS', 238, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(252, 'Baker Island', 'UM', 239, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(253, 'Guam', 'GU', 240, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(254, 'Howland Island', 'UM', 241, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(255, 'Jarvis Island', 'UM', 242, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(256, 'Johnston Atoll', 'UM', 243, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(257, 'Kingman Reef', 'UM', 244, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(258, 'Midway Islands', 'UM', 245, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(259, 'Navassa Island', 'UM', 246, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(260, 'Palmyra Atoll', 'UM', 247, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(261, 'U.S. Virgin Islands', 'VI', 248, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(262, 'Wake Island', 'UM', 249, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(263, 'Hong Kong', 'HK', 250, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(264, 'Macau', 'MO', 251, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(265, 'Faroe Islands', 'FO', 252, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(266, 'Greenland', 'GL', 253, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(267, 'French Guiana', 'GF', 254, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(268, 'Guadeloupe', 'GP', 255, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(269, 'Martinique', 'MQ', 256, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(270, 'Reunion', 'RE', 257, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(271, 'Aland', 'AX', 258, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(272, 'Aruba', 'AW', 259, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(273, 'Netherlands Antilles', 'AN', 260, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(274, 'Svalbard', 'SJ', 261, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(275, 'Ascension', 'AC', 262, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(276, 'Tristan da Cunha', 'TA', 263, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(277, 'Australian Antarctic Territory', 'AQ', 264, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(278, 'Ross Dependency', 'AQ', 265, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(279, 'Peter I Island', 'AQ', 266, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(280, 'Queen Maud Land', 'AQ', 267, 1);
INSERT INTO `#__breezingcommerce_countries` (`id`, `name`, `code`, `ordering`, `published`) VALUES(281, 'British Antarctic Territory', 'AQ', 268, 1);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_country_regions` (
  `id` int(11) NOT NULL,
  `country_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `code` varchar(255) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=28 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_currencies` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `code` varchar(255) NOT NULL DEFAULT '',
  `symbol` varchar(255) NOT NULL DEFAULT '',
  `conversion_rate` decimal(64,4) NOT NULL DEFAULT '0.0000',
  `default` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_currencies` (`id`, `name`, `code`, `symbol`, `conversion_rate`, `default`, `ordering`, `published`) VALUES(1, 'Euro', 'EUR', '€', '1.0000', 1, 1, 1);
INSERT INTO `#__breezingcommerce_currencies` (`id`, `name`, `code`, `symbol`, `conversion_rate`, `default`, `ordering`, `published`) VALUES(2, 'America (USA), Dollar', 'USD', '$', '0.9000', 0, 2, 1);
INSERT INTO `#__breezingcommerce_currencies` (`id`, `name`, `code`, `symbol`, `conversion_rate`, `default`, `ordering`, `published`) VALUES(3, 'Britain (UK), Pounds', 'GBP', '₤', '1.2700', 0, 3, 1);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_currency_price_map` (
  `id` bigint(11) NOT NULL,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `price` decimal(64,4) NOT NULL DEFAULT '0.0000',
  `producttaxclass_id` int(11) NOT NULL DEFAULT '0',
  `currency_id` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB AUTO_INCREMENT=3454 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_customergroups` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `off_percent` double NOT NULL DEFAULT '0',
  `default_country_id` int(11) NOT NULL DEFAULT '0',
  `default_region_id` int(11) NOT NULL DEFAULT '0',
  `tax_class_id` int(11) NOT NULL DEFAULT '0',
  `tax_on_base_price` tinyint(1) NOT NULL DEFAULT '1',
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `default` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=106 DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(9, 'Germany', 0, 77, 0, 3, 0, 1, 0, 29, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(22, 'Spain', 0, 174, 0, 7, 0, 1, 0, 28, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(23, 'Austria', 0, 23, 0, 9, 0, 1, 0, 27, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(24, 'Belgium', 0, 30, 0, 8, 0, 1, 0, 26, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(25, 'Bulgaria', 0, 39, 0, 10, 0, 1, 0, 25, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(26, 'Croatia', 0, 56, 0, 11, 0, 1, 0, 24, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(27, 'Czech Republic', 0, 59, 0, 13, 0, 1, 0, 23, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(28, 'Denmark', 0, 60, 0, 14, 0, 1, 0, 22, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(29, 'Estonia', 0, 69, 0, 15, 0, 1, 0, 21, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(30, 'Finland', 0, 72, 0, 16, 0, 1, 0, 20, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(31, 'France', 0, 73, 0, 17, 0, 1, 0, 19, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(32, 'Greece', 0, 79, 0, 18, 0, 1, 0, 18, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(33, 'Hungary', 0, 87, 0, 19, 0, 1, 0, 17, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(34, 'Ireland', 0, 93, 0, 20, 0, 1, 0, 16, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(35, 'Italy', 0, 95, 0, 21, 0, 1, 0, 15, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(36, 'Latvia', 0, 107, 0, 22, 0, 1, 0, 14, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(37, 'Lithuania', 0, 113, 0, 23, 0, 1, 0, 13, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(38, 'Luxembourg', 0, 114, 0, 24, 0, 1, 0, 12, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(39, 'Malta', 0, 121, 0, 25, 0, 1, 0, 11, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(40, 'Netherlands', 0, 137, 0, 26, 0, 1, 0, 10, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(41, 'Poland', 0, 151, 0, 27, 0, 1, 0, 9, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(42, 'Portugal', 0, 152, 0, 28, 0, 1, 0, 8, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(43, 'Republic of Cyprus', 0, 58, 0, 12, 0, 1, 0, 7, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(44, 'Romania', 0, 154, 0, 29, 0, 1, 0, 6, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(45, 'Slovakia', 0, 169, 0, 30, 0, 1, 0, 5, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(46, 'Slovenia', 0, 170, 0, 31, 0, 1, 0, 4, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(47, 'Sweden', 0, 179, 0, 32, 0, 1, 0, 3, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(48, 'United Kingdom', 0, 196, 0, 33, 0, 1, 0, 2, 1);
INSERT INTO `#__breezingcommerce_customergroups` (`id`, `name`, `off_percent`, `default_country_id`, `default_region_id`, `tax_class_id`, `tax_on_base_price`, `currency_id`, `default`, `ordering`, `published`) VALUES(49, 'Default Group', 0, 197, 0, 34, 0, 0, 1, 1, 1);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_customers` (
  `id` bigint(20) NOT NULL,
  `userid` int(11) NOT NULL DEFAULT '0',
  `customergroup_id` int(11) NOT NULL DEFAULT '0',
  `firstname` varchar(255) NOT NULL DEFAULT '',
  `lastname` varchar(255) NOT NULL DEFAULT '',
  `company` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL DEFAULT '',
  `address2` varchar(255) NOT NULL DEFAULT '',
  `city` varchar(255) NOT NULL DEFAULT '',
  `zip` varchar(255) NOT NULL DEFAULT '',
  `region_id` int(11) NOT NULL DEFAULT '0',
  `country_id` int(11) NOT NULL DEFAULT '0',
  `phone` varchar(255) NOT NULL,
  `mobile` varchar(255) NOT NULL,
  `fax` varchar(255) NOT NULL,
  `shipping_firstname` varchar(255) NOT NULL DEFAULT '',
  `shipping_lastname` varchar(255) NOT NULL DEFAULT '',
  `shipping_company` varchar(255) NOT NULL DEFAULT '',
  `shipping_email` varchar(255) NOT NULL,
  `shipping_address` varchar(255) NOT NULL DEFAULT '',
  `shipping_address2` varchar(255) NOT NULL DEFAULT '',
  `shipping_city` varchar(255) NOT NULL DEFAULT '',
  `shipping_zip` varchar(255) NOT NULL DEFAULT '',
  `shipping_region_id` int(11) NOT NULL DEFAULT '0',
  `shipping_country_id` int(11) NOT NULL DEFAULT '0',
  `shipping_phone` varchar(255) NOT NULL,
  `shipping_mobile` varchar(255) NOT NULL,
  `shipping_fax` varchar(255) NOT NULL,
  `address_complete` tinyint(1) NOT NULL DEFAULT '0',
  `use_shipping_address` tinyint(1) NOT NULL DEFAULT '0',
  `is_tmp` tinyint(1) NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_customertaxclasses` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(3, 'Germany', 29, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(8, 'Belgium', 27, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(7, 'Spain', 28, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(9, 'Austria', 26, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(10, 'Bulgaria', 25, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(11, 'Croatia', 24, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(12, 'Republic of Cyprus', 23, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(13, 'Czech Republic', 22, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(14, 'Denmark', 21, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(15, 'Estonia', 20, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(16, 'Finland', 19, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(17, 'France', 18, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(18, 'Greece', 17, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(19, 'Hungary', 16, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(20, 'Ireland', 15, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(21, 'Italy', 14, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(22, 'Latvia', 13, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(23, 'Lithuania', 12, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(24, 'Luxembourg', 11, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(25, 'Malta', 10, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(26, 'Netherlands', 9, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(27, 'Poland', 8, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(28, 'Portugal', 7, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(29, 'Romania', 6, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(30, 'Slovakia', 5, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(31, 'Slovenia', 4, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(32, 'Sweden', 3, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(33, 'United Kingdom', 2, 1);
INSERT INTO `#__breezingcommerce_customertaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(34, 'Default customer taxclass', 1, 1);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_files` (
  `id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `filename` varchar(255) NOT NULL,
  `filename2` text NOT NULL,
  `filetype` varchar(255) NOT NULL DEFAULT 'application/octet-stream',
  `filesize` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `requires_verification` tinyint(1) NOT NULL DEFAULT '0',
  `verification_days` int(11) NOT NULL DEFAULT '0',
  `verification_download_tries` int(11) NOT NULL DEFAULT '0',
  `downloads` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=208 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_group_price_map` (
  `id` bigint(11) NOT NULL,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `price` decimal(64,4) NOT NULL DEFAULT '0.0000',
  `producttaxclass_id` int(11) NOT NULL DEFAULT '0',
  `customergroup_id` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB AUTO_INCREMENT=58699 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_images` (
  `id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alt_name` varchar(255) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `background_color` varchar(6) NOT NULL DEFAULT '',
  `physical_name` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=2151 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_invoice_numbers` (
  `id` int(11) NOT NULL,
  `order_number` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_manufacturers` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `tag` varchar(255) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `description_fulltext` longtext NOT NULL,
  `image_name` varchar(255) NOT NULL DEFAULT '',
  `image_alt_name` varchar(255) NOT NULL DEFAULT '',
  `image_description` text NOT NULL,
  `image_background_color` varchar(6) NOT NULL DEFAULT '',
  `image_physical_name` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_news` (
  `id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `text` text NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_orderitemfiles` (
  `id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL DEFAULT '0',
  `order_item_id` int(11) NOT NULL DEFAULT '0',
  `product_id` int(11) NOT NULL DEFAULT '0',
  `file_id` int(11) NOT NULL DEFAULT '0',
  `valid` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `forever` tinyint(1) NOT NULL DEFAULT '0',
  `download_tries` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=47 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_orders` (
  `id` bigint(20) NOT NULL,
  `order_number` varchar(255) NOT NULL DEFAULT '',
  `customer_id` bigint(20) NOT NULL DEFAULT '0',
  `creation_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `send_notification` tinyint(1) NOT NULL DEFAULT '1',
  `checked_out` tinyint(4) NOT NULL DEFAULT '0',
  `checkout_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `tax_disabled` tinyint(1) NOT NULL DEFAULT '0',
  `paid` tinyint(1) NOT NULL DEFAULT '0',
  `payment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `plugin_id` int(11) NOT NULL DEFAULT '0',
  `selected_shipping_id` int(11) NOT NULL DEFAULT '0',
  `payment_plugin_id` int(11) NOT NULL DEFAULT '0',
  `payment_transaction_id` varchar(255) NOT NULL DEFAULT '',
  `payment_raw_data` longtext NOT NULL,
  `order_status_id` int(11) NOT NULL DEFAULT '0',
  `history` tinyint(1) NOT NULL DEFAULT '0',
  `history_symbol` varchar(255) NOT NULL DEFAULT '',
  `history_currency_code` varchar(10) NOT NULL DEFAULT '',
  `history_conversion_rate` decimal(64,4) NOT NULL DEFAULT '0.0000',
  `history_shipping_plugin` varchar(255) NOT NULL DEFAULT '',
  `history_shipping_name` varchar(255) NOT NULL DEFAULT '',
  `history_shipping_costs` decimal(64,4) NOT NULL DEFAULT '0.0000',
  `history_payment_plugin` varchar(255) NOT NULL DEFAULT '',
  `history_payment_plugin_info` text NOT NULL,
  `history_customer_id` int(11) NOT NULL DEFAULT '0',
  `history_customer_name` varchar(255) NOT NULL DEFAULT '',
  `history_customer` text NOT NULL,
  `invoice_created` tinyint(1) NOT NULL DEFAULT '0',
  `invoice_number` varchar(255) NOT NULL,
  `invoice_name` varchar(255) NOT NULL DEFAULT '',
  `invoice_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `cancelled` tinyint(1) NOT NULL DEFAULT '0',
  `cancelled_number` varchar(255) NOT NULL,
  `cancelled_name` varchar(255) NOT NULL DEFAULT '',
  `cancelled_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_order_items` (
  `id` bigint(20) NOT NULL,
  `order_id` bigint(20) NOT NULL DEFAULT '0',
  `product_id` int(11) NOT NULL,
  `amount` int(11) NOT NULL,
  `producttaxclass_id` int(11) NOT NULL DEFAULT '0',
  `properties` longtext NOT NULL,
  `is_combination` tinyint(1) NOT NULL DEFAULT '0',
  `attributes` longtext NOT NULL,
  `order_item_info` longtext NOT NULL,
  `history_title` varchar(255) NOT NULL,
  `history_title_admin` varchar(255) NOT NULL DEFAULT '',
  `history_properties` text NOT NULL,
  `history_properties_admin` text NOT NULL,
  `history_attributes` text NOT NULL,
  `history_attributes_admin` text NOT NULL,
  `history_attributes_text` text NOT NULL,
  `history_attributes_invoice` text NOT NULL,
  `history_amount` int(11) NOT NULL,
  `history_net` decimal(64,4) NOT NULL,
  `history_taxes` decimal(64,4) NOT NULL,
  `history_gross` decimal(64,4) NOT NULL,
  `history_applied_taxes` text NOT NULL,
  `history_discount` decimal(64,4) NOT NULL,
  `history_single_net` decimal(64,4) NOT NULL,
  `history_single_gross` decimal(64,4) NOT NULL,
  `history_single_taxes` decimal(64,4) NOT NULL,
  `history_single_applied_taxes` text NOT NULL,
  `history_single_discount` decimal(64,4) NOT NULL,
  `history_price_tax_list` text NOT NULL,
  `history_price_single_tax_list` text NOT NULL,
  `history` tinyint(1) NOT NULL DEFAULT '0',
  `creation_date` datetime NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `verified` tinyint(4) NOT NULL DEFAULT '0',
  `verification_expiration_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_order_log` (
  `id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL DEFAULT '0',
  `type` varchar(255) NOT NULL DEFAULT '',
  `identifier` varchar(255) NOT NULL DEFAULT '',
  `user` varchar(255) NOT NULL DEFAULT '',
  `creation_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `message` mediumtext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_order_status` (
  `id` int(11) NOT NULL,
  `code` varchar(64) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `trigger_email` tinyint(1) NOT NULL DEFAULT '0',
  `email_template` text NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(1, 'P', 'Pending', 1, 'Hello {firstname} {lastname},\r\n\r\nyour order #{order_number} is now pending.\r\n\r\nRegards,\r\n{business_name}', 1, 1);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(2, 'C', 'Confirmed', 1, 'Hello {firstname} {lastname},\r\n\r\nyour order #{order_number} is now confirmed.\r\n\r\nRegards,\r\n{business_name}', 1, 2);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(3, 'X', 'Cancelled', 0, 'Hello {firstname} {lastname},\r\n\r\nyour order #{order_number} is now cancelled.\r\n\r\nRegards,\r\n{business_name}', 1, 3);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(4, 'R', 'Refunded', 0, 'Hello {firstname} {lastname},\r\n\r\nyour order #{order_number} is now refunded.\r\n\r\nRegards,\r\n{business_name}', 1, 4);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(5, 'S', 'Shipped', 1, 'Hello {firstname} {lastname},\r\n\r\nyour order #{order_number} has been shipped.\r\n\r\nRegards,\r\n{business_name}', 1, 5);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(6, 'RD', 'Ready for delivery', 0, '', 1, 6);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(7, 'RD1', 'Ready for 1st delivery', 0, '', 1, 7);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(8, 'RD2', 'Ready for 2nd delivery', 0, '', 1, 8);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(9, 'ACCP', 'Awaiting credit card payment', 0, '', 1, 9);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(10, 'APP', 'Awaiting paypal payment', 0, '', 1, 10);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(11, 'ABT', 'Awaiting bank transfer', 0, '', 1, 11);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(12, 'PR', 'Payment received', 0, '', 1, 12);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(13, 'RC', 'Reclamation', 0, '', 1, 13);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(14, 'PS', 'Partially shipped', 0, '', 1, 14);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(15, 'RT', 'Returned', 0, '', 1, 15);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(16, 'PRT', 'Partially Returned', 0, '', 1, 16);
INSERT INTO `#__breezingcommerce_order_status` (`id`, `code`, `name`, `trigger_email`, `email_template`, `published`, `ordering`) VALUES(17, 'PRC', 'Partially Reclamation', 0, '', 1, 17);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_plugins` (
  `id` int(11) NOT NULL,
  `type` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `version` varchar(255) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=47 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_products` (
  `id` int(11) NOT NULL,
  `item_number` varchar(255) NOT NULL DEFAULT '',
  `sku` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `description_fulltext` longtext NOT NULL,
  `price` decimal(64,4) NOT NULL DEFAULT '0.0000',
  `sale_price` decimal(64,4) NOT NULL DEFAULT '0.0000',
  `stock` int(11) NOT NULL DEFAULT '0',
  `weight` double NOT NULL DEFAULT '0',
  `weight_type` tinyint(1) NOT NULL DEFAULT '0',
  `dimension_type` tinyint(1) NOT NULL DEFAULT '0',
  `width` double NOT NULL DEFAULT '0',
  `height` double NOT NULL DEFAULT '0',
  `length` double NOT NULL DEFAULT '0',
  `bundles` longtext NOT NULL,
  `property_id` int(11) NOT NULL DEFAULT '0',
  `property_readonly_id` int(11) NOT NULL DEFAULT '0',
  `use_combinations` tinyint(1) NOT NULL DEFAULT '0',
  `producttaxclass_id` int(11) NOT NULL DEFAULT '0',
  `virtual_product` tinyint(1) NOT NULL DEFAULT '0',
  `backorders` varchar(255) NOT NULL DEFAULT '',
  `limited_address_data` tinyint(1) NOT NULL DEFAULT '0',
  `attribs` longtext NOT NULL,
  `metadesc` varchar(1024) NOT NULL DEFAULT '',
  `metakey` varchar(1024) NOT NULL DEFAULT '',
  `metadata` varchar(2048) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `modified_by_alias` varchar(255) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=1732 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_producttaxclasses` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_producttaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(3, 'EU VAT File Purchase', 2, 1);
INSERT INTO `#__breezingcommerce_producttaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(6, 'default product tax class', 3, 1);
INSERT INTO `#__breezingcommerce_producttaxclasses` (`id`, `name`, `ordering`, `published`) VALUES(7, 'shipping product tax class', 1, 1);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_product_attributes` (
  `id` bigint(20) NOT NULL,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `attribute_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=533 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_product_attribute_items` (
  `id` bigint(20) NOT NULL,
  `product_attribute_id` bigint(20) NOT NULL DEFAULT '0',
  `attribute_item_id` int(11) NOT NULL DEFAULT '0',
  `attribute_id` int(11) NOT NULL DEFAULT '0',
  `product_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `plus_price` decimal(64,4) NOT NULL DEFAULT '0.0000',
  `selected` tinyint(1) NOT NULL DEFAULT '0',
  `item_product_id` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=1346 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_product_categories` (
  `id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=1840 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_product_manufacturers` (
  `product_id` bigint(20) NOT NULL DEFAULT '0',
  `manufacturer_id` bigint(20) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_product_property_combinations` (
  `id` bigint(20) NOT NULL,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `property_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `price` decimal(64,4) NOT NULL DEFAULT '-1.0000',
  `stock` int(11) NOT NULL DEFAULT '0',
  `weight` double NOT NULL DEFAULT '0',
  `weight_type` tinyint(1) NOT NULL DEFAULT '0',
  `dimension_type` tinyint(1) NOT NULL DEFAULT '0',
  `width` double NOT NULL DEFAULT '0',
  `height` double NOT NULL DEFAULT '0',
  `length` double NOT NULL DEFAULT '0',
  `selected` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=872 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_product_property_combination_items` (
  `id` bigint(20) NOT NULL,
  `combination_id` int(11) NOT NULL DEFAULT '0',
  `product_id` int(11) NOT NULL DEFAULT '0',
  `property_id` int(11) NOT NULL DEFAULT '0',
  `property_key_id` int(11) NOT NULL DEFAULT '0',
  `property_value_id` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=2154 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_product_property_keys` (
  `id` bigint(20) NOT NULL,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `property_key_id` int(11) NOT NULL DEFAULT '0',
  `property_id` int(11) NOT NULL DEFAULT '0',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=1834 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_product_property_values` (
  `id` bigint(20) NOT NULL,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `property_value_id` int(11) NOT NULL DEFAULT '0',
  `property_key_id` int(11) NOT NULL DEFAULT '0',
  `property_id` int(11) NOT NULL DEFAULT '0',
  `custom_value` text NOT NULL,
  `price` decimal(64,4) NOT NULL DEFAULT '-1.0000',
  `is_plus_price` tinyint(1) NOT NULL DEFAULT '1',
  `selected` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=6737 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_properties` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `readonly` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_property_keys` (
  `id` int(11) NOT NULL,
  `property_id` int(11) NOT NULL DEFAULT '0',
  `key` varchar(255) NOT NULL DEFAULT '',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=29 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_property_values` (
  `id` int(11) NOT NULL,
  `key_id` int(11) NOT NULL DEFAULT '0',
  `property_id` int(11) NOT NULL DEFAULT '0',
  `value` varchar(255) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=104 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_taxrates` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `country_id` int(11) NOT NULL DEFAULT '0',
  `region_id` int(11) NOT NULL DEFAULT '0',
  `is_range` tinyint(1) NOT NULL DEFAULT '0',
  `range_from` int(11) NOT NULL DEFAULT '-1',
  `range_to` int(11) NOT NULL DEFAULT '-1',
  `zip_code` varchar(255) NOT NULL DEFAULT '*',
  `rate_percent` decimal(64,4) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=36 DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(7, 'Spain', 174, 0, 0, 0, 0, '*', '21.0000', 29, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(3, 'Mwst.', 77, 0, 0, 0, 0, '*', '19.0000', 30, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(9, 'Belgium', 30, 0, 0, 0, 0, '*', '21.0000', 27, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(8, 'Austria', 23, 0, 0, 0, 0, '*', '20.0000', 28, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(10, 'Bulgaria', 39, 0, 0, 0, 0, '*', '20.0000', 26, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(11, 'Croatia', 56, 0, 0, 0, 0, '*', '25.0000', 25, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(12, 'Republic of Cyprus', 58, 0, 0, 0, 0, '*', '19.0000', 24, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(13, 'Czech Republic', 59, 0, 0, 0, 0, '*', '21.0000', 23, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(14, 'Denmark', 60, 0, 0, 0, 0, '*', '25.0000', 22, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(15, 'Estonia', 69, 0, 0, 0, 0, '*', '20.0000', 21, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(16, 'Finland', 72, 0, 0, 0, 0, '*', '24.0000', 20, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(17, 'France', 73, 0, 0, 0, 0, '*', '20.0000', 19, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(18, 'Greece', 79, 0, 0, 0, 0, '*', '23.0000', 18, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(19, 'Hungary', 87, 0, 0, 0, 0, '*', '27.0000', 17, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(20, 'Ireland', 93, 0, 0, 0, 0, '*', '23.0000', 16, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(21, 'Italy', 95, 0, 0, 0, 0, '*', '22.0000', 15, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(22, 'Latvia', 107, 0, 0, 0, 0, '*', '21.0000', 14, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(23, 'Lithuania', 113, 0, 0, 0, 0, '*', '21.0000', 13, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(24, 'Luxembourg', 114, 0, 0, 0, 0, '*', '17.0000', 12, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(25, 'Malta', 121, 0, 0, 0, 0, '*', '18.0000', 11, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(26, 'Netherlands', 137, 0, 0, 0, 0, '*', '21.0000', 10, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(27, 'Poland', 151, 0, 0, 0, 0, '*', '23.0000', 9, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(28, 'Portugal', 152, 0, 0, 0, 0, '*', '23.0000', 8, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(29, 'Romania', 154, 0, 0, 0, 0, '*', '24.0000', 7, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(30, 'Slovakia', 169, 0, 0, 0, 0, '*', '20.0000', 6, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(31, 'Slovenia', 170, 0, 0, 0, 0, '*', '22.0000', 5, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(32, 'Sweden', 179, 0, 0, 0, 0, '*', '25.0000', 4, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(33, 'United Kingdom', 196, 0, 0, 0, 0, '*', '20.0000', 3, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(34, 'Default Rate', 0, 0, 0, 0, 0, '*', '19.0000', 2, 1);
INSERT INTO `#__breezingcommerce_taxrates` (`id`, `name`, `country_id`, `region_id`, `is_range`, `range_from`, `range_to`, `zip_code`, `rate_percent`, `ordering`, `published`) VALUES(35, 'Shipping Rate', 0, 0, 0, 0, 0, '*', '19.0000', 1, 0);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_taxrules` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `priority` int(11) NOT NULL DEFAULT '1',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(3, 'Germany', 1, 1, 30);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(4, 'Spain', 1, 1, 31);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(6, 'Austria', 1, 1, 29);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(7, 'Belgium', 1, 1, 28);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(8, 'Bulgaria', 1, 1, 27);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(9, 'Croatia', 1, 1, 26);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(10, 'Czech Republic', 1, 1, 25);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(11, 'Denmark', 1, 1, 24);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(12, 'Estonia', 1, 1, 23);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(13, 'Finland', 1, 1, 22);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(14, 'France', 1, 1, 21);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(15, 'Greece', 1, 1, 20);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(16, 'Hungary', 1, 1, 19);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(17, 'Ireland', 1, 1, 18);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(18, 'Italy', 1, 1, 17);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(19, 'Latvia', 1, 1, 16);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(20, 'Lithuania', 1, 1, 15);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(21, 'Luxembourg', 1, 1, 14);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(22, 'Malta', 1, 1, 13);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(23, 'Netherlands', 1, 1, 12);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(24, 'Poland', 1, 1, 11);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(25, 'Portugal', 1, 1, 10);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(26, 'Republic of Cyprus', 1, 1, 9);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(27, 'Romania', 1, 1, 8);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(28, 'Slovakia', 1, 1, 7);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(29, 'Slovenia', 1, 1, 6);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(30, 'Sweden', 1, 1, 5);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(31, 'United Kingdom', 1, 1, 4);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(32, 'Default Rule (World)', 1, 1, 3);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(33, 'Default Rule VAT File Purchase (non EU)', 1, 1, 2);
INSERT INTO `#__breezingcommerce_taxrules` (`id`, `name`, `priority`, `published`, `ordering`) VALUES(34, 'Shipping Tax Rule', 1, 1, 1);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_taxrules_customertaxclasses` (
  `taxrule_id` int(11) NOT NULL DEFAULT '0',
  `customertaxclass_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(3, 3);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(4, 7);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(6, 9);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(7, 8);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(8, 10);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(9, 11);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(10, 13);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(11, 14);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(12, 15);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(13, 16);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(14, 17);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(15, 18);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(16, 19);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(17, 20);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(18, 21);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(19, 22);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(20, 23);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(21, 24);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(22, 25);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(23, 26);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(24, 27);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(25, 28);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(26, 12);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(27, 29);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(28, 30);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(29, 31);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(30, 32);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(31, 33);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 3);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 7);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 8);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 9);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 10);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 11);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 12);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 13);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 14);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 15);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 16);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 17);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 18);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 19);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 20);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 21);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 22);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 23);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 24);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 25);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 26);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 27);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 28);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 29);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 30);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 31);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 32);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(32, 33);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(33, 34);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 3);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 7);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 8);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 9);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 10);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 11);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 12);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 13);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 14);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 15);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 16);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 17);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 18);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 19);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 20);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 21);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 22);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 23);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 24);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 25);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 26);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 27);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 28);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 29);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 30);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 31);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 32);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 33);
INSERT INTO `#__breezingcommerce_taxrules_customertaxclasses` (`taxrule_id`, `customertaxclass_id`) VALUES(34, 34);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_taxrules_producttaxclasses` (
  `taxrule_id` int(11) NOT NULL DEFAULT '0',
  `producttaxclass_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(3, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(4, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(6, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(7, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(8, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(9, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(10, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(11, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(12, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(13, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(14, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(15, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(16, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(17, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(18, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(19, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(20, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(21, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(22, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(23, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(24, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(25, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(26, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(27, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(28, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(29, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(30, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(31, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(32, 6);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(33, 3);
INSERT INTO `#__breezingcommerce_taxrules_producttaxclasses` (`taxrule_id`, `producttaxclass_id`) VALUES(34, 7);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_taxrules_taxrates` (
  `taxrule_id` int(11) NOT NULL DEFAULT '0',
  `taxrate_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(3, 3);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(4, 7);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(6, 8);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(7, 9);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(8, 10);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(9, 11);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(10, 13);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(11, 14);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(12, 15);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(13, 16);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(14, 17);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(15, 18);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(16, 19);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(17, 20);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(18, 21);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(19, 22);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(20, 23);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(21, 24);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(22, 25);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(23, 26);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(24, 27);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(25, 28);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(26, 12);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(27, 29);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(28, 30);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(29, 31);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(30, 32);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(31, 33);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(32, 34);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(33, 34);
INSERT INTO `#__breezingcommerce_taxrules_taxrates` (`taxrule_id`, `taxrate_id`) VALUES(34, 35);

CREATE TABLE IF NOT EXISTS `#__breezingcommerce_translations` (
  `id` bigint(20) NOT NULL,
  `item_id` int(11) NOT NULL DEFAULT '0',
  `language_code` varchar(16) NOT NULL DEFAULT 'en-GB',
  `type` varchar(64) NOT NULL DEFAULT 'product',
  `title` varchar(255) DEFAULT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `summary` longtext,
  `body` longtext,
  `ordering` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


ALTER TABLE `#__breezingcommerce_attributes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `tag` (`tag`),
  ADD KEY `display_as` (`display_as`),
  ADD KEY `required` (`required`),
  ADD KEY `published` (`published`),
  ADD KEY `min_amount` (`min_amount`);

ALTER TABLE `#__breezingcommerce_attribute_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `attribute_id` (`attribute_id`),
  ADD KEY `name` (`name`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_categories`
  ADD PRIMARY KEY (`id`),
  ADD KEY `alias` (`alias`),
  ADD KEY `published` (`published`),
  ADD KEY `created` (`created`),
  ADD KEY `modified` (`modified`),
  ADD KEY `parent` (`parent_id`),
  ADD KEY `left_right` (`lft`,`rgt`),
  ADD KEY `path` (`path`),
  ADD KEY `ordering` (`ordering`),
  ADD FULLTEXT KEY `title` (`title`);
ALTER TABLE `#__breezingcommerce_categories`
  ADD FULLTEXT KEY `description_fulltext` (`description_fulltext`);

ALTER TABLE `#__breezingcommerce_configuration`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `#__breezingcommerce_countries`
  ADD PRIMARY KEY (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `code` (`code`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_country_regions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `country_id` (`country_id`),
  ADD KEY `name` (`name`),
  ADD KEY `code` (`code`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_currencies`
  ADD PRIMARY KEY (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `code` (`code`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_currency_price_map`
  ADD PRIMARY KEY (`id`),
  ADD KEY `price` (`price`),
  ADD KEY `producttaxclass_id` (`producttaxclass_id`),
  ADD KEY `currency_id` (`currency_id`),
  ADD KEY `product_id` (`product_id`);

ALTER TABLE `#__breezingcommerce_customergroups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `published` (`published`),
  ADD KEY `name` (`name`),
  ADD KEY `default_country_id` (`default_country_id`),
  ADD KEY `default_region_id` (`default_region_id`),
  ADD KEY `tax_class_id` (`tax_class_id`),
  ADD KEY `default` (`default`),
  ADD KEY `tax_on_base_price` (`tax_on_base_price`),
  ADD KEY `currency_id` (`currency_id`);

ALTER TABLE `#__breezingcommerce_customers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `region_id` (`region_id`),
  ADD KEY `country_id` (`country_id`),
  ADD KEY `shipping_region_id` (`shipping_region_id`),
  ADD KEY `shipping_country_id` (`shipping_country_id`),
  ADD KEY `region_id_2` (`region_id`,`country_id`),
  ADD KEY `shipping_region_id_2` (`shipping_region_id`,`shipping_country_id`),
  ADD KEY `published` (`published`),
  ADD KEY `customergroup_id` (`customergroup_id`),
  ADD KEY `city` (`city`),
  ADD KEY `email` (`email`),
  ADD KEY `is_tmp` (`is_tmp`),
  ADD KEY `userid` (`userid`);

ALTER TABLE `#__breezingcommerce_customertaxclasses`
  ADD PRIMARY KEY (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_files`
  ADD PRIMARY KEY (`id`),
  ADD KEY `product_id` (`product_id`,`filename`),
  ADD KEY `product_id_2` (`product_id`),
  ADD KEY `filename` (`filename`),
  ADD KEY `published` (`published`),
  ADD KEY `requires_verification` (`requires_verification`),
  ADD KEY `verification_days` (`verification_days`),
  ADD KEY `verification_download_tries` (`verification_download_tries`);

ALTER TABLE `#__breezingcommerce_group_price_map`
  ADD PRIMARY KEY (`id`),
  ADD KEY `price` (`price`),
  ADD KEY `producttaxclass_id` (`producttaxclass_id`),
  ADD KEY `customergroup_id` (`customergroup_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_images`
  ADD PRIMARY KEY (`id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `published` (`published`),
  ADD KEY `name` (`name`),
  ADD KEY `alt_name` (`alt_name`);

ALTER TABLE `#__breezingcommerce_invoice_numbers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`,`order_number`),
  ADD KEY `order_number` (`order_number`);

ALTER TABLE `#__breezingcommerce_manufacturers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `alias` (`alias`),
  ADD KEY `tag` (`tag`),
  ADD KEY `published` (`published`),
  ADD KEY `name` (`name`),
  ADD KEY `ordering` (`ordering`),
  ADD FULLTEXT KEY `description_fulltext` (`description_fulltext`);

ALTER TABLE `#__breezingcommerce_news`
  ADD PRIMARY KEY (`id`),
  ADD KEY `date` (`date`);

ALTER TABLE `#__breezingcommerce_orderitemfiles`
  ADD PRIMARY KEY (`id`),
  ADD KEY `order_id` (`order_id`,`product_id`),
  ADD KEY `order_id_2` (`order_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `order_item_id` (`order_item_id`),
  ADD KEY `valid` (`valid`),
  ADD KEY `file_id` (`file_id`),
  ADD KEY `forever` (`forever`);

ALTER TABLE `#__breezingcommerce_orders`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`,`checked_out`),
  ADD KEY `selected_shipping_id` (`selected_shipping_id`),
  ADD KEY `order_status_id` (`order_status_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `history` (`history`),
  ADD KEY `order_number` (`order_number`),
  ADD KEY `id_2` (`id`,`order_number`),
  ADD KEY `payment_plugin_id` (`payment_plugin_id`),
  ADD KEY `invoice_number` (`invoice_number`),
  ADD KEY `cancelled_number` (`cancelled_number`),
  ADD KEY `published` (`published`),
  ADD KEY `payment_date` (`payment_date`),
  ADD KEY `plugin_id` (`plugin_id`),
  ADD KEY `invoice_date` (`invoice_date`),
  ADD KEY `checked_out` (`checked_out`),
  ADD KEY `paid` (`paid`),
  ADD KEY `history_currency_code` (`history_currency_code`),
  ADD KEY `payment_transaction_id` (`payment_transaction_id`),
  ADD KEY `history_customer_name` (`history_customer_name`),
  ADD KEY `history_customer_id` (`history_customer_id`),
  ADD KEY `checkout_date` (`checkout_date`),
  ADD KEY `tax_disabled` (`tax_disabled`);

ALTER TABLE `#__breezingcommerce_order_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `order_id` (`order_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `is_combination` (`is_combination`),
  ADD KEY `producttaxclass_id` (`producttaxclass_id`),
  ADD KEY `published` (`published`),
  ADD KEY `verified` (`verified`),
  ADD KEY `verification_expiration_date` (`verification_expiration_date`),
  ADD KEY `history_title_admin` (`history_title_admin`),
  ADD KEY `history_title` (`history_title`);

ALTER TABLE `#__breezingcommerce_order_log`
  ADD PRIMARY KEY (`id`),
  ADD KEY `order_id` (`order_id`),
  ADD KEY `type` (`type`),
  ADD KEY `creation_date` (`creation_date`),
  ADD KEY `user` (`user`),
  ADD KEY `identifier` (`identifier`);

ALTER TABLE `#__breezingcommerce_order_status`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `order_status_code` (`code`),
  ADD KEY `published` (`published`),
  ADD KEY `trigger_email` (`trigger_email`);

ALTER TABLE `#__breezingcommerce_plugins`
  ADD PRIMARY KEY (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `type` (`type`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_products`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `item_number` (`item_number`),
  ADD KEY `producttaxclass_id` (`producttaxclass_id`),
  ADD KEY `property_id` (`property_id`),
  ADD KEY `published` (`published`),
  ADD KEY `weight_type` (`weight_type`),
  ADD KEY `dimension_type` (`dimension_type`),
  ADD KEY `alias` (`alias`),
  ADD KEY `stock` (`stock`),
  ADD KEY `sku` (`sku`),
  ADD KEY `price` (`price`),
  ADD KEY `sale_price` (`sale_price`),
  ADD KEY `created` (`created`),
  ADD KEY `modified` (`modified`),
  ADD KEY `limited_address_data` (`limited_address_data`),
  ADD KEY `backorders` (`backorders`),
  ADD KEY `property_readonly_id` (`property_readonly_id`),
  ADD FULLTEXT KEY `title` (`title`);
ALTER TABLE `#__breezingcommerce_products`
  ADD FULLTEXT KEY `description_fulltext` (`description_fulltext`);

ALTER TABLE `#__breezingcommerce_producttaxclasses`
  ADD PRIMARY KEY (`id`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_product_attributes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `product_id` (`product_id`,`attribute_id`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_product_attribute_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `attribute_id` (`attribute_id`),
  ADD KEY `name` (`name`),
  ADD KEY `product_id` (`item_product_id`),
  ADD KEY `product_attribute_id` (`product_attribute_id`),
  ADD KEY `product_attribute_id_2` (`product_attribute_id`,`attribute_item_id`,`attribute_id`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_product_categories`
  ADD PRIMARY KEY (`id`),
  ADD KEY `product_id` (`product_id`,`category_id`);

ALTER TABLE `#__breezingcommerce_product_manufacturers`
  ADD KEY `product_id` (`product_id`,`manufacturer_id`),
  ADD KEY `product_id_2` (`product_id`),
  ADD KEY `manufacturer_id` (`manufacturer_id`);

ALTER TABLE `#__breezingcommerce_product_property_combinations`
  ADD PRIMARY KEY (`id`),
  ADD KEY `product_id` (`product_id`,`property_id`),
  ADD KEY `name` (`name`),
  ADD KEY `id` (`id`,`product_id`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_product_property_combination_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `combination_id` (`combination_id`,`product_id`,`property_id`),
  ADD KEY `property_key_id` (`property_key_id`,`property_value_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `property_key_id_2` (`property_key_id`);

ALTER TABLE `#__breezingcommerce_product_property_keys`
  ADD PRIMARY KEY (`id`),
  ADD KEY `property_key_id` (`property_key_id`,`property_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `product_id_2` (`product_id`,`property_id`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_product_property_values`
  ADD PRIMARY KEY (`id`),
  ADD KEY `property_value_id` (`property_value_id`,`property_key_id`,`property_id`),
  ADD KEY `product_id` (`product_id`),
  ADD KEY `product_id_2` (`product_id`,`property_key_id`,`property_id`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_properties`
  ADD PRIMARY KEY (`id`),
  ADD KEY `name` (`name`),
  ADD KEY `published` (`published`),
  ADD KEY `readonly` (`readonly`);

ALTER TABLE `#__breezingcommerce_property_keys`
  ADD PRIMARY KEY (`id`),
  ADD KEY `key` (`key`),
  ADD KEY `property_id` (`property_id`),
  ADD KEY `published` (`published`);

ALTER TABLE `#__breezingcommerce_property_values`
  ADD PRIMARY KEY (`id`),
  ADD KEY `key_id` (`key_id`,`property_id`),
  ADD KEY `value` (`value`);

ALTER TABLE `#__breezingcommerce_taxrates`
  ADD PRIMARY KEY (`id`),
  ADD KEY `published` (`published`),
  ADD KEY `zip_code` (`zip_code`),
  ADD KEY `region_id` (`region_id`),
  ADD KEY `country_id` (`country_id`);

ALTER TABLE `#__breezingcommerce_taxrules`
  ADD PRIMARY KEY (`id`),
  ADD KEY `priority` (`priority`);

ALTER TABLE `#__breezingcommerce_taxrules_customertaxclasses`
  ADD KEY `taxrule_id` (`taxrule_id`,`customertaxclass_id`);

ALTER TABLE `#__breezingcommerce_taxrules_producttaxclasses`
  ADD KEY `taxrule_id` (`taxrule_id`,`producttaxclass_id`);

ALTER TABLE `#__breezingcommerce_taxrules_taxrates`
  ADD KEY `taxrule_id` (`taxrule_id`,`taxrate_id`);

ALTER TABLE `#__breezingcommerce_translations`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `item_id` (`item_id`,`language_code`,`type`),
  ADD KEY `product_id` (`item_id`),
  ADD KEY `language_code` (`language_code`),
  ADD KEY `id` (`id`,`language_code`),
  ADD KEY `title` (`title`),
  ADD KEY `item_id_2` (`item_id`,`type`),
  ADD KEY `ordering` (`ordering`),
  ADD KEY `alias` (`alias`),
  ADD KEY `type` (`type`),
  ADD FULLTEXT KEY `body` (`body`);
ALTER TABLE `#__breezingcommerce_translations`
  ADD FULLTEXT KEY `summary` (`summary`);
ALTER TABLE `#__breezingcommerce_translations`
  ADD FULLTEXT KEY `title_2` (`title`);


ALTER TABLE `#__breezingcommerce_attributes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=20;
ALTER TABLE `#__breezingcommerce_attribute_items`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=38;
ALTER TABLE `#__breezingcommerce_categories`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=12343;
ALTER TABLE `#__breezingcommerce_configuration`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
ALTER TABLE `#__breezingcommerce_countries`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=282;
ALTER TABLE `#__breezingcommerce_country_regions`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=28;
ALTER TABLE `#__breezingcommerce_currencies`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=23;
ALTER TABLE `#__breezingcommerce_currency_price_map`
  MODIFY `id` bigint(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3454;
ALTER TABLE `#__breezingcommerce_customergroups`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=106;
ALTER TABLE `#__breezingcommerce_customers`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;
ALTER TABLE `#__breezingcommerce_customertaxclasses`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=35;
ALTER TABLE `#__breezingcommerce_files`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=208;
ALTER TABLE `#__breezingcommerce_group_price_map`
  MODIFY `id` bigint(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=58699;
ALTER TABLE `#__breezingcommerce_images`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2151;
ALTER TABLE `#__breezingcommerce_invoice_numbers`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
ALTER TABLE `#__breezingcommerce_manufacturers`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=8;
ALTER TABLE `#__breezingcommerce_news`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
ALTER TABLE `#__breezingcommerce_orderitemfiles`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=47;
ALTER TABLE `#__breezingcommerce_orders`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;
ALTER TABLE `#__breezingcommerce_order_items`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;
ALTER TABLE `#__breezingcommerce_order_log`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
ALTER TABLE `#__breezingcommerce_order_status`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=20;
ALTER TABLE `#__breezingcommerce_plugins`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=47;
ALTER TABLE `#__breezingcommerce_products`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1732;
ALTER TABLE `#__breezingcommerce_producttaxclasses`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=8;
ALTER TABLE `#__breezingcommerce_product_attributes`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=533;
ALTER TABLE `#__breezingcommerce_product_attribute_items`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1346;
ALTER TABLE `#__breezingcommerce_product_categories`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1840;
ALTER TABLE `#__breezingcommerce_product_property_combinations`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=872;
ALTER TABLE `#__breezingcommerce_product_property_combination_items`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2154;
ALTER TABLE `#__breezingcommerce_product_property_keys`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1834;
ALTER TABLE `#__breezingcommerce_product_property_values`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=6737;
ALTER TABLE `#__breezingcommerce_properties`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=11;
ALTER TABLE `#__breezingcommerce_property_keys`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=29;
ALTER TABLE `#__breezingcommerce_property_values`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=104;
ALTER TABLE `#__breezingcommerce_taxrates`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=36;
ALTER TABLE `#__breezingcommerce_taxrules`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=35;
ALTER TABLE `#__breezingcommerce_translations`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;