<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class BreezingcommerceModelConfiguration extends JModelLegacy
{

    function  __construct($config)
    {
        parent::__construct();

        $query = 'Select id From #__breezingcommerce_configuration Order By id Desc Limit 1';
        $this->_db->setQuery( $query );
        $result = $this->_db->loadResult();
        if($result){
            $this->setId($result);
        }else{
            $this->setId(0);
        }
    }

    function setId($id) {
        // Set id and wipe data
        $this->_id      = $id;
        $this->_data    = null;
    }

    /**
    * Gets the currencies
    * @return array List of currencies
    */
    function getData()
    {
        // Load the data
        if (empty( $this->_data )) {
            $query = 'Select * From #__breezingcommerce_configuration Where id = ' . $this->_id;
            $this->_db->setQuery( $query );
            $this->_data = $this->_db->loadObject();
        }

        if (!$this->_data) {
            $this->_data = new stdClass();
            $this->_data->id = null;
            $this->_data->attribs = null;
        }

        $form = new JRegistry(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'models'.DS.'forms'.DS.'configuration.xml');
        $form->loadString($this->_data->attribs);
        $this->_data->form = $form;

        return $this->_data;
    }

    function store()
    {
        $data = JRequest::get( 'post' );

        $params = JRequest::getVar('params', array(), 'post', 'array');
        
        // Build parameter INI string
        if (is_array($params)) {
            
            // invoices
            
            // store custom PDF
            
            if( isset($params['reset_invoice_template_pdf']) && $params['reset_invoice_template_pdf'] == 1 ){
                
                $tpl = JFile::read(JPATH_SITE . '/administrator/components/com_breezingcommerce/assets/templates/invoice/invoice_tpl_pdf.php');
                $params['invoice_template_pdf'] = $tpl;
                $params['reset_invoice_template_pdf'] = 0;
            }
            
            // store custom HTML
            
            if( isset($params['reset_invoice_template_html']) && $params['reset_invoice_template_html'] == 1 ){
                
                $tpl = JFile::read(JPATH_SITE . '/administrator/components/com_breezingcommerce/assets/templates/invoice/invoice_tpl_html.php');
                $params['invoice_template_html'] = $tpl;
                $params['reset_invoice_template_html'] = 0;
            }
            
            // store custom TEXT
            
            if( isset($params['reset_invoice_template_text']) && $params['reset_invoice_template_text'] == 1 ){
                
                $tpl = JFile::read(JPATH_SITE . '/administrator/components/com_breezingcommerce/assets/templates/invoice/invoice_tpl_text.php');
                $params['invoice_template_text'] = $tpl;
                $params['reset_invoice_template_text'] = 0;
            }
            
            // return
            
            // store custom PDF
            
            if( isset($params['reset_invoice_return_template_pdf']) && $params['reset_invoice_return_template_pdf'] == 1 ){
                
                $tpl = JFile::read(JPATH_SITE . '/administrator/components/com_breezingcommerce/assets/templates/invoice/invoice_return_tpl_pdf.php');
                $params['invoice_return_template_pdf'] = $tpl;
                $params['reset_invoice_return_template_pdf'] = 0;
            }
            
            // store custom HTML
            
            if( isset($params['reset_invoice_return_template_html']) && $params['reset_invoice_return_template_html'] == 1 ){
                
                $tpl = JFile::read(JPATH_SITE . '/administrator/components/com_breezingcommerce/assets/templates/invoice/invoice_return_tpl_html.php');
                $params['invoice_return_template_html'] = $tpl;
                $params['reset_invoice_return_template_html'] = 0;
            }
            
            // store custom TEXT
            
            if( isset($params['reset_invoice_return_template_text']) && $params['reset_invoice_return_template_text'] == 1 ){
                
                $tpl = JFile::read(JPATH_SITE . '/administrator/components/com_breezingcommerce/assets/templates/invoice/invoice_return_tpl_text.php');
                $params['invoice_return_template_text'] = $tpl;
                $params['reset_invoice_return_template_text'] = 0;
            }
            
            $invoice_folder = JPATH_SITE . DS . 'media' . DS . 'breezingcommerce' . DS . 'invoice';
            $templates_folder = $invoice_folder . DS . 'templates';
            
            // invoices
            
            // write / delete custom PDF
            
            if(trim($params['invoice_template_pdf']) != ''){
                JFile::write($templates_folder . DS . 'invoice_tpl_pdf.php', $params['invoice_template_pdf']);
            }else{
                if(JFile::exists($templates_folder . DS . 'invoice_tpl_pdf.php')){
                    JFile::delete($templates_folder . DS . 'invoice_tpl_pdf.php');
                }
            }
            
            // write / delete custom HTML
            
            if(trim($params['invoice_template_html']) != ''){
                JFile::write($templates_folder . DS . 'invoice_tpl_html.php', $params['invoice_template_html']);
            }else{
                if(JFile::exists($templates_folder . DS . 'invoice_tpl_html.php')){
                    JFile::delete($templates_folder . DS . 'invoice_tpl_html.php');
                }
            }
            
            // write / delete custom TEXT
            
            if(trim($params['invoice_template_text']) != ''){
                JFile::write($templates_folder . DS . 'invoice_tpl_text.php', $params['invoice_template_text']);
            }else{
                if(JFile::exists($templates_folder . DS . 'invoice_tpl_text.php')){
                    JFile::delete($templates_folder . DS . 'invoice_tpl_text.php');
                }
            }
            
            // return
            
            // write / delete custom PDF
            
            if(trim($params['invoice_return_template_pdf']) != ''){
                JFile::write($templates_folder . DS . 'invoice_return_tpl_pdf.php', $params['invoice_return_template_pdf']);
            }else{
                if(JFile::exists($templates_folder . DS . 'invoice_return_tpl_pdf.php')){
                    JFile::delete($templates_folder . DS . 'invoice_return_tpl_pdf.php');
                }
            }
            
            // write / delete custom HTML
            
            if(trim($params['invoice_return_template_html']) != ''){
                JFile::write($templates_folder . DS . 'invoice_return_tpl_html.php', $params['invoice_return_template_html']);
            }else{
                if(JFile::exists($templates_folder . DS . 'invoice_return_tpl_html.php')){
                    JFile::delete($templates_folder . DS . 'invoice_return_tpl_html.php');
                }
            }
            
            // write / delete custom TEXT
            
            if(trim($params['invoice_return_template_text']) != ''){
                JFile::write($templates_folder . DS . 'invoice_return_tpl_text.php', $params['invoice_return_template_text']);
            }else{
                if(JFile::exists($templates_folder . DS . 'invoice_return_tpl_text.php')){
                    JFile::delete($templates_folder . DS . 'invoice_return_tpl_text.php');
                }
            }
            
            $data['attribs'] = json_encode($params);
        }

        $row = $this->getTable();

        if (!$row->bind($data)) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        if (!$row->check()) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        if (!$row->store()) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        return true;
    }
}
