<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class BreezingcommerceModelCustomergroup extends JModelLegacy
{

    function  __construct($config)
    {
        parent::__construct();

        $array = JRequest::getVar('cid',  0, '', 'array');
        $this->setId((int)$array[0]);

    }

    function setDefault()
    {
        if (empty( $this->_data )) {
            $this->_db->setQuery( ' Update #__breezingcommerce_customergroups '.
                        '  Set `default` = 0' );
            $this->_db->query();
            
            $this->_db->setQuery( ' Update #__breezingcommerce_customergroups '.
                        '  Set `default` = 1 Where id = '.$this->_id );
            $this->_db->query();
        }
    }

    function setPublished()
    {
        if (empty( $this->_data )) {
            $this->_db->setQuery( ' Update #__breezingcommerce_customergroups '.
                        '  Set published = 1 Where id = '.$this->_id );
            $this->_db->query();
        }
    }

    function setUnpublished()
    {
       if (empty( $this->_data )) {
           $this->_db->setQuery( ' Update #__breezingcommerce_customergroups '.
                        '  Set published = 0 Where id = '.$this->_id );
           $this->_db->query();
       }
    }

    /*
     * MAIN DETAILS AREA
     */

    /**
     *
     * @param int $id 
     */
    function setId($id) {
        // Set id and wipe data
        $this->_id      = $id;
        $this->_data    = null;
    }

    /**
    * Gets the customergroups
    * @return array List of customergroups
    */
    function getData()
    {
        // Load the data
        if (empty( $this->_data )) {
            $query = ' Select * From #__breezingcommerce_customergroups '.
                    '  Where id = '.$this->_id;
            $this->_db->setQuery( $query );
            $this->_data = $this->_db->loadObject();
        }
        if (!$this->_data) {
            $this->_data = new stdClass();
            $this->_data->id = 0;
            $this->_data->name = null;
            $this->_data->off_percent = null;
            $this->_data->tax_class_id = null;
            $this->_data->default_country_id = null;
            $this->_data->default_region_id = null;
            $this->_data->ordering = null;
            $this->_data->default = null;
            $this->_data->published = null;
        }

        $query = ' Select * From #__breezingcommerce_countries ';
        $this->_db->setQuery($query);
        $this->_data->countries = $this->_db->loadObjectList();
        foreach ($this->_data->countries As $country) {
            $country->regions = array();
            $query = ' Select * From #__breezingcommerce_country_regions Where country_id = ' . $country->id;
            $this->_db->setQuery($query);
            $regions = $this->_db->loadObjectList();
            foreach ($regions As $region) {
                $country->regions[] = $region;
            }
        }
        
        if($this->_data->countries === null){
            $this->_data->countries = array();
        }
        
        $this->_db->setQuery('Select * From #__breezingcommerce_currencies Where published = 1 Order By `ordering`');
        $this->_data->currencies = $this->_db->loadObjectList();
        
        if($this->_data->currencies === null){
            $this->_data->currencies = array();
        }
        
        foreach($this->_data->currencies As $currency) {
            $currency->selected = false;
            if(isset($this->_data->currency_id) && $currency->id == $this->_data->currency_id) {
                $currency->selected = true;
                break;
            }
        }
        
        $this->_db->setQuery("Select * From #__breezingcommerce_customertaxclasses Order By `name`");
        $this->_data->taxclasses = $this->_db->loadObjectList();

        if($this->_data->taxclasses === null){
            $this->_data->taxclasses = array();
        }
        
        foreach($this->_data->taxclasses As $taxclass) {
            $taxclass->selected = false;
            if(isset($this->_data->tax_class_id) && $taxclass->id == $this->_data->tax_class_id) {
                $taxclass->selected = true;
                break;
            }
        }

        return $this->_data;

    }

    function store()
    {
        $data = JRequest::get( 'post' );
        
        
        $prev_currency_id = 0;
        
        if( intval($data['id']) != 0){
            
            $this->_db->setQuery("Select currency_id From #__breezingcommerce_customergroups Where id = " . $this->_db->quote(intval($data['id'])));
            $prev_currency_id = $this->_db->loadResult();
        }
        
        $this->_db->setQuery("Select count(id) From #__breezingcommerce_customergroups Where `default` = 1");
        if(intval($this->_db->loadResult()) == 0){
            $data['default'] = 1;
        }

        $row = $this->getTable();

        if(doubleval($data['off_percent']) < 0){
            $data['off_percent'] = 0;
        }

        if (!$row->bind($data)) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        if (!$row->check()) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }
        
        $group_id = 0;
        $storeRes = $row->store();
        
        if (!$storeRes) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }
        else
        {
            if( intval($data['id']) != 0 )
            {
                $group_id = intval($data['id']);
            }
            else
            {
                $group_id = $this->_db->insertid();
            }
        }
        
        if( ( $prev_currency_id != intval($data['currency_id']) ) ){
            
            if(intval($data['currency_id']) == 0){
            
                CrBcHelpers::disableGroupPriceMapEntries($group_id);
                
            } else {
                
                CrBcHelpers::updateGroupPriceMap($group_id);
            }
            
        }
        
        $row->reorder();
        
        return true;
    }

    function delete()
    {
        $cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
        JArrayHelper::toInteger($cids);
        $row = $this->getTable();

        foreach($cids as $cid) {
            if($row->load($cid) && !$row->default){
                if (!$row->delete( $cid )) {
                    $this->setError( $row->getErrorMsg() );
                    return false;
                }else{
                    $this->_db->setQuery("Select id From #__breezingcommerce_customergroups Where `default` = 1 Limit 1");
                    $result = $this->_db->loadResult();
                    
                    if($result){
                        $this->_db->setQuery("Update #__breezingcommerce_customers Set customergroup_id = $result Where customergroup_id = " . $this->_db->Quote($cid));
                        $this->_db->query();
                    }
                    else
                    {
                        $this->_db->setQuery("Update #__breezingcommerce_customers Set customergroup_id = 0 Where customergroup_id = " . $this->_db->Quote($cid));
                        $this->_db->query();
                    }
                    
                    $this->_db->setQuery("Delete From #__breezingcommerce_group_price_map Where customergroup_id = " . $cid);
                    $this->_db->query();
                }
            }
        }

        $row->reorder();

        return true;
    }


    function move($direction) {

      $db = JFactory::getDBO();
      $mainframe = JFactory::getApplication();

      $row = $this->getTable('customergroup');

      if (!$row->load($this->_id)) {
         $this->setError($db->getErrorMsg());
         return false;
      }

      if (!$row->move( $direction )) {
         $this->setError($db->getErrorMsg());
         return false;
      }

      return true;
   }
}
