<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class BreezingcommerceModelProduct extends JModelLegacy
{
    function  __construct($config)
    {
        parent::__construct();

        $mainframe = JFactory::getApplication();
        $option = 'com_breezingcommerce';
        
        $array = JRequest::getVar('cid',  0, '', 'array');
        $this->setId((int)$array[0]);
        
        $search = $mainframe->getUserStateFromRequest("$option.product_tabStartOffset".$this->getId(), 'tabStartOffset', '', '0');
        $this->setState('product_tabStartOffset'.$this->getId(), $search);

        if(JRequest::getBool('recreate_cart', false)){
            require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcCart.php');
            $cart = new CrBcCart( JFactory::getSession()->get('crbc_cart', array()) );
            $cart->restoreCart(JRequest::getInt('recreate_order_id', 0));
            JFactory::getSession()->set('crbc_cart', $cart->getArray());
        }

    }

    function getAmountImages()
    {
        $this->_db->setQuery( 'Select count(id) As amount From #__breezingcommerce_images Where product_id = ' . $this->_db->Quote( $this->getId() ) );
        $res = $this->_db->loadObjectList();
        if(count($res) != 0){
            return $res[0]->amount;
        }
        return 0;
    }

    function getAmountFiles()
    {
        $this->_db->setQuery( 'Select count(id) As amount From #__breezingcommerce_files Where product_id = ' . $this->_db->Quote( $this->getId() ) );
        $res = $this->_db->loadObjectList();
        if(count($res) != 0){
            return $res[0]->amount;
        }
        return 0;
    }

    function getCategories()
    {
        $array = array();
        $this->_db->setQuery("Select category_id From #__breezingcommerce_product_categories Where product_id = " . $this->getId() );
        $cats = $this->_db->loadObjectList();
        foreach($cats As $cat)
        {
            $array[] = $cat->category_id;
        }
        return $array;
    }

    /**
     * @deprecated
     * 
     * Not in use anymore, see products model
     */
    function copy()
    {
        $obj = $this->getData();
        $origId = $obj->id;
        unset($obj->id);
        mt_srand();
        $obj->item_number = '';
        $obj->title = 'Copy of ' . $obj->title;
        $obj->created = JFactory::getDate()->toSql();
        $obj->created_by = JFactory::getUser()->get('id', 0);
        $obj->created_by_alias = JFactory::getUser()->get('username', '');
        $obj->modified = JFactory::getDate()->toSql();
        $obj->modified_by = JFactory::getUser()->get('id', 0);
        $obj->modified_by_alias = JFactory::getUser()->get('username', '');
        $obj->published = 0;
        $this->_db->insertObject('#__breezingcommerce_products', $obj);
        $insertId = $this->_db->insertid();

        $obj->item_number = 'Item ' . $insertId;
        $obj->id = $insertId;
        $this->_db->updateObject('#__breezingcommerce_products', $obj, 'id');

        $this->_db->setQuery("Select category_id From #__breezingcommerce_product_categories Where product_id = " . $origId );
        $cats = $this->_db->loadObjectList();
        foreach($cats As $cat)
        {
            $this->_db->setQuery("Insert Into #__breezingcommerce_product_categories (product_id, category_id) Values (".$insertId.",".$cat->category_id.")");
            $this->_db->query();
            
            CrBcCategoriesHelper::reorderCategories($this, $cat->category_id);
        }

        $this->_db->setQuery("Select manufacturer_id From #__breezingcommerce_product_manufacturers Where product_id = " . $origId );
        $mans = $this->_db->loadObjectList();
        foreach($mans As $man)
        {
            $this->_db->setQuery("Insert Into #__breezingcommerce_product_manufacturers (product_id, manufacturer_id) Values (".$insertId.",".$man->manufacturer_id.")");
            $this->_db->query();
        }
        
        CrBcHelpers::copyTranslations($origId, $obj->id, 'product');

        require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcProperties.php');
        CrBcProperties::copyProductProperties($origId, $insertId);
        require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcImage.php');
        CrBcImage::copyProductImages($origId, $insertId);
        $this->getTable('image')->reorder('product_id = ' . $insertId);
        require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcFile.php');
        CrBcFile::copyProductFiles($origId, $insertId);
        CrBcHelpers::addToPriceMap($insertId, $obj->producttaxclass_id);
    }

    function setPublished()
    {
        if (empty( $this->_data )) {
            $this->_db->setQuery( ' Update #__breezingcommerce_products '.
                        '  Set published = 1 Where id = '.$this->_id );
            $this->_db->query();
            
            JPluginHelper::importPlugin('finder','crbcproduct');
            $dispatcher = JDispatcher::getInstance();
            $finder_row = new stdClass;
            $finder_row->id = $this->_id;
            $dispatcher->trigger('onFinderAfterSave', array('com_breezingcommerce.product', $finder_row, true));
        }
    }

    function setUnpublished()
    {
       if (empty( $this->_data )) {
           $this->_db->setQuery( ' Update #__breezingcommerce_products '.
                        '  Set published = 0 Where id = '.$this->_id );
           $this->_db->query();
           
            JPluginHelper::importPlugin('finder','crbcproduct');
            $dispatcher = JDispatcher::getInstance();
            $finder_row = new stdClass;
            $finder_row->id = $this->_id;
            $dispatcher->trigger('onFinderAfterSave', array('com_breezingcommerce.product', $finder_row, true));
       }
    }

    /*
     * MAIN DETAILS AREA
     */

    /**
     *
     * @param int $id 
     */
    function setId($id) {
        // Set id and wipe data
        $this->_id      = $id;
        $this->_data    = null;
    }

    function getId(){
        return $this->_id;
    }

    /**
    * Gets the products
    * @return array List of products
    */
    function getData()
    {
        // Load the data
        if (empty( $this->_data )) {
            $query = ' Select * From #__breezingcommerce_products '.
                    '  Where id = '.$this->_id;
            $this->_db->setQuery( $query );
            $this->_data = $this->_db->loadObject();
            $this->_db->setQuery("Select * From #__breezingcommerce_producttaxclasses Order By `name`");
        }
        if (!$this->_data) {
            $this->_data = new stdClass();
            $this->_data->id = 0;
            $this->_data->item_number = null;
            $this->_data->sku = null;
            $this->_data->title = null;
            $this->_data->description = null;
            $this->_data->description_fulltext = null;
            $this->_data->price = null;
            $this->_data->sale_price = null;
            $this->_data->bundles = null;
            $this->_data->stock = null;
            $this->_data->virtual_product = null;
            $this->_data->alias = null;
            $this->_data->created = null;
            $this->_data->created_by = null;
            $this->_data->created_by_alias = null;
            $this->_data->modified = null;
            $this->_data->modified_by = null;
            $this->_data->modified_by_alias = null;
            $this->_data->published = null;
            $this->_data->producttaxclass_id = null;
            $this->_data->weight = null;
            $this->_data->weight_type = null;
            $this->_data->dimension_type = null;
            $this->_data->width = null;
            $this->_data->height = null;
            $this->_data->length = null;
            $this->_data->use_combinations = null;
            $this->_data->property_id = null;
            $this->_data->property_readonly_id = null;
            $this->_data->attribs = null;
            $this->_data->metadesc = null;
            $this->_data->metakey = null;
            $this->_data->metadata = null;
        }

        $form = new JRegistry('', JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'models'.DS.'forms'.DS.'product.xml');
        $form->loadString($this->_data->attribs);
        $this->_data->form = $form;

        $this->_data->taxclasses = $this->_db->loadObjectList();
        foreach($this->_data->taxclasses As $taxclass) {
            $taxclass->selected = false;
            if($taxclass->id == $this->_data->producttaxclass_id) {
                $taxclass->selected = true;
                break;
            }
        }

        $this->_data->weight_type_big = 'kg';
        $this->_data->weight_type_small = 'g';
        $this->_data->weight_type_micro = 'mg';
        
        if( CrBcHelpers::getBcConfig()->get('weight_type',0) == 1){
            $this->_data->weight_type_big = 'lb';
            $this->_data->weight_type_small = 'oz';
            $this->_data->weight_type_micro = 'gr';
        }

        $this->_data->dimension_type_big = 'm';
        $this->_data->dimension_type_medium = 'dm';
        $this->_data->dimension_type_small = 'cm';
        $this->_data->dimension_type_micro = 'mm';
        
        if( CrBcHelpers::getBcConfig()->get('dimension_type',0) == 1 ){
            $this->_data->dimension_type_big = 'ft';
            $this->_data->dimension_type_small = 'in';
            $this->_data->dimension_type_medium = '';
            $this->_data->dimension_type_micro = ''; // no equivalent
        }

        $this->_db->setQuery("Select * From #__breezingcommerce_plugins Where published = 1 And type = 'productprice' Order By `ordering`");
        $this->_data->price_plugins = $this->_db->loadObjectList();

        $this->_db->setQuery("Select * From #__breezingcommerce_plugins Where published = 1 And type = 'productdetails' Order By `ordering`");
        $this->_data->display_plugins = $this->_db->loadObjectList();

        // translations
        $this->_data->description_translation = '';
        $this->_data->title_translation = '';
        $this->_data->alias_translation = '';
        
        $this->_data->metadesc_translation = '';
        $this->_data->metakey_translation = '';
        $this->_data->metadata_translation = '';
        
        if($this->_id){
            
            $this->_db->setQuery("Select * From #__breezingcommerce_translations Where `type` = 'product' And item_id = ".$this->_db->quote( $this->_id )." And language_code = ".$this->_db->quote( JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') ));
            
            $translated_object = $this->_db->loadObject();
            if($translated_object !== null){
                $this->_data->description_translation = $translated_object->body;
                $this->_data->title_translation = $translated_object->title;
                $this->_data->alias_translation = $translated_object->alias;
            }
            
            $translated_object = CrBcHelpers::loadTranslation($this->_id, 'product_metadata');
            if($translated_object !== null){
                $meta = json_decode($translated_object->body);
                $this->_data->metadesc_translation = $meta->metadesc;
                $this->_data->metakey_translation  = $meta->metakey;
                $this->_data->metadata_translation = json_encode($meta->metadata);
            }
        }
        // translations end
        
        return $this->_data;

    }

    function hasAttributes()
    {
        $this->_db->setQuery("Select count(id) From #__breezingcommerce_product_attributes Where product_id = " . $this->_id);
        return $this->_db->loadResult() != 0 ? true : false;
    }

    function store()
    {
       
        $row = $this->getTable();

        $data = JRequest::get( 'post' );
        
        $params = JRequest::getVar('params', array(), 'post', 'array');
        
        // Build parameter INI string
        if (is_array($params)) {
            $data['metadata'] = json_encode($params);
        }
        
        if(isset($data['property_id']) && intval($data['property_id']) < 1)
        {
            $data['use_combination'] = 0;
        }
        $data['description'] = JRequest::getVar( 'description', '', 'POST', 'STRING', JREQUEST_ALLOWHTML );
        $data['description_translation'] = JRequest::getVar( 'description_translation', '', 'POST', 'STRING', JREQUEST_ALLOWHTML );
        
        $params = JRequest::getVar('params', null, 'post', 'array');

        // Build parameter INI string
        if (is_array($params)) {
            $data['backorders'] = $params['backorders'];
            $data['attribs'] = json_encode($params);
        }

        if( intval($data['id']) > 0 )
        {
            $currentData = $this->getData();
            $data['created'] = $currentData->created;
            $data['created_by'] = $currentData->created_by;
            $data['created_by_alias'] = $currentData->created_by_alias;
            $data['modified'] = JFactory::getDate()->toSql();
            $data['modified_by'] = JFactory::getUser()->get('id', 0);
            $data['modified_by_alias'] = JFactory::getUser()->get('username', '');
        }
        else
        {
            $data['created'] = JFactory::getDate()->toSql();
            $data['created_by'] = JFactory::getUser()->get('id', 0);
            $data['created_by_alias'] = JFactory::getUser()->get('username', '');
            $data['modified'] = JFactory::getDate()->toSql();
            $data['modified_by'] = JFactory::getUser()->get('id', 0);
            $data['modified_by_alias'] = JFactory::getUser()->get('username', '');
        }
        
        // alias handling
        if(trim($data['alias']) == ''){
            $data['alias'] = CrBcHelpers::getSlug(trim($data['title']));
        }

        if($data['item_number'] != ''){
            
            $add = '';
            if(intval($data['id']) > 0){
                $add = ' And id <> ' . intval($data['id']);
            }
            
            $this->_db->setQuery('Select count(id) From #__breezingcommerce_products Where item_number = ' . $this->_db->quote($data['item_number']) . $add . ' Limit 1');
            $item_number_exists = $this->_db->loadResult();

            if( $item_number_exists ){
                $data['item_number'] = 'Item ' . uniqid();
                JFactory::getApplication()->enqueueMessage(JText::_('COM_BREEZINGCOMMERCE_ITEM_NUMBER_EXISTS'), 'warning');
            }
        }
        
        $text = $data['description'];
        $text = preg_replace('/</',' <',$text);
        $text = preg_replace('/>/','> ',$text);
        $desc = html_entity_decode(strip_tags($text));
        $desc = preg_replace('/[\n\r\t]/',' ',$desc);
        $desc = preg_replace('/  /',' ',$desc);

        // description fulltext is a raw text copy and needed for fulltext search
        $data['description_fulltext'] = preg_replace('/  /', ' ', $desc);

        if (!$row->bind($data)) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        if (!$row->check()) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        $product_id = 0;
        $storeRes = false;
        
        try{
            $storeRes = $row->store();
        } catch(Exception $e){
            JFactory::getApplication()->enqueueMessage($e->getMessage(), 'error');
        }
        
        if (!$storeRes) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }
        else
        {
            if( intval($data['id']) != 0 )
            {
                $product_id = intval($data['id']);
            }
            else
            {
                $product_id = $this->_db->insertid();
            }
        }
        
        // translations
        $fields = array();
        $fields['body'] = $data['description_translation'];
        if(isset($data['title_translation'])){
            $fields['title'] = $data['title_translation'];
        }
        if(isset($data['alias_translation'])){
            
            if(trim($data['alias_translation']) == ''){
                $fields['alias'] = CrBcHelpers::getSlug(trim($data['title_translation']));
            } else{
                $fields['alias'] = $data['alias_translation'];
            }
        }
        CrBcHelpers::storeTranslation($fields, $product_id, 'product');
        
        if(isset($data['metadesc_translation'])){
            $fields = array();
            $fields['body'] = new stdClass();
            $fields['body']->metadesc = $data['metadesc_translation'];
            $fields['body']->metakey  = $data['metakey_translation'];
            $fields['body']->metadata = $data['params_translation'];
            $fields['body'] = json_encode($fields['body']);
            CrBcHelpers::storeTranslation($fields, $product_id, 'product_metadata');
        }
        
        // call index triggering
        JPluginHelper::importPlugin('finder','crbcproduct');
        $dispatcher = JDispatcher::getInstance();
        $finder_row = new stdClass;
        $finder_row->id = $product_id;
        $dispatcher->trigger('onFinderAfterSave', array('com_breezingcommerce.product', $finder_row, true));
        // translations end

        if(trim($data['item_number']) == '')
        {
            $this->_db->setQuery("Update #__breezingcommerce_products Set item_number = 'Item ".$product_id."' Where id = " . $product_id );
            $this->_db->query();
        }

        $row->reorder();
        
        //JFactory::getSession()->set('crbc_cart',null);
        // admin cart handling
    
        if(isset($data['cart_customer_id']) && intval($data['cart_customer_id']) > 0){

            require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcCart.php');

            if( JFactory::getSession()->get('crbc_cart', null) === null || ( is_array( JFactory::getSession()->get('crbc_cart', null) ) && count(JFactory::getSession()->get('crbc_cart', null)) == 0 ) ){
                JFactory::getSession()->set('crbc_cart', CrBcCart::buildCart($data['cart_customer_id'], $data['cart_customer_name']));
            }else{
                $cart = JFactory::getSession()->get('crbc_cart', array());
                $cart['customer_id'] = intval($data['cart_customer_id']);
                $cart['customer_name'] = $data['cart_customer_name'];
                JFactory::getSession()->set('crbc_cart', $cart);
            }

            $cart = new CrBcCart(JFactory::getSession()->get('crbc_cart', array()));

            if(isset($data['cart_add_amount']) && intval($data['cart_add_amount']) > 0){
                
                if(isset($data['cart_add']) && $data['cart_add']){
                    
                    if($data['cart_add'] == 'clear'){
                        $cart->clear();
                    }else{
                        try{
                            $cart->add(
                                    $data['cart_add'],
                                    $data['cart_add_amount'],
                                    isset($data['crbcProperties']) ? $data['crbcProperties'] : null,
                                    isset($data['crbcAttributes']) ? $data['crbcAttributes'] : null,
                                    isset($data['crbcAttributesAmounts']) ? $data['crbcAttributesAmounts'] : null,
                                    $data['cart_customer_id']
                            );
                        }catch(Exception $e){
                            return 1;
                        }
                    }
                }
            } /*else {
                $cart->remove($data['cart_add']);
            }*/

            JFactory::getSession()->set('crbc_cart', $cart->getArray());
        }
       
        //print_r(JFactory::getSession()->get('crbc_cart', array()));
        //exit;

        // manufacturers handling
        $this->_db->setQuery("Delete From #__breezingcommerce_product_manufacturers Where product_id = " . $product_id);
        $this->_db->query();
        $manufacturer_ids = isset($data['manufacturers']) ? $data['manufacturers'] : array();
        JArrayHelper::toInteger($manufacturer_ids);
        foreach($manufacturer_ids As $manufacturer_id){
            $this->_db->setQuery("Insert Into #__breezingcommerce_product_manufacturers (product_id, manufacturer_id) Values ($product_id,$manufacturer_id)");
            $this->_db->query();
        }

        // attribute handling
        if($data['product_attribute_ids'] != ''){

            $attribute_ids = array_merge( array_unique( explode( ',', rtrim( $data['product_attribute_ids'], ',' ) ) ) );
            JArrayHelper::toInteger($attribute_ids);

            foreach( $attribute_ids As $attribute_id )
            {
                $this->_db->setQuery("Select count(id) From #__breezingcommerce_product_attributes Where product_id = " . $product_id . " And attribute_id = " . $attribute_id);
                $amount = $this->_db->loadResult();

                if($amount == 0 && $attribute_id != 0)
                {
                    $this->_db->setQuery("Insert Into #__breezingcommerce_product_attributes (`product_id`,`attribute_id`) Values (".$product_id.",".$attribute_id.")");
                    $this->_db->query();
                    $product_attribute_id = $this->_db->insertid();

                    $this->_db->setQuery("Select id, ordering From #__breezingcommerce_attribute_items Where attribute_id = " . $attribute_id);
                    $attribute_items = $this->_db->loadAssocList();

                    foreach($attribute_items As $attribute_item)
                    {
                        $this->_db->setQuery("Insert Into #__breezingcommerce_product_attribute_items (`product_id`,`attribute_item_id`,`product_attribute_id`,`attribute_id`,`ordering`) Values (".$product_id.",".$attribute_item['id'].",".$product_attribute_id.",".$attribute_id.",".$this->_db->Quote($attribute_item['ordering']).")");
                        $this->_db->query();
                    }
                }
            }

            $this->getTable('productattributes')->reorder('product_id='.$product_id);
        }

        // property handling
        if(isset($data['property_id']) && intval($data['property_id']) > 0)
        {
            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_keys Where product_id = " . $product_id . " And property_id <> ".intval($data['property_id']));
            $this->_db->query();

            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_values Where product_id = " . $product_id . " And property_id <> ".intval($data['property_id']));
            $this->_db->query();

            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_combinations Where product_id = " . $product_id . " And property_id <> ".intval($data['property_id']));
            $this->_db->query();

            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_combination_items Where product_id = " . $product_id . " And property_id <> ".intval($data['property_id']));
            $this->_db->query();

            $this->_db->setQuery("Select id From #__breezingcommerce_property_keys Where property_id = ".intval($data['property_id']) );
            $keys = $this->_db->loadObjectList();

            foreach($keys As $key)
            {
                $this->_db->setQuery("Select id From #__breezingcommerce_product_property_keys Where product_id = ".$this->_db->Quote($product_id)." And property_key_id = ".$this->_db->Quote($key->id)." And property_id = ".intval($data['property_id']) . " Limit 1" );
                $existing = $this->_db->loadObjectList();
                if(!count($existing))
                {
                    $this->_db->setQuery("Insert Into #__breezingcommerce_product_property_keys (product_id, property_key_id, property_id) Values (".$this->_db->Quote($product_id).",".$this->_db->Quote($key->id).",".$this->_db->Quote(intval($data['property_id'])).")" );
                    $this->_db->query();

                    $this->_db->setQuery("Select id From #__breezingcommerce_property_values Where key_id = ".$key->id." And property_id = ".intval($data['property_id']) );
                    $values = $this->_db->loadObjectList();

                    foreach($values As $value)
                    {
                        $this->_db->setQuery("Select id From #__breezingcommerce_product_property_values Where product_id = ".$this->_db->Quote($product_id)." And property_value_id = ".$this->_db->Quote($value->id)." And property_id = ".intval($data['property_id']) . " Limit 1" );
                        $existing = $this->_db->loadObjectList();
                        if(!count($existing))
                        {
                            $this->_db->setQuery("Insert Into #__breezingcommerce_product_property_values (product_id, property_value_id, property_key_id, property_id) Values (".$this->_db->Quote($product_id).",".$this->_db->Quote($value->id).",".$this->_db->Quote($key->id).",".$this->_db->Quote(intval($data['property_id'])).")" );
                            $this->_db->query();
                        }
                    }
                }

                $this->getTable('productpropertyvalues')->reorder('property_id = '.intval($data['property_id']).' And property_key_id = '.$key->id.' And product_id='.$product_id);
            }
            
            $this->getTable('productpropertykeys')->reorder('property_id = '.intval($data['property_id']).' And product_id='.$product_id);
            
        }
        else
        {
            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_keys Where product_id = " . $product_id);
            $this->_db->query();
            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_values Where product_id = " . $product_id);
            $this->_db->query();
            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_combinations Where product_id = " . $product_id);
            $this->_db->query();
            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_combination_items Where product_id = " . $product_id);
            $this->_db->query();
        }

        // managing categories
        if(isset($data['categories']) && is_array($data['categories']) && isset($data['categories']['categories']) && is_array($data['categories']['categories']))
        {
            $cats = $data['categories']['categories'];
            JArrayHelper::toInteger($cats);
            
            if(count($cats)){

                $this->_db->setQuery("Select * From #__breezingcommerce_product_categories Where product_id = " . $product_id );
                $pcats = $this->_db->loadObjectList();

                $reduceArray = array();
                $map = array();

                foreach($pcats As $pcat)
                {
                    $reduceArray[] = $pcat->category_id;
                    $map[$pcat->category_id] = $pcat->id;
                }
                
                $reduced = array_merge(array_diff($reduceArray, $cats));
                
                foreach($reduced As $reduce)
                {
                    //echo "Delete From #__breezingcommerce_product_categories Where id = " . $map[$reduce] . "<br/>";
                    $this->_db->setQuery("Delete From #__breezingcommerce_product_categories Where id = " . $map[$reduce] );
                    $this->_db->query();
                }
                // exit;
                foreach($cats As $cat)
                {
                    if(!in_array($cat, $reduceArray))
                    {
                        $this->_db->setQuery("Insert Into #__breezingcommerce_product_categories (product_id, category_id) Values (".$product_id.",".$cat.")");
                        $this->_db->query();
                    }
                }
            }

        } else {
            $this->_db->setQuery("Delete From #__breezingcommerce_product_categories Where product_id = " . $product_id );
            $this->_db->query();
        }

        $this->_db->setQuery("Select category_id From #__breezingcommerce_product_categories Where product_id = " . $product_id );
        $cats = $this->_db->loadObjectList();
        foreach($cats As $cat)
        {
            CrBcCategoriesHelper::reorderCategories($this, $cat->category_id);
        }
        
        /**
         * TODO: remove any special characters from image name
         */
        $fileinfo = JRequest::getVar('product_image', null, 'files', 'array');
        $data['image_name'] = strtolower( str_replace(array("-"," ","'","\"","\\","/"), array('_','_','','','',''), $data['image_name']) );


        if(trim($data['image_name']) == ''){
            $destNameNoExt = explode('.',$fileinfo['name']);
            unset($destNameNoExt[count($destNameNoExt)-1]);
            $destNameNoExt = implode('.', $destNameNoExt);
            $data['image_name'] = strtolower( str_replace(array("-"," ","'","\"","\\","/"), array('_','_','','','',''), $destNameNoExt) );
        }

        if(intval($fileinfo['size']) > 0 ) {
            
            $data['image_description'] = JRequest::getVar( 'image_description', '', 'POST', 'STRING', JREQUEST_ALLOWHTML );
            
            require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcImage.php');
            $image = CrBcImage::generateProductImages($fileinfo, $data);
            
            if(false !== $image)
            {
                $this->_db->setQuery(
                        "Insert
                            Into
                                #__breezingcommerce_images
                                (`product_id`, `name`, `alt_name`, `description`, `background_color`, `physical_name`, `published`, `ordering`)
                            values
                                (
                                    " . $this->_db->Quote($product_id) . ", "
                                      . $this->_db->Quote($data['image_name']) . ", "
                                      . $this->_db->Quote($data['alt_name']) . ","
                                      . $this->_db->Quote($data['image_description']) . ","
                                      . $this->_db->Quote($data['background_color']) . ","
                                      . $this->_db->Quote($image) . ","
                                      . $this->_db->Quote($data['image_published']) . ",
                                      999999
                                )
                            "
                ); // ordering = 999999 and reorder later makes sure that the image is inserted at last element. better for usability.
                $this->_db->query();
                
                $image_id = $this->_db->insertid();
                
                $this->getTable('image')->reorder('product_id = ' . $product_id);
                
                $data['image_description_translation'] = JRequest::getVar( 'image_description_translation', '', 'POST', 'STRING', JREQUEST_ALLOWHTML );
        
                $fields = array();
                $fields['body'] = $data['image_description_translation'];
                $fields['title'] = $data['alt_name_translation'];

                CrBcHelpers::storeTranslation($fields, $image_id, 'product_image');
            }
        }

        // FILE HANDLING
        require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcFile.php');
        $fileinfo = JRequest::getVar('product_file', null, 'files', 'array');
        $data['file_description'] = JRequest::getVar( 'file_description', '', 'POST', 'STRING', JREQUEST_ALLOWHTML );
        $file_id = CrBcFile::store($product_id, $fileinfo, $data);
        
        if($file_id){
            $fields = array();
            $fields['body'] = JRequest::getVar( 'file_description_translation', '', 'POST', 'STRING', JREQUEST_ALLOWHTML );
            CrBcHelpers::storeTranslation($fields, $file_id, 'product_file');
        }
        // END FILE HANDLING
        
        // PLUGIN HANDLING

        $this->_db->setQuery("Select * From #__breezingcommerce_plugins Where published = 1 And type = 'productprice' Order By `ordering`");
        $plugins = $this->_db->loadObjectList();
        foreach($plugins As $plugin){
            $class = CrBcPlugin::getPluginClass($plugin->name, $plugin->type);
            $class_instance = new $class();
            $class::viewportReceive($data['id'], 0, $data);
        }

        $plugin = array();

        $this->_db->setQuery("Select * From #__breezingcommerce_plugins Where published = 1 And type = 'productdetails' Order By `ordering`");
        $plugins = $this->_db->loadObjectList();
        foreach($plugins As $plugin){
            $class = CrBcPlugin::getPluginClass($plugin->name, $plugin->type);
            $class_instance = new $class();
            $class::viewportReceive($data['id'], 0, $data);
        }
        
        CrBcHelpers::addToPriceMap($product_id, $data['producttaxclass_id']);

        JRequest::setVar('id', $product_id);
        
        return true;
    }

    function delete()
    {
        $cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
        JArrayHelper::toInteger($cids);
        $row = $this->getTable();

        require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcImage.php');
        require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcFile.php');

        foreach($cids as $cid) {
            
            if (!$row->delete( $cid )) {
                $this->setError( $row->getErrorMsg() );
                return false;
            }
            else
            {
                $this->_db->setQuery("Delete From #__breezingcommerce_product_manufacturers Where product_id = " . $cid );
                $this->_db->query();
                $this->_db->setQuery("Update #__breezingcommerce_attribute_items Set product_id = 0 Where product_id = " . $cid );
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_product_attributes Where product_id = " . $cid );
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_product_attribute_items Where product_id = " . $cid );
                $this->_db->query();
                
                
                $this->_db->setQuery("Select category_id From #__breezingcommerce_product_categories Where product_id = " . $cid );
                $cats = $this->_db->loadObjectList();
                foreach($cats As $cat)
                {
                    CrBcCategoriesHelper::reorderCategories($this, $cat->category_id);
                }
                
                $this->_db->setQuery("Delete From #__breezingcommerce_product_categories Where product_id = " . $cid );
                $this->_db->query();
                
                $this->_db->setQuery("Delete From #__breezingcommerce_product_property_keys Where product_id = " . $cid);
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_product_property_values Where product_id = " . $cid);
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_product_property_combinations Where product_id = " . $cid);
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_product_property_combination_items Where product_id = " . $cid);
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_order_items Where history = 0 And product_id = " . $cid);
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_translations Where type = 'product' And item_id = " . $cid);
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_translations Where type = 'product_metadata' And item_id = " . $cid);
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_currency_price_map Where product_id = " . $cid);
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_group_price_map Where product_id = " . $cid);
                $this->_db->query();
                
                JPluginHelper::importPlugin('finder','crbcproduct');
                $dispatcher = JDispatcher::getInstance();
                $table = new stdClass;
                $table->id = $cid;
                $dispatcher->trigger('onFinderAfterDelete', array('com_breezingcommerce.product', $table));
                
                CrBcFile::deleteProductFiles($cid);
                CrBcImage::deleteProductImages(intval($cid));
            }
        }

        $row->reorder();
        
        
        return true;
    }
}
