<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class BreezingcommerceModelProductpropertycombinations extends JModelLegacy
{
    /**
     * Items total
     * @var integer
     */
    private $_total = null;

    /**
     * Pagination object
     * @var object
     */
    private $_pagination = null;

    function  __construct($config) {
        parent::__construct($config);

        $mainframe = JFactory::getApplication();
        $option = 'com_breezingcommerce';

        // Get pagination request variables
        $limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
        $limitstart = JRequest::getVar('limitstart', 0, '', 'int');
        $product_id = JRequest::getVar('product_id', 0, '', 'int');

        // In case limit has been changed, adjust it
        $limitstart = ($limit != 0 ? (floor($limitstart / $limit) * $limit) : 0);

        $this->setState('limit', $limit);
        $this->setState('limitstart', $limitstart);

        $product_id     = $mainframe->getUserStateFromRequest(  $option.'product_id', 'product_id', 0, 'int' );
        $this->setState('product_id', $product_id);

        $property_id     = $mainframe->getUserStateFromRequest(  $option.'property_id', 'property_id', 0, 'int' );
        $this->setState('property_id', $property_id);

        $filter_order     = $mainframe->getUserStateFromRequest(  $option.'productpropertycombinations_filter_order', 'filter_order', 'ordering', 'cmd' );
        $filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'productpropertycombinations_filter_order_Dir', 'filter_order_Dir', 'asc', 'word' );

        $this->setState('productpropertycombinations_filter_order', $filter_order);
        $this->setState('productpropertycombinations_filter_order_Dir', $filter_order_Dir);

        $filter_state = $mainframe->getUserStateFromRequest( $option.'productpropertycombinations_filter_state', 'filter_state', '', 'word' );
        $this->setState('productpropertycombinations_filter_state', $filter_state);
    }

    function setPublished()
    {
        $cids = JRequest::getVar('cid', array(), '', 'array');
        JArrayHelper::toInteger($cids);
        $this->_db->setQuery( ' Update #__breezingcommerce_product_property_combinations '.
                '  Set published = 1 Where id In ( ' . implode(',',$cids)  . ')');
        $this->_db->query();

    }

    function setUnpublished()
    {
        $cids = JRequest::getVar('cid', array(), '', 'array');
        JArrayHelper::toInteger($cids);
        $this->_db->setQuery( ' Update #__breezingcommerce_product_property_combinations '.
                '  Set published = 0 Where id In ( ' . implode(',',$cids)  . ')');
        $this->_db->query();
    }

    /*
     *
     * MAIN LIST AREA
     * 
     */

    /**
     * @return string The query
     */
    private function _buildQuery(){
        $published = '';
        if($this->getState('productpropertycombinations_filter_state') == 'P')
        {
            $published = ' c.published = 1 And ';
        }
        else if($this->getState('productpropertycombinations_filter_state') == 'U')
        {
            $published = ' c.published = 0 And ';
        }
        return 'Select SQL_CALC_FOUND_ROWS c.*, p.title As product_title From #__breezingcommerce_product_property_combinations As c, #__breezingcommerce_products As p Where p.id = c.product_id And '.$published.' c.product_id = ' . $this->_db->Quote( $this->getState('product_id') ) . ' Order By c.`ordering`';
    }

    /**
    * Gets the currencies
    * @return array List of currencies
    */
    function getData()
    {
        // Lets load the data if it doesn't already exist
        if (empty( $this->_data ))
        {
            $query = $this->_buildQuery();
            $this->_data = $this->_getList( $query, $this->getState('limitstart'), $this->getState('limit') );
        }

        return $this->_data;
    }

    function getTotal() {
        // Load the content if it doesn't already exist
        if (empty($this->_total)) {
            $query = $this->_buildQuery();
            $this->_total = $this->_getListCount($query);
        }
        return $this->_total;
    }

    function getPagination() {
        // Load the content if it doesn't already exist
        if (empty($this->_pagination)) {
            jimport('joomla.html.pagination');
            $this->_pagination = new JPagination($this->getTotal(), $this->getState('limitstart'), $this->getState('limit') );
        }
        return $this->_pagination;
    }

}
