<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class BreezingcommerceModelProperty extends JModelLegacy
{

    function  __construct($config)
    {
        parent::__construct();

        $mainframe = JFactory::getApplication();
        $option = 'com_breezingcommerce';

        $array = JRequest::getVar('cid',  0, '', 'array');
        $this->setId((int)$array[0]);
        if(JRequest::getInt('id',0)>0){
            $this->setId(JRequest::getInt('id',0));
        }

        $limit = $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
        $limitstart = JRequest::getVar('limitstart', 0, '', 'int');

        // In case limit has been changed, adjust it
        $limitstart = ($limit != 0 ? (floor($limitstart / $limit) * $limit) : 0);

        $this->setState('limit', $limit);
        $this->setState('limitstart', $limitstart);

        $filter_order     = $mainframe->getUserStateFromRequest(  $option.'propertyitems_filter_order', 'filter_order', 'ordering', 'cmd' );
        $filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'propertyitems_filter_order_Dir', 'filter_order_Dir', 'asc', 'word' );

        $this->setState('propertyitems_filter_order', $filter_order);
        $this->setState('propertyitems_filter_order_Dir', $filter_order_Dir);

        $filter_state = $mainframe->getUserStateFromRequest( $option.'propertyitems_filter_state', 'filter_state', '', 'word' );
        $this->setState('propertyitems_filter_state', $filter_state);

    }

    function setPublished()
    {
        if (empty( $this->_data )) {
            $this->_db->setQuery( ' Update #__breezingcommerce_properties '.
                        '  Set published = 1 Where id = '.$this->_id );
            $this->_db->query();
        }
    }

    function setUnpublished()
    {
       if (empty( $this->_data )) {
           $this->_db->setQuery( ' Update #__breezingcommerce_properties '.
                        '  Set published = 0 Where id = '.$this->_id );
           $this->_db->query();
       }
    }

    function setListPublished()
    {
        $items	= JRequest::getVar( 'cid', array(), 'post', 'array' );
        JArrayHelper::toInteger($items);
        if (count($items)) {
            $this->_db->setQuery( ' Update #__breezingcommerce_property_keys '.
                        '  Set published = 1 Where id In ( '.implode(',', $items) . ')' );
            $this->_db->query();
        }
    }

    function setListUnpublished()
    {
       $items	= JRequest::getVar( 'cid', array(), 'post', 'array' );
        JArrayHelper::toInteger($items);
        if (count($items)) {
            $this->_db->setQuery( ' Update #__breezingcommerce_property_keys '.
                        '  Set published = 0 Where id In ( '.implode(',', $items) . ')' );
            $this->_db->query();
        }
    }

    /*
     * MAIN DETAILS AREA
     */

    /**
     *
     * @param int $id 
     */
    function setId($id) {
        // Set id and wipe data
        $this->_id      = $id;
        $this->_data    = null;
    }

    /**
    * Gets the currencies
    * @return array List of currencies
    */
    function getProperty()
    {
        
        $query = ' Select * From #__breezingcommerce_properties '.
                    '  Where id = '.$this->_id;
        $this->_db->setQuery( $query );
        $data = $this->_db->loadObject();
        
        if (!$data) {
            $data = new stdClass();
            $data->id = 0;
            $data->name = null;
            $data->ordering = null;
            $data->published = null;
        }
        
        $data->name_translation = '';
        
        $query = ' Select * From #__breezingcommerce_translations '.
                    '  Where language_code = '.$this->_db->quote( JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') ) . ' And type = "property" And item_id = '.$this->_id;
        $this->_db->setQuery( $query );
        $translation = $this->_db->loadObject();
        
        $data->name_translation = '';
        
        if($translation !== null){
            $data->name_translation = $translation->title;
        }
        
        return $data;

    }

    private function buildOrderBy() {
        global $mainframe, $option;

        $orderby = '';
        $filter_order     = $this->getState('propertyitems_filter_order');
        $filter_order_Dir = $this->getState('propertyitems_filter_order_Dir');

        /* Error handling is never a bad thing*/
        if(!empty($filter_order) && !empty($filter_order_Dir) ) {
            $orderby = ' ORDER BY '.$filter_order.' '.$filter_order_Dir . ' , ordering ';
        } else {
           $orderby = ' ORDER BY ordering ';
        }

        return $orderby;
    }


    function _buildQuery()
    {
        $filter_state = '';
        if($this->getState('propertyitems_filter_state') == 'P' || $this->getState('propertyitems_filter_state') == 'U')
        {
            $published = 0;
            if($this->getState('propertyitems_filter_state') == 'P')
            {
                $published = 1;
            }

            $filter_state .= ' And published = ' . $published;
        }

        return "Select * From #__breezingcommerce_property_keys Where property_id = " . $this->_id . $filter_state . $this->buildOrderBy();
    }

    function getData()
    {
        $this->_db->setQuery($this->_buildQuery(), $this->getState('limitstart'), $this->getState('limit'));
        $entries = $this->_db->loadObjectList();
        $props = array();

        $i = 0;
        foreach( $entries As $entry ){

            $this->_db->setQuery("Select * From #__breezingcommerce_property_values Where key_id = " . $entry->id . " Order By `ordering`");
            $values = $this->_db->loadObjectList();

            if(!isset($props[$i]))
            {
                $props[$i] = new stdClass();
            }

            $props[$i]->id = $entry->id;
            $props[$i]->key = $entry->key;
            $props[$i]->ordering = $entry->ordering;
            $props[$i]->published = $entry->published;
            $props[$i]->values = '';
            
            foreach($values As $value)
            {
                $props[$i]->values .= $value->value . "\n";
            }
            
            $this->_db->setQuery("Select * From #__breezingcommerce_translations Where type = 'property_value_".$entry->id."' And language_code = ".$this->_db->quote( JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') ) . " Order By ordering");
            $values_translations = $this->_db->loadObjectList();
            $props[$i]->values_translation = '';
            foreach($values_translations As $values_translation)
            {
                $props[$i]->values_translation .= $values_translation->title . "\n";
            }
            
            $this->_db->setQuery("Select * From #__breezingcommerce_translations Where item_id = ".$entry->id." And type = 'property_key_".$this->_id."' And language_code = ".$this->_db->quote( JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') ));
            $key_translation = $this->_db->loadObject();
            $props[$i]->key_translation = '';
            if($key_translation !== null){
                $props[$i]->key_translation = $key_translation->title;
            }
            
            $i++;
        }

        return $props;
    }

    function exportProperties($publish = false){
        $this->_db->setQuery("Select id From #__breezingcommerce_products Where property_id = " . $this->_id);
        $products = $this->_db->loadColumn();
        require_once( JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcProperties.php' );
        return CrBcProperties::importProperties($products, $this, false, $publish);
    }
    
    function exportPropertiesReadonly($publish = false){
        $this->_db->setQuery("Select id From #__breezingcommerce_products Where property_readonly_id = " . $this->_id);
        $products = $this->_db->loadColumn();
        require_once( JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcProperties.php' );
        return CrBcProperties::importProperties($products, $this, false, $publish, true);
    }

    function store()
    {
        $row = $this->getTable();

        $data = JRequest::get( 'post' );
        
        if (!$row->bind($data)) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        if (!$row->check()) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        $property_id = 0;
        $storeRes = $row->store();

        if (!$storeRes) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }
        else
        {
            if( intval($data['id']) != 0 )
            {
                $property_id = intval($data['id']);
            }
            else
            {
                $property_id = $this->_db->insertid();
            }
        }
        
        if(isset($data['name_translation']) && $data['name_translation'] != ''){
            $fields = array();
            $fields['title'] = trim($data['name_translation']);
            CrBcHelpers::storeTranslation($fields, $property_id, 'property');
        }
        
        $row->reorder();

        // UPDATE PROPERTIES
        /*
        $this->_db->setQuery("Repair Table #__breezingcommerce_product_property_values Quick");
        $this->_db->query();
        $this->_db->setQuery("Repair Table #__breezingcommerce_product_property_keys Quick");
        $this->_db->query();
        $this->_db->setQuery("Repair Table #__breezingcommerce_product_property_combination_items Quick");
        $this->_db->query();
        $this->_db->setQuery("Repair Table #__breezingcommerce_product_property_combinations Quick");
        $this->_db->query();
        $this->_db->setQuery("Repair Table #__breezingcommerce_property_values Quick");
        $this->_db->query();
        $this->_db->setQuery("Repair Table #__breezingcommerce_property_keys Quick");
        $this->_db->query();
        $this->_db->setQuery("Repair Table #__breezingcommerce_properties Quick");
        $this->_db->query();
         
        $this->_db->setQuery("Optimize Table #__breezingcommerce_product_property_values ");
        $this->_db->query();
        $this->_db->setQuery("Optimize Table #__breezingcommerce_product_property_keys ");
        $this->_db->query();
        $this->_db->setQuery("Optimize Table #__breezingcommerce_product_property_combination_items ");
        $this->_db->query();
        $this->_db->setQuery("Optimize Table #__breezingcommerce_product_property_combinations ");
        $this->_db->query();
        $this->_db->setQuery("Optimize Table #__breezingcommerce_property_values ");
        $this->_db->query();
        $this->_db->setQuery("Optimize Table #__breezingcommerce_property_keys ");
        $this->_db->query();
        $this->_db->setQuery("Optimize Table #__breezingcommerce_properties ");
        $this->_db->query();
        */

        $keys = JRequest::getVar('propertyKeys', array());
        $values = JRequest::getVar('propertyValues', array());
        
        $keys_translation = JRequest::getVar('propertyKeys_translation', array());
        $values_translation = JRequest::getVar('propertyValues_translation', array());
        
        $items = JRequest::getVar( 'cid', array(), 'post', 'array' );
        
        JArrayHelper::toInteger($items);
        $size = count($items);
        for($i = 0; $i < $size; $i++)
        {
            $this->_db->setQuery("Update #__breezingcommerce_property_keys Set `key` =  ".$this->_db->Quote(trim($keys[$items[$i]]))." Where id = " . $items[$i]);
            $this->_db->query();
            
            if(isset($keys_translation[$items[$i]]) && trim($keys_translation[$items[$i]]) != ''){
                $fields = array();
                $fields['title'] = trim($keys_translation[$items[$i]]);
                CrBcHelpers::storeTranslation($fields, $items[$i], 'property_key_'.$property_id);
            }
            
            $vals = str_replace("\r", "", trim($values[$items[$i]]));
            $vals = explode("\n", $vals);
            
            $vals_translation = str_replace("\r", "", trim($values_translation[$items[$i]]));
            $vals_translation = explode("\n", $vals_translation);

            $cleaned_vals = array();
            $cleaned_vals_translation = array();
            
            $j = 1;
            foreach($vals As $val)
            {
                $property_value_id = 0;
                
                if(trim($val) != '')
                {
                    $cleaned_vals[] = $this->_db->Quote(strtolower(trim(str_replace(',','',$val))));
                    $cleaned_vals_translation[] = $this->_db->Quote(strtolower(trim(str_replace(',','',$vals_translation[$j-1]))));
                    
                    $this->_db->setQuery("Select id From #__breezingcommerce_property_values Where `key_id` = ".$items[$i]." And Lower(`value`) = " . $this->_db->Quote(strtolower(trim(str_replace(',','',$val)))));
                    $saved_vals = $this->_db->loadObjectList();
                    $property_value_id = 0;
                    if(!count($saved_vals))
                    {
                        $this->_db->setQuery("Insert Into #__breezingcommerce_property_values (`property_id`,`value`,`ordering`,`key_id`) Values ($property_id,".$this->_db->Quote(trim($val)).",$j,".$items[$i].")" );
                        $this->_db->query();
                        $property_value_id = $this->_db->insertid();
                    }
                    else
                    {
                        $this->_db->setQuery("Update #__breezingcommerce_property_values Set `value` = ".$this->_db->quote(trim($val)).", `ordering` = $j Where `key_id` = ".$items[$i]." And Lower(`value`) =  ".$this->_db->Quote(strtolower(trim($val))));
                        $this->_db->query();
                        $property_value_id = $saved_vals[0]->id;
                    }
                    
                    if($property_value_id && trim($vals_translation[$j-1]) != ''){
                
                        $fields = array();
                        $fields['title'] = trim($vals_translation[$j-1]);
                        CrBcHelpers::storeTranslation($fields, $property_value_id, 'property_value_'.$items[$i],null,$j);

                    }
                }
                
                $j++;
            }
            
            $this->_db->setQuery("Select id From #__breezingcommerce_property_values Where Lower(`value`) Not In (".implode(',',$cleaned_vals).") And `key_id` = ".$items[$i] );
            $notinvalues = $this->_db->loadColumn();

            $this->_db->setQuery("Delete From #__breezingcommerce_property_values Where Lower(`value`) Not In (".implode(',',$cleaned_vals).") And `key_id` = ".$items[$i] );
            $this->_db->query();
            
            // translation cleaning
            $this->_db->setQuery("Delete From #__breezingcommerce_translations Where Lower(`title`) Not In (".implode(',',$cleaned_vals_translation).") And `type` = 'property_value_".$items[$i]."'" );
            $this->_db->query();
            
            
            foreach($notinvalues As $notinvalue)
            {
                $this->_db->setQuery("Delete From #__breezingcommerce_product_property_values Where property_value_id = " . $notinvalue );
                $this->_db->query();
            }
            
            $this->getTable('propertyvalues')->reorder('key_id = ' . $items[$i]);
            
        }

        // NEW PROPERTY
        $key = JRequest::getVar('key', '');
        $values = JRequest::getVar('values', '');
        
        $key_translation = JRequest::getVar('key_translation', '');
        $values_translation = JRequest::getVar('values_translation', '');
        
        if($key != '' && $values != ''){

            $this->_db->setQuery("Insert Into #__breezingcommerce_property_keys (`property_id`,`key`) Values ($property_id,".$this->_db->Quote(trim($key)).")");
            $this->_db->query();
            $key_id = $this->_db->insertid();
            $this->getTable('propertykeys')->reorder('property_id = ' . $property_id);
            
            if($key_translation != ''){
            
                $fields = array();
                $fields['title'] = trim($key_translation);
                CrBcHelpers::storeTranslation($fields, $key_id, 'property_key_'.$property_id);

            }
            
            $values = str_replace("\r", "", $values);
            $values = explode("\n", $values);
            
            $values_translation = str_replace("\r", "", $values_translation);
            $values_translation = explode("\n", $values_translation);
            
            $i = 1;
            foreach($values As $value)
            {
                $this->_db->setQuery("Insert Into #__breezingcommerce_property_values (`property_id`,`key_id`,`value`,`ordering`) Values ($property_id,$key_id,".$this->_db->Quote(trim($value)).", $i)");
                $this->_db->query();
                
                $property_value_id = $this->_db->insertid();
                
                $fields = array();
                $fields['title'] = trim($values_translation[$i-1]);
                CrBcHelpers::storeTranslation($fields, $property_value_id, 'property_value_'.$key_id,null,$i);

                $i++;
            }
        }

        return true;
    }

    function delete()
    {
        $cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
        JArrayHelper::toInteger($cids);
        $row = $this->getTable();

        foreach($cids as $cid) {

            $this->_db->setQuery("
                Delete
                    `keys`.*, `values`.*
                From
                    #__breezingcommerce_property_values As `values`,
                    #__breezingcommerce_property_keys As `keys` 
                Where
                    `keys`.id = `values`.key_id
                And
                    `keys`.property_id = " . $cid);
            
            $this->_db->query();

            $this->getTable('propertykeys')->reorder('property_id = ' . $cid);

            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_keys Where property_id = " . $cid);
            $this->_db->query();
            
            $this->_db->setQuery("Select id From #__breezingcommerce_product_property_values Where property_id = " . $cid);
            $productpropertyvalues = $this->_db->loadColumn();
            
            foreach($productpropertyvalues As $productpropertyvalue){
                $this->_db->setQuery("Delete From #__breezingcommerce_translations Where type = 'productpropertyvalue' And item_id = " . $productpropertyvalue);
                $this->_db->query();
            }
            
            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_values Where property_id = " . $cid);
            $this->_db->query();
            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_combinations Where property_id = " . $cid);
            $this->_db->query();
            
            // deleting translations
            $this->_db->setQuery("Delete From #__breezingcommerce_translations Where type = 'property' And item_id = " . $cid);
            $this->_db->query();
            $this->_db->setQuery("Select item_id From #__breezingcommerce_translations Where type = 'property_key_".$cid."'");
            $translations = $this->_db->loadObjectList();
            foreach($translations As $translation){
                $this->_db->setQuery("Delete From #__breezingcommerce_translations Where type = 'property_value_".$translation->item_id."'");
                $this->_db->query();
            }
            $this->_db->setQuery("Delete From #__breezingcommerce_translations Where type = 'property_key_".$cid."'");
            $this->_db->query();
            
            /*
            $this->_db->setQuery("Select id From #__breezingcommerce_products Where property_id <> 0");
            $products = $this->_db->loadColumn();
            $this->_db->setQuery("Select id From #__breezingcommerce_property_keys");
            $keys = $this->_db->loadColumn();
            foreach($products As $product)
            {
                $this->getTable('productpropertykeys')->reorder('product_id = ' . $product);
                foreach($keys As $key)
                {
                    $this->getTable('productpropertyvalues')->reorder('property_key_id = '.$key.' And product_id = ' . $product);
                }
                $this->getTable('productpropertycombination')->reorder('product_id = ' . $product);
            }
             */
            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_combination_items Where property_id = " . $cid);
            $this->_db->query();
            $this->_db->setQuery("Update #__breezingcommerce_products Set `property_id` = 0, `use_combinations` = 0 Where property_id = " . $cid);
            $this->_db->query();
            $this->_db->setQuery("Update #__breezingcommerce_products Set `property_readonly_id` = 0 Where property_readonly_id = " . $cid);
            $this->_db->query();
            
            if (!$row->delete( $cid )) {
                $this->setError( $row->getErrorMsg() );
                return false;
            }
        }

        $row->reorder();

        return true;
    }

    function listDelete()
    {
        $combinations_to_delete = array();
        $cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
        JArrayHelper::toInteger($cids);
        foreach($cids as $cid) {
            $this->_db->setQuery("
                Delete
                    `keys`.*, `values`.*
                From
                    #__breezingcommerce_property_values As `values`,
                    #__breezingcommerce_property_keys As `keys`
                Where
                    `keys`.id = `values`.key_id
                And
                    `keys`.id = " . $cid);

            $this->_db->query();
            $this->getTable('propertykeys')->reorder('property_id = ' . $this->_id);

            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_keys Where property_key_id = " . $cid);
            $this->_db->query();
            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_values Where property_key_id = " . $cid);
            $this->_db->query();
            
            // deleting translations
            $this->_db->setQuery("Select item_id From #__breezingcommerce_translations Where item_id = ".$cid." And type = 'property_key_".$this->_id."'");
            $translations = $this->_db->loadObjectList();
            foreach($translations As $translation){
                $this->_db->setQuery("Delete From #__breezingcommerce_translations Where type = 'property_value_".$translation->item_id."'");
                $this->_db->query();
            }
            $this->_db->setQuery("Delete From #__breezingcommerce_translations Where item_id = ".$cid." And type = 'property_key_".$this->_id."'");
            $this->_db->query();
            
            /*
            $this->_db->setQuery("Select id From #__breezingcommerce_products Where property_id <> 0");
            $products = $this->_db->loadColumn();
            $this->_db->setQuery("Select id From #__breezingcommerce_property_keys");
            $keys = $this->_db->loadColumn();
            foreach($products As $product)
            {
                $this->getTable('productpropertykeys')->reorder('product_id = ' . $product);
                foreach($keys As $key)
                {
                    $this->getTable('productpropertyvalues')->reorder('property_key_id = '.$key.' And product_id = ' . $product);
                }
            }
             */
            $this->_db->setQuery("Select Distinct combination_id From #__breezingcommerce_product_property_combination_items Where property_key_id = " . $cid);
            $combination_ids = $this->_db->loadColumn();
            foreach($combination_ids As $combination_id){
                $combinations_to_delete[] = $combination_id;
            }

            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_combination_items Where property_key_id = " . $cid);
            $this->_db->query();
        }

        foreach($combinations_to_delete As $combination_to_delete){
            $this->_db->setQuery("Delete From #__breezingcommerce_product_property_combinations Where id = " . $combination_to_delete);
            $this->_db->query();
        }
    }

    function move($direction) {

      $db = JFactory::getDBO();
      $mainframe = JFactory::getApplication();

      $row = $this->getTable('property');

      if (!$row->load($this->_id)) {
         $this->setError($db->getErrorMsg());
         return false;
      }

      if (!$row->move( $direction )) {
         $this->setError($db->getErrorMsg());
         return false;
      }

      return true;
   }

   function listMove($direction) {
      $mainframe = JFactory::getApplication();
      $items = JRequest::getVar( 'cid', array(), 'post', 'array' );
      JArrayHelper::toInteger($items);

      if(count($items)){
          $db = JFactory::getDBO();
          $row = $this->getTable('propertykeys');

          if (!$row->load($items[0])) {
             $this->setError($db->getErrorMsg());
             return false;
          }

          if (!$row->move( $direction, 'property_id='.$this->_id )) {
             $this->setError($db->getErrorMsg());
             return false;
          }
      }

      return true;
   }

   function getTotal() {
        // Load the content if it doesn't already exist
        if (empty($this->_total)) {
            $query = $this->_buildQuery();
            $this->_total = $this->_getListCount($query);
        }
        return $this->_total;
    }

    function getPagination() {
        // Load the content if it doesn't already exist
        if (empty($this->_pagination)) {
            jimport('joomla.html.pagination');
            $this->_pagination = new JPagination($this->getTotal(), $this->getState('limitstart'), $this->getState('limit') );
        }
        return $this->_pagination;
    }

    function listSaveOrder()
    {
        $items	= JRequest::getVar( 'cid', array(), 'post', 'array' );
        JArrayHelper::toInteger($items);

        $total		= count( $items );
        $row		= $this->getTable('propertykeys');
        $groupings	= array();

        $order		= JRequest::getVar( 'order', array(), 'post', 'array' );
        JArrayHelper::toInteger($order);

        // update ordering values
        for( $i=0; $i < $total; $i++ ) {
            $row->load( $items[$i] );
            if ($row->ordering != $order[$i]) {
                $row->ordering = $order[$i];
                if (!$row->store()) {
                    $this->setError($row->getError());
                    return false;
                }
            } // if
        } // for


        $row->reorder("property_id = " . $this->_id);
    }
}
