<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class BreezingcommerceModelTaxrule extends JModelLegacy
{

    function  __construct($config)
    {
        parent::__construct();

        $array = JRequest::getVar('cid',  0, '', 'array');
        $this->setId((int)$array[0]);

    }

    function setDefault()
    {
        if (empty( $this->_data )) {
            $this->_db->setQuery( ' Update #__breezingcommerce_taxrules '.
                        '  Set `default` = 0' );
            $this->_db->query();
            
            $this->_db->setQuery( ' Update #__breezingcommerce_taxrules '.
                        '  Set `default` = 1 Where id = '.$this->_id );
            $this->_db->query();
        }
    }

    function setPublished()
    {
        if (empty( $this->_data )) {
            $this->_db->setQuery( ' Update #__breezingcommerce_taxrules '.
                        '  Set published = 1 Where id = '.$this->_id );
            $this->_db->query();
        }
    }

    function setUnpublished()
    {
       if (empty( $this->_data )) {
           $this->_db->setQuery( ' Update #__breezingcommerce_taxrules '.
                        '  Set published = 0 Where id = '.$this->_id );
           $this->_db->query();
       }
    }

    /*
     * MAIN DETAILS AREA
     */

    /**
     *
     * @param int $id 
     */
    function setId($id) {
        // Set id and wipe data
        $this->_id      = $id;
        $this->_data    = null;
    }

    /**
    * Gets the taxrules
    * @return array List of taxrules
    */
    function getData()
    {
        // Load the data
        if (empty( $this->_data )) {
            $query = ' Select * From #__breezingcommerce_taxrules '.
                    '  Where id = '.$this->_id;
            $this->_db->setQuery( $query );
            $this->_data = $this->_db->loadObject();

            if (!$this->_data) {
                $this->_data = new stdClass();
                $this->_data->id = 0;
                $this->_data->name = null;
                $this->_data->priority = 0;
                $this->_data->published = null;
                $this->_data->ordering = null;
                $this->_data->customertaxclasses = array();
                $this->_data->producttaxclasses = array();
                $this->_data->taxrates = array();
            }
            
            // customer tax classes
            $query = ' Select ctc.* From #__breezingcommerce_customertaxclasses As ctc Order By ctc.`name`';
            $this->_db->setQuery( $query );
            
            $this->_data->customertaxclasses = $this->_db->loadObjectList();

            $query = ' Select ctc.* From #__breezingcommerce_customertaxclasses As ctc, #__breezingcommerce_taxrules_customertaxclasses As tctc Where tctc.customertaxclass_id = ctc.id And tctc.taxrule_id = ' . $this->_id;
            $this->_db->setQuery( $query );
            $selected = $this->_db->loadObjectList();

            foreach($this->_data->customertaxclasses As $customertaxclass){
                $customertaxclass->selected = false;
                foreach($selected As $select){
                    if($customertaxclass->id == $select->id){
                        $customertaxclass->selected = true;
                        break;
                    }
                }
            }

            // product tax classes
            $query = ' Select ctc.* From #__breezingcommerce_producttaxclasses As ctc Order By ctc.`name`';
            $this->_db->setQuery( $query );
            $this->_data->producttaxclasses = $this->_db->loadObjectList();

            $query = ' Select ctc.* From #__breezingcommerce_producttaxclasses As ctc, #__breezingcommerce_taxrules_producttaxclasses As tctc Where tctc.producttaxclass_id = ctc.id And tctc.taxrule_id = ' . $this->_id;
            $this->_db->setQuery( $query );
            $selected = $this->_db->loadObjectList();

            foreach($this->_data->producttaxclasses As $producttaxclass){
                $producttaxclass->selected = false;
                foreach($selected As $select){
                    if($producttaxclass->id == $select->id){
                        $producttaxclass->selected = true;
                        break;
                    }
                }
            }

            // taxrates
            $query = ' Select ctc.* From #__breezingcommerce_taxrates As ctc Order By ctc.`name`';
            $this->_db->setQuery( $query );
            $this->_data->taxrates = $this->_db->loadObjectList();

            $query = ' Select ctc.* From #__breezingcommerce_taxrates As ctc, #__breezingcommerce_taxrules_taxrates As tctc Where tctc.taxrate_id = ctc.id And tctc.taxrule_id = ' . $this->_id;
            $this->_db->setQuery( $query );
            $selected = $this->_db->loadObjectList();

            foreach($this->_data->taxrates As $taxrate){
                $taxrate->selected = false;
                foreach($selected As $select){
                    if($taxrate->id == $select->id){
                        $taxrate->selected = true;
                        break;
                    }
                }
            }
        }
        if (!$this->_data) {
            $this->_data = new stdClass();
            $this->_data->id = 0;
            $this->_data->name = null;
            $this->_data->priority = 0;
            $this->_data->published = null;
            $this->_data->ordering = null;
            $this->_data->customertaxclasses = array();
            $this->_data->producttaxclasses = array();
            $this->_data->taxrates = array();
        }
        $this->_db->setQuery("Select * From #__breezingcommerce_translations Where item_id = ".$this->_id." And type = 'taxrule' And language_code = ".$this->_db->quote( JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') ));
        $name_translation = $this->_db->loadObject();
        $this->_data->name_translation = '';
        if($name_translation !== null){
            $this->_data->name_translation = $name_translation->title;
        }
        return $this->_data;

    }

    function store()
    {
        $row = $this->getTable();

        $data = JRequest::get( 'post' );

        if(intval($data['priority']) <= 0){
            $data['priority'] = 1;
        }

        if (!$row->bind($data)) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        if (!$row->check()) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        $rule_id = 0;
        $storeRes = $row->store();

        if (!$storeRes) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }
        else
        {
            if( intval($data['id']) != 0 )
            {
                $rule_id = intval($data['id']);
            }
            else
            {
                $rule_id = $this->_db->insertid();
            }
        }

        // CUSTOMERTAXRULES
        $this->_db->setQuery("Delete From #__breezingcommerce_taxrules_customertaxclasses Where taxrule_id = " . $rule_id);
        $this->_db->query();
                
        $customertaxclasses = $data['customertaxclasses'];
        JArrayHelper::toInteger($customertaxclasses);

        foreach($customertaxclasses As $customertaxclass){
            $this->_db->setQuery("Insert Into #__breezingcommerce_taxrules_customertaxclasses (taxrule_id, customertaxclass_id) Values ($rule_id,$customertaxclass)");
            $this->_db->query();
        }

        // PRODUCTTAXRULES
        $this->_db->setQuery("Delete From #__breezingcommerce_taxrules_producttaxclasses Where taxrule_id = " . $rule_id);
        $this->_db->query();

        $producttaxclasses = $data['producttaxclasses'];
        JArrayHelper::toInteger($producttaxclasses);

        foreach($producttaxclasses As $producttaxclass){
            $this->_db->setQuery("Insert Into #__breezingcommerce_taxrules_producttaxclasses (taxrule_id, producttaxclass_id) Values ($rule_id,$producttaxclass)");
            $this->_db->query();
        }

        // TAXRATES
        $this->_db->setQuery("Delete From #__breezingcommerce_taxrules_taxrates Where taxrule_id = " . $rule_id);
        $this->_db->query();

        $taxrates = $data['taxrates'];
        JArrayHelper::toInteger($taxrates);

        foreach($taxrates As $taxrate){
            $this->_db->setQuery("Insert Into #__breezingcommerce_taxrules_taxrates (taxrule_id, taxrate_id) Values ($rule_id,$taxrate)");
            $this->_db->query();
        }
        
        $row->reorder();

        if(isset($data['name_translation']) && $data['name_translation'] != ''){
            $fields = array();
            $fields['title'] = trim($data['name_translation']);
            CrBcHelpers::storeTranslation($fields, $rule_id, 'taxrule');
        }
        
        return true;
    }

    function delete()
    {
        $cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
        JArrayHelper::toInteger($cids);
        $row = $this->getTable();

        foreach($cids as $cid) {
            if (!$row->delete( $cid )) {
                $this->setError( $row->getErrorMsg() );
                return false;
            }else{
                $this->_db->setQuery("Delete From #__breezingcommerce_taxrules_producttaxclasses Where taxrule_id = " . $cid);
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_taxrules_customertaxclasses Where taxrule_id = " . $cid);
                $this->_db->query();
                $this->_db->setQuery("Delete From #__breezingcommerce_taxrules_taxrates Where taxrule_id = " . $cid);
                $this->_db->query();
            }
            $this->_db->setQuery("Delete From #__breezingcommerce_translations Where item_id = ".$cid." And type = 'taxrule'");
            $this->_db->query();
        }

        $row->reorder();

        return true;
    }


    function move($direction) {

      $db = JFactory::getDBO();
      $mainframe = JFactory::getApplication();

      $row = $this->getTable('taxrule');

      if (!$row->load($this->_id)) {
         $this->setError($db->getErrorMsg());
         return false;
      }

      if (!$row->move( $direction )) {
         $this->setError($db->getErrorMsg());
         return false;
      }

      return true;
   }
}
