<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Hello Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class TableCategorysimple extends JTable
{
    /**
     * Primary Key
     *
     * @var int
     */
    public $id = null;

    /**
     * @var string
     */
    public $title = null;

    /**
     * @var string
     */
    public $description = null;

    /**
     * @var string
     */
    public $description_fulltext = null;

    /**
     * @var string
     */
    public $alias = '';

    public $image_name = null;
    public $image_alt_name = null;
    public $image_description = null;
    public $image_background_color = null;
    public $image_physical_name = null;

    /**
     * @var string
     */
    public $created = null;

    /**
     * @var int
     */
    public $created_by = 0;

    /**
     * @var string
     */
    public $created_by_alias = null;

    /**
     * @var string
     */
    public $modified = null;

    /**
     * @var int
     */
    public $modified_by = 0;

    /**
     * @var string
     */
    public $modified_by_alias = null;

    /**
     * @var int
     */
    public $published = 0;

    /**
     * @var int
     */
    public $ordering = 0;

    /**
     * @var int
     */
    public $parent_id = 0;
    
    public $level = 0;
    
    public $lft = 0;
    
    public $rgt = 0;
    
    public $path = '';

    /**
     * Constructor
     *
     * @param object Database connector object
     */
    function __construct( $db ) {
        parent::__construct('#__breezingcommerce_categories', 'id', $db);
    }
    
    public function check()
    {
            // Check for a title.
            if (trim($this->title) == '')
            {
                    $this->setError(JText::_('JLIB_DATABASE_ERROR_MUSTCONTAIN_A_TITLE_CATEGORY'));

                    return false;
            }

            $this->alias = trim($this->alias);

            if (empty($this->alias))
            {
                    $this->alias = $this->title;
            }

            $this->alias = JApplication::stringURLSafe($this->alias);

            if (trim(str_replace('-', '', $this->alias)) == '')
            {
                    $this->alias = JFactory::getDate()->format('Y-m-d-H-i-s');
            }

            return true;
    }
}
