<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
    function crbc_submitbutton(pressbutton)
    {
        switch (pressbutton) {
            case 'cancel':
                submitform(pressbutton);
                break;
            case 'save':
            case 'saveNew':
            case 'apply':
                var error = false;

                if(document.getElementById('name').value == '')
                {
                    alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_BRAND_NAME')) ;?>");
                    error = true;
                }

                if(!error)
                {
                    submitform(pressbutton);
                }

                break;
        }
    }

    // Joomla 1.6 compat
    if(typeof Joomla != 'undefined'){
        Joomla.submitbutton = crbc_submitbutton;
    }
    // Joomla 1.5 compat
    submitbutton = crbc_submitbutton;
</script>
<?php
$pane = new CrBcPane();
echo $pane->initPane(
    array(
        'manufacturer-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DETAILS' ),
        'image-pane' => JText::_( 'COM_BREEZINGCOMMERCE_IMAGE' )
        //, 'params-pane' => JText::_( 'COM_BREEZINGCOMMERCE_PARAMETERS__ADVANCED' ),
        //'metadata-pane' => JText::_( 'COM_BREEZINGCOMMERCE_METADATA_INFORMATION' )
    )
);
?>
<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data" class="inner-main">

    <?php
    echo $pane->startPane();
    echo $pane->startPanel( "manufacturer-pane" );
    ?>

    <div class="row-fluid">
        <div class="span9">

            <div class="form-horizontal">

                <?php
                // translations
                if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') != ''){

                    $pane2 = new CrBcPane();
                    echo $pane2->initPane(
                        array(
                            'translation-pane' => htmlentities(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language_title',''), ENT_QUOTES, 'UTF-8' ),
                            'original-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DEFAULT_LANGUAGE' )
                        )
                    );

                    echo $pane2->startPane();
                    echo $pane2->startPanel( 'translation-pane' );
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label for="name_translation" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_TITLE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_TITLE' ); ?></label>
                    </div>
                    <div class="controls">
                        <input class="input-xxlarge input-large-text ct-input-large-fullwidth" type="text" name="name_translation" id="name" maxlength="255" value="<?php echo htmlentities( $this->item->name_translation, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="alias_translation" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_ALIAS_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ALIAS' ); ?></label>
                    </div>
                    <div class="controls">
                        <input class="input-xxlarge input-large-text ct-input-large-fullwidth" type="text" name="alias_translation" id="alias_translation" maxlength="255" value="<?php echo htmlentities( $this->item->alias_translation, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="tag_translation" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_TAG_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_TAG' ); ?></label>
                    </div>
                    <div class="controls">
                        <input class="input-xlarge input-large-text ct-input-large-fullwidth" type="text" name="tag_translation" id="tag_translation" maxlength="255" value="<?php echo htmlentities( $this->item->tag_translation, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="description_translation" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_DESCRIPTION_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DESCRIPTION' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                        JImport( 'joomla.html.editor' );
                        $editor = JFactory::getEditor();
                        echo $editor->display("description_translation",$this->item->description_translation, '100%', '350', '75', '20');
                        ?>
                    </div>
                </div>

                <?php
                    echo $pane2->endPanel();
                    echo $pane2->startPanel( 'original-pane' );
                }

                // default (all) case
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label for="name" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_TITLE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_TITLE' ); ?></label>
                    </div>
                    <div class="controls">
                        <input class="input-xxlarge input-large-text ct-input-large-fullwidth" type="text" name="name" id="name" maxlength="255" value="<?php echo htmlentities( $this->item->name, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="alias" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_ALIAS_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ALIAS' ); ?></label>
                    </div>
                    <div class="controls">
                        <input class="input-xxlarge input-large-text ct-input-large-fullwidth" type="text" name="alias" id="alias" maxlength="255" value="<?php echo htmlentities( $this->item->alias, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="tag" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_TAG_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_TAG' ); ?></label>
                    </div>
                    <div class="controls">
                        <input class="input-xlarge input-large-text ct-input-large-fullwidth" type="text" name="tag" id="tag" maxlength="255" value="<?php echo htmlentities( $this->item->tag, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="description" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_DESCRIPTION_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DESCRIPTION' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                        JImport( 'joomla.html.editor' );
                        $editor = JFactory::getEditor();
                        echo $editor->display("description",$this->item->description, '100%', '350', '75', '20');
                        ?>
                    </div>
                </div>

                <?php
                if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','')){
                    echo $pane2->endPanel();
                    echo $pane2->endPane();
                }
                // translations end
                ?>

            </div>

        </div>

        <div class="span3">

            <fieldset class="form-vertical">

                <?php
                $yesChecked = '';
                $noChecked = ' checked="checked"';
                if($this->item->published)
                {
                    $yesChecked = ' checked="checked"';
                    $noChecked = '';
                }
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_PUBLISHED_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_PUBLISHED' ); ?></label>
                    </div>
                    <div class="controls">
                        <fieldset id="published_fieldset" class="radio btn-group btn-group-yesno">
                            <input type="radio" name="published" id="published_1" size="40" maxlength="255" value="0" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_PUBLISHED' ); ?>" <?php echo $noChecked;?>/>
                            <label for="published_1"><?php echo JText::_('COM_BREEZINGCOMMERCE_NO');?></label>
                            <input type="radio" name="published" id="published_2" size="40" maxlength="255" value="1" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_PUBLISHED' ); ?>" <?php echo $yesChecked;?>/>
                            <label for="published_2"><?php echo JText::_('COM_BREEZINGCOMMERCE_YES');?></label>
                        </fieldset>
                    </div>
                </div>

                <?php
                    if ( $this->item->id ) {
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ID' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php echo $this->item->id; ?>
                    </div>
                </div>

                <?php
                    }
                ?>

            </fieldset>

        </div>
    </div>

    <?php
    echo $pane->endPanel();
    echo $pane->startPanel( "image-pane" );
    ?>

    <?php require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcImage.php'); ?>
    <?php $uploadedImage = CrBcImage::getManufacturerImageTag($this->item->image_physical_name, 'thumb', $this->item->id, $this->item->image_alt_name); ?>

    <div class="row-fluid">
        <div class="span12">

            <div class="form-horizontal">

                <?php
                if($uploadedImage != ''){
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label for="name" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_UPLOADED_IMAGE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_UPLOADED_IMAGE' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php echo $uploadedImage; ?>
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="delete_uploaded_image" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_DELETE_UPLOADED_IMAGE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DELETE_UPLOADED_IMAGE' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="checkbox" name="delete_uploaded_image" id="delete_uploaded_image" value="true" />
                    </div>
                </div>

                <?php
                }
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label for="manufacturer_image" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_IMAGE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_IMAGE' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="file" name="manufacturer_image" id="manufacturer_image" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_name" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_IMAGE_NAME_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_NAME' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="img_name" id="img_name" value="<?php echo htmlentities( $this->item->image_name, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_background_color" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_IMAGE_BACKGROUND_COLOR_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_BACKGROUND_COLOR' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" maxlength="6" name="img_background_color" id="img_background_color" value="<?php echo htmlentities( $this->item->image_background_color, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <?php
                if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') != ''){

                    $pane3 = new CrBcPane();
                    echo $pane3->initPane(
                        array(
                            'translation-image-pane' => htmlentities(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language_title',''), ENT_QUOTES, 'UTF-8' ),
                            'original-image-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DEFAULT_LANGUAGE' )
                        )
                    );

                    echo $pane3->startPane();
                    echo $pane3->startPanel( 'translation-image-pane' );
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_alt_name_translation" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_IMAGE_ALT_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_IMAGE_ALT' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="img_alt_name_translation" id="img_alt_name_translation" value="<?php echo htmlentities( $this->item->img_alt_name_translation, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_description_translation" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_IMAGE_DESCRIPTION_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DESCRIPTION' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                            JImport( 'joomla.html.editor' );
                            $editor = JFactory::getEditor();
                            echo $editor->display("img_description_translation",$this->item->image_description_translation, '100%', '350', '75', '20');
                        ?>
                    </div>
                </div>

                <?php
                    echo $pane3->endPanel();
                    echo $pane3->startPanel( 'original-image-pane' );
                }
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_alt_name" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_IMAGE_ALT_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_IMAGE_ALT' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="img_alt_name" id="img_alt_name" value="<?php echo htmlentities( $this->item->image_alt_name, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_description" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BRAND_IMAGE_DESCRIPTION_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DESCRIPTION' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                            JImport( 'joomla.html.editor' );
                            $editor = JFactory::getEditor();
                            echo $editor->display("img_description",$this->item->image_description, '100%', '350', '75', '20');
                        ?>
                    </div>
                </div>

                <?php
                if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','')){
                    echo $pane3->endPanel();
                    echo $pane3->endPane();
                }
                ?>

            </div>

        </div>
    </div>

    <?php
    //echo $pane->endPanel();
    //echo $pane->startPanel( "params-pane" );
    // params

    //echo $pane->endPanel();
    //echo $pane->startPanel( "metadata-pane" );
    // metadata

    echo $pane->endPanel();
    echo $pane->endPane();
    ?>

    <input type="hidden" name="option" value="com_breezingcommerce" />
    <input type="hidden" name="id" value="<?php echo $this->item->id; ?>" />
    <input type="hidden" name="cid[]" value="<?php echo $this->item->id; ?>" />
    <input type="hidden" name="boxchecked" value="1" /><!-- Faked, because customX and custom toolbar expects it -->
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="controller" value="manufacturers" />
    <input type="hidden" name="limitstart" value="<?php echo $this->limitstart ;?>" />
    <input type="hidden" name="tabStartOffset" value="<?php echo $this->tabStartOffset; ?>" />

    <div class="ct-clear"></div>

</form>

<script type="text/javascript">
<?php
foreach($pane->tabs As $tab => $title){
?>
    jQuery('#<?php echo $tab;?>_tab').click(
        function(){
            document.adminForm.tabStartOffset.value = <?php echo json_encode('product.tab.'.$this->item->id.'.'.$tab);?>;
        }
    );
    if(document.adminForm.tabStartOffset.value != ''){
        jQuery('#<?php echo $tab;?>_tab').parent().removeClass('active');
        jQuery('#<?php echo $tab;?>').removeClass('active');
    }

<?php
}
?>

    jQuery('#<?php echo str_replace('product.tab.'.$this->item->id.'.','',$this->tabStartOffset);?>_tab').parent().addClass('active');
    jQuery('#<?php echo str_replace('product.tab.'.$this->item->id.'.','',$this->tabStartOffset);?>').addClass('active');
</script>
