<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

if( !defined( 'DS' ) ){
    define('DS', DIRECTORY_SEPARATOR);
}

jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');

class com_breezingcommerceInstallerScript
{
    
        public static function getTableFields($tables, $typeOnly = true)
        {
                
            $results = array();

            settype($tables, 'array');

            foreach ($tables as $table)
            {
                    $results[$table] = JFactory::getDbo()->getTableColumns($table, $typeOnly);
            }

            return $results;
        }
    
	/**
	 * method to install the component
	 *
	 * @return void
	 */
	function install($parent) 
	{
            
	}
        
        /**
	 * method to update the component
	 *
	 * @return void
	 */
	function update($parent) 
	{
            $db = JFactory::getDBO();

            $tables = self::getTableFields( JFactory::getDBO()->getTableList() );
            
            // @since BC 1.0.4
            if(isset($tables[JFactory::getDBO()->getPrefix().'breezingcommerce_order_items'])){
                if(!isset( $tables[JFactory::getDBO()->getPrefix().'breezingcommerce_order_items']['order_item_info'] )){
                    JFactory::getDBO()->setQuery("ALTER TABLE `#__breezingcommerce_order_items` ADD `order_item_info` LONGTEXT NOT NULL AFTER `attributes` ");
                    JFactory::getDBO()->execute();
                }
            }
            if(isset($tables[JFactory::getDBO()->getPrefix().'breezingcommerce_categories'])){
                if(!isset( $tables[JFactory::getDBO()->getPrefix().'breezingcommerce_categories']['catalog'] )){
                    JFactory::getDBO()->setQuery("ALTER TABLE `#__breezingcommerce_categories` ADD `catalog` TINYINT(1) NOT NULL DEFAULT '0' AFTER `parent_id` ");
                    JFactory::getDBO()->execute();
                }
                if(!isset( $tables[JFactory::getDBO()->getPrefix().'breezingcommerce_categories']['catalog_children'] )){
                    JFactory::getDBO()->setQuery("ALTER TABLE `#__breezingcommerce_categories` ADD `catalog_children` TINYINT(1) NOT NULL DEFAULT '0' AFTER `catalog` ");
                    JFactory::getDBO()->execute();
                }
                if(!isset( $tables[JFactory::getDBO()->getPrefix().'breezingcommerce_categories']['catalog_strict'] )){
                    JFactory::getDBO()->setQuery("ALTER TABLE `#__breezingcommerce_categories` ADD `catalog_strict` TINYINT(1) NOT NULL DEFAULT '0' AFTER `catalog_children` ");
                    JFactory::getDBO()->execute();
                }
            }
        }
 
	/**
	 * method to uninstall the component
	 *
	 * @return void
	 */
	function uninstall($parent) 
	{
            if(JFolder::exists(JPATH_SITE.'/media/breezingcommerce')){
                JFolder::delete(JPATH_SITE.'/media/breezingcommerce');
            }
            
            if(JFolder::exists(JPATH_SITE.'/images/breezingcommerce')){
                JFolder::delete(JPATH_SITE.'/images/breezingcommerce');
            }
            
            $db = JFactory::getDbo();
            
            $plugins = $this->getPlugins();
            
            $installer = new JInstaller();
            
            foreach($plugins As $folder => $subplugs){
                
                foreach($subplugs As $plugin){
                    
                    $db->setQuery('SELECT `extension_id` FROM #__extensions WHERE `type` = "plugin" AND `element` = "'.$plugin.'" AND `folder` = "'.$folder.'"');
                    
                    $id = $db->loadResult();
                    
                    if($id)
                    {
                        $installer->uninstall('plugin',$id,1);
                    } 
                }
            }
            
            $tables = JFactory::getDBO()->getTableList();
            
            settype($tables, 'array');

            foreach ($tables as $table)
            {
                if( $this->startsWith($table, JFactory::getDBO()->getPrefix().'breezingcommerce') ){
                    
                    JFactory::getDbo()->setQuery("Drop Table $table");
                    JFactory::getDbo()->execute();
                }
            }
	}
        
        function startsWith($haystack, $needle) {
            // search backwards starting from haystack length characters from the end
            return $needle === "" || strrpos($haystack, $needle, -strlen($haystack)) !== false;
        }
 
	/**
	 * method to run before an install/update/uninstall method
	 *
	 * @return void
	 */
	function preflight($type, $parent) 
	{
            
	}
 
	/**
	 * method to run after an install/update/uninstall method
	 *
	 * @return void
	 */
	function postflight($type, $parent) 
	{
            $db = JFactory::getDbo();
            
            $plugins = $this->getPlugins();
            
            $base_path = JPATH_SITE . DS . 'administrator' . DS . 'components' . DS . 'com_breezingcommerce' . DS . 'install' . DS . 'plugins';

            $folders = JFolder::folders($base_path);

            $installer = new JInstaller();

            foreach( $folders As $folder ){
                $success = $installer->install( $base_path . DS . $folder );
                if(!$success){
                    
                }
            }

            foreach($plugins As $folder => $subplugs){
                foreach($subplugs As $plugin){
                    $db->setQuery('Update #__extensions Set `enabled` = 1 WHERE `type` = "plugin" AND `element` = "'.$plugin.'" AND `folder` = "'.$folder.'"');
                    $db->execute();
                }
            }
	}
        
        function getPlugins(){
            $plugins = array();
            $plugins['system'] = array();
            $plugins['system'][] = 'breezingcommerce';
            return $plugins;
        }
}

