var CrBcCheckout = function(){
    
    var _ajax_cart = false;
    var _current_url = '';
    var _url_parameters_init = '?';
    var _is_virtual_order = false;
    var _is_logged_in = false;
    var steps = [];
    var _skip_steps = {};
    var _current_step = 0;
    var _self = this;
    
    switch(arguments.length){
        case 1: _ajax_cart = arguments[0]; break;
        case 2: 
            _ajax_cart = arguments[0]; 
            _current_url = arguments[1]; 
            
            if(_current_url.indexOf('?') !== -1){
                _url_parameters_init = '&';
            }
            
        break;
        case 3: 
            _ajax_cart = arguments[0]; 
            _current_url = arguments[1]; 
            
            if(_current_url.indexOf('?') !== -1){
                _url_parameters_init = '&';
            }
            
            _is_virtual_order = arguments[2];
            
        break;
        case 4:
            _ajax_cart = arguments[0]; 
            _current_url = arguments[1]; 
            
            if(_current_url.indexOf('?') !== -1){
                _url_parameters_init = '&';
            }
            
            _is_virtual_order = arguments[2];
            _is_logged_in = arguments[3];
            
        break;
    }
    
    if(!_is_logged_in){
        steps.push('.crbc-checkout-method-guest-register-login');
    }
    
    steps.push('.crbc-checkout-billing-information');
    
    if(!_is_virtual_order){
        steps.push('.crbc-checkout-shipping-information');
        steps.push('.crbc-checkout-shipping-method');
    }
    
    if(crbc_needs_payment){
        steps.push('.crbc-checkout-payment-information');
    }
    
    if(crbc_has_cart_plugins){
        steps.push('.crbc-cart-plugin-instances');
    }

    steps.push('.crbc-checkout-order-review-information');
    
    jQuery(document).ready(function(){
        
        // disable registration fields by default
        jQuery('.crbc-register-partial').css('display','none');
        
        // disable payments if no payment is required
        if(!crbc_needs_payment){
            jQuery('.crbc-checkout-payment-information').css('display','none');
        }
        
        // force the create account link to be removed to lower the risk of leaving the checkout
        jQuery('.crbc-checkout-login-header')
                .closest('.moduletable')
                .find('.userdata ul > li:first-child')
                .css('display','none');
        
        jQuery('.crbc-checkout-shipping-information').css('display','none');
        
        if(jQuery('[name="use_shipping_address"]:checked').val() == 1){
            jQuery('.crbc-checkout-shipping-information').css('display','block');
            delete _skip_steps['.crbc-checkout-shipping-information'];
        }else{
            jQuery('.crbc-checkout-shipping-information').css('display','none');
            _skip_steps['.crbc-checkout-shipping-information'] = true;
        }
        
        jQuery('[name="use_shipping_address"]').on('change',function(){
            if(jQuery(this).val() == 1){
                jQuery('.crbc-checkout-shipping-information').css('display','block');
                delete _skip_steps['.crbc-checkout-shipping-information'];
            }else{
                jQuery('.crbc-checkout-shipping-information').css('display','none');
                _skip_steps['.crbc-checkout-shipping-information'] = true;
            }
        });
        
        jQuery('[name="guest_or_register"]').on('change',function(){
            if(jQuery(this).val() == 'register'){
                jQuery('.crbc-register-partial').css('display','block');
                jQuery('#email').closest('.crbc-control-group').appendTo('.crbc-email-holder');
                jQuery('#email_repeat').closest('.crbc-control-group').appendTo('.crbc-email-repeat-holder');
                _self.disable_registration_if_registered();
            } else {
                jQuery('#email').closest('.crbc-control-group').appendTo('.crbc-email-alternative-holder');
                jQuery('#email_repeat').closest('.crbc-control-group').appendTo('.crbc-email-repeat-alternative-holder');
                jQuery('.crbc-register-partial').css('display','none');
                jQuery('.crbc-registered-partial').css('display','none');
            }
        });
        
        if(jQuery('[name="guest_or_register"]:checked').val() == 'register'){
            jQuery('.crbc-register-partial').css('display','block');
            jQuery('#email').closest('.crbc-control-group').appendTo('.crbc-email-holder');
            jQuery('#email_repeat').closest('.crbc-control-group').appendTo('.crbc-email-repeat-holder');
            _self.disable_registration_if_registered();
        }else{
            jQuery('#email').closest('.crbc-control-group').appendTo('.crbc-email-alternative-holder');
            jQuery('#email_repeat').closest('.crbc-control-group').appendTo('.crbc-email-repeat-alternative-holder');
            jQuery('.crbc-register-partial').css('display','none');
            jQuery('.crbc-registered-partial').css('display','none');
        }
        
        jQuery(steps[0]+' > .crbc-row').closest('li').addClass('active');
        jQuery(steps[0]+' > .crbc-row').closest('li').addClass('crbc-active');
        
        if(!_is_logged_in){
            jQuery(steps[0] + ' .crbc-checkout-method-continue-button').on('click',function(){
                _self.next_step();
            });
        }
        
        _self.disable_registration_if_registered();
        
        jQuery('.crbc-checkout-order-review-information > .crbc-row').load(
                                    _current_url+' .crbc-checkout-order-review-information > .crbc-row > *', function(){
            jQuery('table.crbc-responsive').ngResponsiveTables({
                    smallPaddingCharNo: 13,
                    mediumPaddingCharNo: 18,
                    largePaddingCharNo: 30
            });
        });
    });
    
    this.step = function(the_step){
        
        // is there such a step anyway?
        var step_exists = false;
        var target_step = 0;
        for(var i = 0; i < steps.length; i++){
            if(steps[i] == the_step){
                step_exists = true;
                target_step = i;
                break;
            }
        }
        
        if(!step_exists){
            alert('Developer note: Step does not exist. Please check that the right css class has been hand over to the crbc_checkout.step() method.');
            return;
        }
        
        if( ( the_step != '.crbc-checkout-method-guest-register-login' && target_step > _current_step ) || typeof _skip_steps[the_step] != "undefined" ){
            return;
        }
        
        // now checking if the step may be opened and has been previously and successfully finished
        if(_ajax_cart){
            
            jQuery.ajax(
            {
                url : 'index.php?option=com_breezingcommerce&controller=checkout&Itemid='+crbc_item_id+'&format=json&layout=json_validate_checkout_progress_result&task=validate_checkout_progress',
                type: "POST",
                data: {can_enter: the_step},
                success: function(data, textStatus, jqXHR){
                    
                    if(typeof data.null != "undefined" && data.null == null){
                        
                        console.log(data.info);
                        location.href = data.return_url;
                        
                    } else {
                        
                        if(typeof data.ok != "undefined" && data.ok){
                            
                            // hiding all steps
                            for(var i = 0; i < steps.length; i++){
                                jQuery(steps[i]+' > .crbc-row').css('display','none');
                                jQuery(steps[i]+' > .crbc-row').closest('li').removeClass('active');
                                jQuery(steps[i]+' > .crbc-row').closest('li').removeClass('crbc-active');
                            }

                            // displaying the selected step
                            for(var i = 0; i < steps.length; i++){
                                if(steps[i] == the_step){
                                    jQuery(steps[i]+' > .crbc-row').css('display','block');
                                    jQuery(steps[i]+' > .crbc-row').closest('li').addClass('active');
                                    jQuery(steps[i]+' > .crbc-row').closest('li').addClass('crbc-active');
                                    jQuery(steps[i]+' > .crbc-row').closest('li').ScrollTo();
                                    _current_step = i;
                                    break;
                                }
                            }
                        }
                    }
                },
                error: function(jqXHR, textStatus, errorThrown){ console.log(errorThrown); }
            });
            
        }
    };
    
    this.disable_registration_if_registered = function(){
        
        if(_ajax_cart){
            
            jQuery.ajax(
            {
                url : 'index.php?option=com_breezingcommerce&controller=checkout&Itemid='+crbc_item_id+'&format=json&layout=json_get_user_data&task=get_user_data',
                type: "POST",
                success: function(data, textStatus, jqXHR){
                    
                    if(typeof data.null != "undefined" && data.null == null){
                        
                        alert(data.info);
                        location.href = data.return_url;
                        
                    } else {
                        
                        if(typeof data.userid != "undefined" && data.userid != 0){
                            
                            jQuery('.crbc-register-partial').css('display', 'none');
                            jQuery('.crbc-registered-info').html(data.info + ' ' + data.username);
                            jQuery('.crbc-registered-partial').css('display', 'block');
                        
                        } else {
                            
                            jQuery('.crbc-registered-info').html('');
                            jQuery('.crbc-registered-partial').css('display', 'none');
                        }
                    }
                },
                error: function(jqXHR, textStatus, errorThrown){ console.log(errorThrown); }
            });
            
        }
    }
    
    this.prev_step = function(){
        
        _self.next_step(true);
        
    };
    
    this.next_step = function(){
        
        var invert = false;
        
        switch(arguments.length){
            case 1: invert = arguments[0]; break;
        }
        
        var next_step = _current_step + 1;
    
        if(invert){
            next_step = _current_step - 1;
        }
    
        var skip = _skip_steps[steps[next_step]];
        
        if(typeof skip != "undefined" && skip){
            
            next_step = _current_step + 2;
            
            if(invert){
                next_step = _current_step - 2;
            }
        }
    
        if( typeof steps[next_step] != 'undefined' ){
            
            for(var i = 0; i < steps.length; i++){
                jQuery(steps[i]+' > .crbc-row').css('display','none');
                jQuery(steps[i]+' > .crbc-row').closest('li').removeClass('active');
                jQuery(steps[i]+' > .crbc-row').closest('li').removeClass('crbc-active');
            }
            
            jQuery(steps[next_step]+' > .crbc-row').css('display','block');
            
            jQuery(steps[next_step]+' > .crbc-row').closest('li').addClass('active');
            jQuery(steps[next_step]+' > .crbc-row').closest('li').addClass('crbc-active');
            jQuery(steps[next_step]+' > .crbc-row').closest('li').ScrollTo();
            
            _current_step = next_step;
        }
    };
    
    this.submit_shipping_information = function(){
        this.submit_billing_information(true);
    };
    
    this.submit_shipping_method = function(){
        
        if(_ajax_cart){
            
            var tmpl_button_value = jQuery('.crbc-checkout-shipping-method .crbc-checkout-method-continue-button')
                .attr('disabled','disabled')
                .children('span').html();
        
            jQuery('.crbc-checkout-shipping-method .crbc-checkout-method-continue-button')
                .attr('disabled','disabled')
                .children('span')
                .html('<i class="crbc-fa crbc-fa-refresh crbc-fa-spin"></i> '+crbc_wait_msg);
            
            jQuery('.crbc-shipping-error').css('display','none');
            jQuery('.crbc-shipping-error').html();
            
            var postData = jQuery('#shipping_method_form').serializeArray();
            
            jQuery.ajax(
            {
                url : 'index.php?option=com_breezingcommerce&controller=checkout&Itemid='+crbc_item_id+'&format=json&layout=json_shipping_method_result&task=update_shipping_method',
                type: "POST",
                data: postData,
                success: function(data, textStatus, jqXHR){
                    
                    if(typeof data.null != "undefined" && data.null == null){
                        
                        alert(data.info);
                        location.href = data.return_url;
                        
                    } else {
                        
                        if(typeof data.shipping_method_result['errors'] != "undefined" && data.shipping_method_result['errors'] && data.shipping_method_result['errors'].length > 0){
                            
                            var errors = '';
                            
                            for(var i = 0; i < data.shipping_method_result['errors'].length; i++){
                                errors += data.shipping_method_result['errors'][i].message+'<br />';
                            }
                            
                            jQuery('.crbc-shipping-error').css('display','block');
                            jQuery('.crbc-shipping-error').html(errors);
                            
                            jQuery('.crbc-checkout-shipping-method .crbc-checkout-method-continue-button')
                            .removeAttr('disabled')
                            .children('span')
                            .html(tmpl_button_value);
                            
                        }else{
                            
                            //console.log(data);
                            
                            jQuery('.crbc-checkout-order-review-information > .crbc-row').load(
                                    _current_url+' .crbc-checkout-order-review-information > .crbc-row > *',
                                    function(){
                                        
                                        jQuery('table.crbc-responsive').ngResponsiveTables({
                                                smallPaddingCharNo: 13,
                                                mediumPaddingCharNo: 18,
                                                largePaddingCharNo: 30
                                        });
                                        
                                        
                                        // changing the single product info on the fly
                                        jQuery('#crbc-single-sale-info > span').html( jQuery('#crbc-cart-grand-total').html() );
                                        
                                        // if there previously wasn't a payment required but shipping has been added that ads up to the price, then re-add the payment plugin selection
                                        if(!crbc_needs_payment && typeof data.shipping_method_result['shipping'] != "undefined" && data.shipping_method_result['shipping'] && data.shipping_method_result['shipping']['shipping_costs'] > 0){
                                            
                                            var step_found = false;
                                            for(var s = 0; s < steps.length; s++){
                                                if(steps[s] == '.crbc-checkout-payment-information'){
                                                    step_found = true;
                                                    break;
                                                }
                                            }
                                            
                                            if(!step_found){
                                                
                                                steps.splice(_current_step + 1, 0, '.crbc-checkout-payment-information');
                                                jQuery('.crbc-checkout-payment-information').css('display','block');
                                                
                                            }
                                        }
                                        
                                        //console.log(steps);
                                        
                                        _self.next_step();
                                        
                                        jQuery('.crbc-checkout-shipping-method .crbc-checkout-method-continue-button')
                                        .removeAttr('disabled')
                                        .children('span')
                                        .html(tmpl_button_value);
                                        
                                        // revive modals
                                        if(typeof SqueezeBox != "undefined"){
                                            
                                            SqueezeBox.initialize({});
                                            SqueezeBox.assign(jQuery('a.modal').get(), {
                                                    parse: 'rel'
                                            });
                                        }
                                    }
                            );
                        }
                        
                    }
                },
                error: function(jqXHR, textStatus, errorThrown){
                    console.log(jqXHR);
                    console.log(errorThrown);
                    jQuery('.crbc-checkout-shipping-method .crbc-checkout-method-continue-button')
                        .removeAttr('disabled')
                        .children('span')
                        .html(tmpl_button_value);
                }
            });
            
        }
        
    };
    
    this.submit_order = function(){
        
        var tmpl_button_value = jQuery('.crbc-checkout-order-review-information .crbc-checkout-method-continue-button')
                .attr('disabled','disabled')
                .children('span').html();
        
        jQuery('.crbc-checkout-order-review-information .crbc-checkout-method-continue-button')
                .attr('disabled','disabled')
                .children('span')
                .html('<i class="crbc-fa crbc-fa-refresh crbc-fa-spin"></i> '+crbc_wait_msg);
                
        var postData = jQuery('#checkout_form').serializeArray();
        
        if(_ajax_cart){
            
            jQuery('.crbc-checkout-error').remove();
            
            jQuery.ajax(
            {
                url : 'index.php?option=com_breezingcommerce&controller=checkout&Itemid='+crbc_item_id+'&format=json&layout=json_order_result&task=update_order',
                type: "POST",
                data: postData,
                success: function(data, textStatus, jqXHR){
                    
                    if(typeof data.null != "undefined" && data.null == null){
                        
                        alert(data.info);
                        location.href = data.return_url;
                        
                    } else {
                        
                        if(typeof data.update_order_result != "undefined" && data.update_order_result.length > 0){
                            
                            jQuery('.crbc-checkout-order-review-information .crbc-checkout-method-continue-button')
                            .removeAttr('disabled')
                            .children('span')
                            .html(tmpl_button_value);
                            
                            for(var i = 0; i < data.update_order_result.length; i++){
                                
                                if( data.update_order_result[i].field != '' ){
                                    
                                    jQuery('[name="'+data.update_order_result[i].field+'"]', '#checkout_form').parent().after(
                                        '<div class="crbc-checkout-error"><i class="crbc-fa crbc-fa-arrow-up"></i> '+data.update_order_result[i].message+'</div>'
                                    );
                            
                                }else{
                                    
                                    alert(data.update_order_result[i].message);
                                }
                            }
                            
                        }else{
                            
                            location.href = _current_url + _url_parameters_init + 'task=perform_checkout';
                        }
                    }
                },
                error: function(jqXHR, textStatus, errorThrown){ 
                    console.log(errorThrown);
                    
                    jQuery('.crbc-checkout-order-review-information .crbc-checkout-method-continue-button')
                        .removeAttr('disabled')
                        .children('span')
                        .html(tmpl_button_value);
                }
            });
        }
    };
    
    this.submit_payment_information = function(){
        
        var tmpl_button_value = jQuery('.crbc-checkout-payment-information .crbc-checkout-method-continue-button')
                .attr('disabled','disabled')
                .children('span').html();
        
        jQuery('.crbc-checkout-payment-information .crbc-checkout-method-continue-button')
                .attr('disabled','disabled')
                .children('span')
                .html('<i class="crbc-fa crbc-fa-refresh crbc-fa-spin"></i> '+crbc_wait_msg);
        
        jQuery('.crbc-payment-error').css('display','none');
        jQuery('.crbc-payment-error').html();
                
        var postData = jQuery('#payment_options_form').serializeArray();
        
        if(_ajax_cart){
            
            jQuery.ajax(
            {
                url : 'index.php?option=com_breezingcommerce&controller=checkout&Itemid='+crbc_item_id+'&format=json&layout=json_payment_result&task=update_payment_information',
                type: "POST",
                data: postData,
                success: function(data, textStatus, jqXHR){
                    
                    if(typeof data.null != "undefined" && data.null == null){
                        
                        alert(data.info);
                        location.href = data.return_url;
                        
                    } else {
                        
                        jQuery('.crbc-checkout-payment-information .crbc-checkout-method-continue-button')
                        .removeAttr('disabled')
                        .children('span')
                        .html(tmpl_button_value);
                        
                        if(typeof data.update_payment_result != "undefined" && data.update_payment_result.length > 0){
                            
                            var errors = '';
                            
                            for(var i = 0; i < data.update_payment_result.length; i++){
                                errors += data.update_payment_result[i].message;
                            }
                            
                            jQuery('.crbc-payment-error').css('display','block');
                            jQuery('.crbc-payment-error').html(errors);
                            
                        }else{
                            
                            _self.next_step();
                        }
                    }
                },
                error: function(jqXHR, textStatus, errorThrown){ 
                    console.log(errorThrown);
                    
                    jQuery('.crbc-checkout-payment-information .crbc-checkout-method-continue-button')
                        .removeAttr('disabled')
                        .children('span')
                        .html(tmpl_button_value);
                }
            });
        }
    };
    
    this.submit_billing_information = function(){
        var form_id = '#billing_form';
        var which = 'billing';
        var next_step_loading = false;
        
        var shipping = false;
        switch(arguments.length){
            case 1: shipping = arguments[0]; form_id = '#shipping_form'; which = 'shipping'; break;
        }
        
        var tmpl_button_value = jQuery('.crbc-checkout-'+which+'-information .crbc-checkout-method-continue-button')
                .attr('disabled','disabled')
                .children('span').html();
        
        jQuery('.crbc-checkout-'+which+'-information .crbc-checkout-method-continue-button')
                .attr('disabled','disabled')
                .children('span')
                .html('<i class="crbc-fa crbc-fa-refresh crbc-fa-spin"></i> '+crbc_wait_msg);
        
        if(_ajax_cart){
            
            jQuery('.crbc-checkout-error').remove();
            jQuery('.crbc-registration-error-wrap').css('display','none');
            jQuery('.crbc-registration-error').html('');
            
            jQuery('#register').val( jQuery('[name="guest_or_register"]:checked').val() == 'register' ? 1 : 0 );
            
            var postData = jQuery(form_id).serializeArray();
            
            // fix missing region id if it's not required
            
            var found_region_id = false;
            var found_shipping_region_id = false;
            
            for( var i = 0; i < postData.length; i++ ){
                if( postData[i].name == "region_id" ){
                    
                    found_region_id = true;
                }
                if( postData[i].name == "shipping_region_id" ){
                    
                    found_shipping_region_id = true;
                }
            }
            
            if( !found_region_id ){
                
                postData.push({name: 'region_id', value: '0'});
            }
            
            if( !found_shipping_region_id ){
                
                postData.push({name: 'shipping_region_id', value: '0'});
            }
            
            // fix region id end
            
            jQuery.ajax(
            {
                url : 'index.php?option=com_breezingcommerce&controller=checkout&Itemid='+crbc_item_id+'&format=json&layout=json_billing_result&task=update_billing_information&shipping='+(shipping ? 1 : 0),
                type: "POST",
                data: postData,
                success: function(data, textStatus, jqXHR){
                    
                    if(typeof data.null != "undefined" && data.null == null){
                        
                        alert(data.info);
                        location.href = data.return_url;
                        
                    } else {
                    
                        if(typeof data.update_billing_result != "undefined" && data.update_billing_result.length > 0){
                            
                            var jumped = false;
                            
                            for(var i = 0; i < data.update_billing_result.length; i++){
                                
                                if( data.update_billing_result[i].field != '' && data.update_billing_result[i].field != '__registration' && ( data.update_billing_result[i].type != 'missing' || data.update_billing_result[i].type != 'invalid' || data.update_billing_result[i].type != 'error' ) ){
                                    
                                    if(!jumped){
                                        jQuery('[name="'+data.update_billing_result[i].field+'"]', form_id).get(0).focus();
                                        jumped = true;
                                    }
                                   
                                    jQuery('[name="'+data.update_billing_result[i].field+'"]', form_id).after(
                                        '<div class="crbc-checkout-error"><i class="crbc-fa crbc-fa-arrow-up"></i> '+data.update_billing_result[i].message+'</div>'
                                    );
                            
                                } else if( data.update_billing_result[i].field == '__registration' && data.update_billing_result[i].type == 'error' ){
                                    
                                    jQuery('.crbc-registration-error-wrap').css('display','block');
                                    jQuery('.crbc-registration-error').html(data.update_billing_result[i].message);
                                    
                                } else if( data.update_billing_result[i].field == '' ){
                                    
                                    console.log(data.update_billing_result[i].message);
                                }
                            }
                            
                        } else {
                            
                            if(!shipping && typeof data.userid != "undefined" && data.userid != 0){
                                
                                _self.disable_registration_if_registered();
                                
                            }
                            
                            next_step_loading = true;
                            
                            var tmp_current = jQuery('.crbc-checkout-order-review-information > .crbc-row.row-fluid').html();
                            
                            jQuery('.crbc-checkout-order-review-information > .crbc-row').load(
                                    _current_url+' .crbc-checkout-order-review-information > .crbc-row > *',
                                    function(){
                                        
                                        jQuery('table.crbc-responsive').ngResponsiveTables({
                                                smallPaddingCharNo: 13,
                                                mediumPaddingCharNo: 18,
                                                largePaddingCharNo: 30
                                        });
                                        
                                        var tmp_loaded = jQuery('.crbc-checkout-order-review-information > .crbc-row').html();
                            
                                        if(tmp_current != tmp_loaded){
                                            alert(crbc_cart_changed_msg);
                                            // or better reload the page?
                                            //location.href = _current_url;
                                            //return;
                                        }
                                        // changing the single product info on the fly
                                        jQuery('#crbc-single-sale-info > span').html( jQuery('#crbc-cart-grand-total').html() );
                                        
                                        _self.next_step();
                                        
                                        jQuery('.crbc-checkout-'+which+'-information .crbc-checkout-method-continue-button')
                                        .removeAttr('disabled')
                                        .children('span')
                                        .html(tmpl_button_value);
                                
                                        next_step_loading = false;
                                        
                                        // revive modals
                                        if(typeof SqueezeBox != "undefined"){
                                            
                                            SqueezeBox.initialize({});
                                            SqueezeBox.assign(jQuery('a.modal').get(), {
                                                    parse: 'rel'
                                            });
                                        }
                                    }
                            );
                        } 
                    }
                    
                    if(!next_step_loading){
                        jQuery('.crbc-checkout-'+which+'-information .crbc-checkout-method-continue-button')
                        .removeAttr('disabled')
                        .children('span')
                        .html(tmpl_button_value);
                    }
                },
                error: function(jqXHR, textStatus, errorThrown){ 
                    
                    jQuery('.crbc-checkout-'+which+'-information .crbc-checkout-method-continue-button')
                    .removeAttr('disabled')
                    .children('span')
                    .html(tmpl_button_value);
        
                    console.log(errorThrown); 
                }
            });
        }
        
    };
    
    this.submit_plugin_instances = function(){
        
        var tmpl_button_value = jQuery('.crbc-cart-plugin-instances .crbc-checkout-method-continue-button')
                .attr('disabled','disabled')
                .children('span').html();
        
        jQuery('.crbc-cart-plugin-instances .crbc-checkout-method-continue-button')
                .attr('disabled','disabled')
                .children('span')
                .html('<i class="crbc-fa crbc-fa-refresh crbc-fa-spin"></i> '+crbc_wait_msg);
        
        jQuery('.crbc-checkout-order-review-information > .crbc-row').load(
            _current_url+' .crbc-checkout-order-review-information > .crbc-row > *',
            function(){

                jQuery('table.crbc-responsive').ngResponsiveTables({
                        smallPaddingCharNo: 13,
                        mediumPaddingCharNo: 18,
                        largePaddingCharNo: 30
                });

                jQuery('.crbc-cart-plugin-instances .crbc-checkout-method-continue-button')
                        .removeAttr('disabled')
                        .children('span')
                        .html(tmpl_button_value);

                // changing the single product info on the fly
                jQuery('#crbc-single-sale-info > span').html( jQuery('#crbc-cart-grand-total').html() );

                _self.next_step();

                // revive modals
                if(typeof SqueezeBox != "undefined"){

                    SqueezeBox.initialize({});
                    SqueezeBox.assign(jQuery('a.modal').get(), {
                            parse: 'rel'
                    });
                }
            }
        ); 
        
    };
};

